We love that you're interested in contributing to iOS Goodies! 🦄🦄🦄

To make the process as painless as possible, we have just a couple of guidelines that should make life easier and less frustrating for everyone. ♥️

Before we start, please read our [Code of Conduct](https://github.com/iOS-Goodies/iOS-Goodies/blob/master/CODE_OF_CONDUCT.md) (we take it very seriously 😁).

## Contributing

If you would like to contribute with a link to the current week's issue send us a [Pull Request](https://github.com/iOS-Goodies/iOS-Goodies/pulls). After being accepted, the article will stay in the repo, still **it does not guarantee that will be presented on the website, or the newsletter**. All the submitted articles are being curated by [Marius Constantinescu](https://twitter.com/marius_const). The newsletter contains a selection of the articles that are in the GitHub repo for that edition. As a general rule, we aim for 10-15 links in the newsletter, but in special circumstances this can change. Yes, the curation step is subjective, but we aim to be as fair as possible, while taking into account various factors. We try to bring forward new voices and increase the diversity in our community, all without compromising the quality of the links we share with you each week and also bringing you the best articles of that week.

You can include more than one article in a pull request.

The intro for each edition is a short text written by [Marius](https://twitter.com/marius_const) which summarises the news of the week in the iOS development world (Xcode/iOS releases, Apple news for iOS devs, etc) or highlights a particular article, discussion, idea from that week. If you want to write the intro text for a week's edition, please open an issue on Tuesday at the latest (the newsletter goes out un Thursday).

## Requirements

Shouldn't be more than 2 weeks old (although exceptions can be made: e.g. Tools/Libraries). If it's an old article, but a good one, please let us know why you think so.

## General Workflow

Each week we launch the goodies on Thursday and create a new markdown file that will have the issues for the next week. Marius is responsible for launching the Goodies (Website + newsletter).

### Your approved contribution didn't make the newsletter

As a general rule, please do not submit your link again if it was not selected to be part of the newsletter. We reserve the right to include the link again under special circumstances (i.e. the previous newsletter had a large number of contributions). If you feel your contribution deserves a second look, please [open an issue](https://github.com/iOS-Goodies/iOS-Goodies/issues/new).

## Categories

 * **Articles** - Generally speaking these are technical articles. They should expose the reader to code, but it's not mandatory.
 * **Tools**- Links to tools or libraries related to iOS development. Could range from tools like Sketch (because in one way or another is used while developing iOS apps) to [fastlane](https://github.com/KrauseFx/fastlane), passing by Trending Github repos (Objective-c, Swift, Objective-c++, etc).
 * **Business/Career** - These articles should help the typical developer to understand how business is conducted. This could be related to the App store ecosystem, or how-to run your business as an indie dev, App marketing, etc. It can also be related about your experience while working at some company, what you liked, and what you didn't like. In addition to those, this category can also contain articles about productivity, growing as a developer, teamwork, workplace happiness and career development.
 * **UI/UX** - Should mainly focus on UI and UX but in an Mobile context, user flows, [maybe describing a new pattern](https://dribbble.com/shots/1254439--GIF-Mobile-Form-Interaction?list=users). It could be acceptable to use an article that, although uses Android as the example, is applicable in iOS. Some articles for Web, can also be interesting to an iOS dev. 
 * **Videos** - Self explanatory
 * **Credits** - Comma separated list of contributors to the current issue. If you make a pull request, add yourself here like this: ``[your GitHub username](your GitHub link)``
 
In case the article is really good, and doesn't fit in any of the above sections, we will open a new section just for it. If you are unsure where to put an article, check the [website](http://ios-goodies.com) for some examples, or [just open an issue](https://github.com/iOS-Goodies/iOS-Goodies/issues). 


## Link Format

We use markdown for each issue, and each link should respect this rules:

* Should follow this format: ``[Title of the Article](link), by [Author's Twitter username](link-for-twitter)``
  * If the author doesn't have a twitter account then use their name instead of the Twitter username, without a link
  * For the Tools/Controls sections, where we showcase repos on GitHub, you can also include the short description of the repo. i.e.: ``[SwiftLint](https://github.com/realm/swiftlint) - A tool to enforce Swift style and conventions, by [@realm](https://twitter.com/realm)``

## Previous Issues

If you would like to fix a typo/link for the current or passed week send us a [Pull Request](https://github.com/iOS-Goodies/iOS-Goodies/pulls).
