* [An interesting article](https://aadrake.com/posts/2017-05-20-enough-with-the-microservices.html) related to microservices but the same logic can be applied to a lot of concepts
* Apple has released a free, beginner-level, [900-page book "App Development with Swift" + related teaching materials](https://itunes.apple.com/us/book/app-development-with-swift/id1219117996?mt=11)

**Articles**

* [Object Oriented Programming in Swift](https://www.raywenderlich.com/160728/object-oriented-programming-swift), by [@KaramazovShogun](https://twitter.com/KaramazovShogun)
* [Stored Properties In Swift Extensions](https://marcosantadev.com/stored-properties-swift-extensions/), by [@MarcoSantaDev](https://twitter.com/MarcoSantaDev)
* [A primer about functional Lenses in swift](https://medium.com/@EnnioMa/functional-lenses-an-exploration-in-swift-25b4d3a6a536), by [@ennioma](https://twitter.com/ennioma)
* [Avoiding Third-Party UI Libraries](http://holko.pl/2017/05/31/avoiding-ui-libraries/), by [@arekholko](https://twitter.com/arekholko)
* [UIDebuggingInformationOverlay](http://ryanipete.com/blog/ios/swift/objective-c/uidebugginginformationoverlay/), by [@ryanipete](https://twitter.com/ryanipete)

**Tools/Controls**

* [ScrollingStackViewController](https://github.com/justeat/ScrollingStackViewController), by [@justeat_tech](https://twitter.com/justeat_tech)
* [WWDC app for macOS](https://wwdc.io), by [@_inside](https://twitter.com/_inside)
* [MarkdownView](https://github.com/keitaoouchi/MarkdownView), by Keita Oouchi
* [Swift Deep Linking](https://github.com/ijoshsmith/swift-deep-linking), by [@bach4life](https://twitter.com/bach4life)

**Business**

* [How Doist Makes Remote Work Happen](https://blog.todoist.com/2017/05/25/how-doist-works-remote/), by [@Zjellstrom](https://twitter.com/Zjellstrom)
* [IBM’s Remote Work Reversal Is A Losing Battle Against The New Normal](https://www.fastcompany.com/40423083/ibms-remote-work-reversal-is-a-losing-battle-against-the-new-normal), by [@skasriel](https://twitter.com/skasriel)
* [What Happens When Work Becomes a Nonstop Chat Room](http://nymag.com/selectall/2017/05/what-has-slack-done-to-the-office.html), by [@mollyhfischer](https://twitter.com/mollyhfischer)
* [Fuck Productivity](http://heydesigner.com/blog/fuck-productivity/), by [@Abby_the_IA](https://twitter.com/abby_the_ia)
* [My kind of contract](https://m.signalvnoise.com/my-kind-of-contract-e7327e98e3ea), by [@jasonfried](https://twitter.com/jasonfried)
* [Nothing will change until you start building.](https://medium.freecodecamp.com/nothing-will-change-until-you-start-building-2681e85e7bdc), by [@JonathanZWhite](https://twitter.com/JonathanZWhite)

**UI/UX**

* [Best Practices for Horizontal Lists in Mobile](https://uxdesign.cc/best-practices-for-horizontal-lists-in-mobile-21480b9b73e5), by [@Suleiman_194](https://twitter.com/Suleiman_194)
* [Houzz: a UX case study](https://uxdesign.cc/houzz-a-ux-case-study-98843fbdfcba), by [@AUDImeetsworld](https://twitter.com/AUDImeetsworld)

**Videos**

*

**Credits**

* [@KaramazovShogun](https://twitter.com/KaramazovShogun), [@MarcoSantarossa](https://twitter.com/MarcoSantarossa), [LisaDziuba](https://github.com/lisadziuba), [@ennioma](https://twitter.com/ennioma), [albertodebo](https://twitter.com/albertodebo), [@jorgecosta89](https://twitter.com/jorgecosta89)
