* An [interesting link](http://ncase.me/trust/) that uses game theory to reflect about why we stop trusting people

**Articles**

* [Using ARKit with Metal](http://metalkit.org/2017/07/29/using-arkit-with-metal.html), by [@gpu3d](https://twitter.com/gpu3d)
* [iOS Simulator on steroids: Tips & Tricks](https://medium.com/flawless-app-stories/simulator-on-steroids-c12774ca6b), by [@ahmed_sulajman](https://twitter.com/ahmed_sulajman)
* [Building a declarative animation framework in Swift - Part 1](https://www.swiftbysundell.com/posts/building-a-declarative-animation-framework-in-swift-part-1), [Part 2](https://www.swiftbysundell.com/posts/building-a-declarative-animation-framework-in-swift-part-2) by [@johnsundell](https://twitter.com/johnsundell)
* [CoreData: CRUD With Concurrency In Swift – Part 4](https://marcosantadev.com/coredata-crud-concurrency-swift-part-4/), by [@MarcoSantaDev](https://twitter.com/MarcoSantaDev)
* [A great process to know how to unit test (your Swift code)](https://medium.com/@danielcarlosce/a-great-process-to-know-how-to-unit-test-your-swift-code-4bdba0896d52), by [@danielcarlosce](https://twitter.com/danielcarlosce)
* [Building Mixed-Language iOS Project with Buck](https://medium.com/airbnb-engineering/building-mixed-language-ios-project-with-buck-8a903b0e3e56), by Brian Zhang
* [Sourcery Tutorial: Generating Swift code for iOS](https://www.raywenderlich.com/158803/sourcery-tutorial-generating-swift-code-ios), by [@cwagdev](https://twitter.com/cwagdev)
* [How to Create a Measuring App With ARKit In iOS 11](https://www.thedroidsonroids.com/blog/how-to-create-a-measuring-app-with-arkit-in-ios-11), by Paweł Chmiel, [@droidsonroids](https://twitter.com/droidsonroids)
* [A Massive Guide to Building a RESTful API for Your Mobile App](https://savvyapps.com/blog/how-to-build-restful-api-mobile-app), by Matt Tea, [@savvyapps](https://twitter.com/savvyapps)
* [All about Concurrency in Swift - Part 2: The Future](https://www.uraimo.com/2017/07/22/all-about-concurrency-in-swift-2-the-future/), by [@uraimo](https://twitter.com/uraimo)
* [Demystifying iOS Provisioning Part 2: Creating and Assigning Certificates and Profiles](http://martiancraft.com/blog/2017/07/demystifying-provisioning-part2/), by [@coryb](https://twitter.com/coryb)
* [Lazy Cartesian Products in Swift](http://www.figure.ink/blog/2017/7/30/lazy-permutations-in-swift), by [@jemmons](https://twitter.com/jemmons)
* [Finalizing Receipt Validation in Swift – Computing a GUID Hash](https://www.andrewcbancroft.com/2017/07/31/finalizing-receipt-validation-in-swift-computing-a-guid-hash/), by [@andrewcbancroft](https://twitter.com/andrewcbancroft)
* [Understanding Operation and OperationQueue in Swift](http://agostini.tech/2017/07/30/understanding-operation-and-operationqueue-in-swift/), by [dagostin](https://twitter.com/dagostin)
* [Friday Q&A 2017-07-28: A Binary Coder for Swift](https://www.mikeash.com/pyblog/friday-qa-2017-07-28-a-binary-coder-for-swift.html), by [@mikeash](https://twitter.com/mikeash)
* [CwlLayout: a Swift wrapper around Auto Layout](http://www.cocoawithlove.com/blog/cwllayout.html), by [@cocoawithlove](https://twitter.com/cocoawithlove)
* [Semirings and Predicate](http://www.fewbutripe.com/swift/math/algebra/semiring/2017/08/01/semirings-and-predicates.html), by [@mbrandonw](https://twitter.com/mbrandonw)

**Tools/Controls**

* [ArcKit](https://github.com/sobri909/ArcKit)
* [HGPlaceholders](https://github.com/HamzaGhazouani/HGPlaceholders), by [@GhazouaniHamza](https://twitter.com/GhazouaniHamza)
* [FAPanels](https://github.com/fahidattique55/FAPanels), by [@fahidattique55](https://twitter.com/fahidattique55)
* [ChainPageCollectionView](https://github.com/jindulys/ChainPageCollectionView), by [@jekyllrb](https://www.twitter.com/jekyllrb)
* [UINotifications](https://github.com/WeTransfer/UINotifications), by [@WeTransfer](https://twitter.com/WeTransfer)
* [3DSnakeAR](https://github.com/PGSSoft/3DSnakeAR), by [@pgssoftware](https://twitter.com/pgssoftware)
* [Disk](https://github.com/saoudrizwan/Disk), by [@sdrzn](https://twitter.com/sdrzn)
* [SeeFood](https://github.com/kingreza/SeeFood), by [@kingreza](https://twitter.com/kingreza)
* [MeasureARKit](https://github.com/DroidsOnRoids/MeasureARKit), by [@droidsonroids](https://twitter.com/droidsonroids)
* [InAppNotify](https://github.com/lucabecchetti/InAppNotify), by Luca Becchetti
* [JustTweak](https://github.com/justeat/JustTweak), by [@justeat_tech](https://twitter.com/justeat_tech)

**Business**

* [Share Because You Want To](https://medium.com/mobile-growth/share-because-you-want-to-c366beeea88c), by [@warpling](https://twitter.com/warpling)
* [Full-Time Indie iOS Dev and Creator of Blackbox: A Top Dev Interview With Ryan McLeod](https://www.raywenderlich.com/166462/full-time-indie-ios-dev-creator-blackbox-puzzles-top-dev-interview-ryan-mcleod), by [@adam9rush](https://twitter.com/adam9rush)

**UI/UX**

* [Mobile UI Design: Basic Types of Screens](https://uxplanet.org/mobile-ui-design-basic-types-of-screens-aa1857e31339), by [@tubikstudio](https://twitter.com/tubikstudio)
* [The Essential Guide to UX for AR](https://www.webdesignerdepot.com/2017/07/the-essential-guide-to-ux-for-ar/), by Cassandra Naji
* [Are Notifications A Dark Pattern?](http://trydesignlab.com/blog/are-notifications-a-dark-pattern-ux-ui/), by [@andrewwilshere](https://twitter.com/andrewwilshere)

**Videos**

* [The Mysterious Swift Performance](https://www.youtube.com/watch?v=E3Mvj4zfXAA), by [@krzyzanowskim](https://twitter.com/krzyzanowskim)

**Credits**

* [LisaDziuba](https://github.com/lisadziuba), [rbarbosa](https://github.com/rbarbosa), [naeemshaikh90](https://github.com/naeemshaikh90), [danielcarlosce](https://github.com/danielCarlosCE), [uraimo](https://github.com/uraimo), [albertodebortoli](https://github.com/albertodebortoli)
