Apple released the [iPhone X](https://www.apple.com/iphone-x/), and we have until November to get our apps ready for it. The new [videos from Apple](https://developer.apple.com/videos/fall2017) and updated [human interface guidelines](https://developer.apple.com/ios/human-interface-guidelines/overview/iphone-x/) should help with that.

**Articles**

* [Mock Dependencies: Instance and Metatype Injection With Swift](https://marcosantadev.com/mock-dependencies-instance-configuration-injection-swift/), by [@MarcoSantaDev](https://twitter.com/marcosantadev)
* [Cracking the Tests for Core Data](https://medium.com/flawless-app-stories/cracking-the-tests-for-core-data-15ef893a3fee), by [@KoromikoNeo](https://twitter.com/KoromikoNeo)
* [How to write Networking Layer in Swift (2nd version)](http://danielemargutti.com/2017/09/10/how-to-write-networking-layer-in-swift-2nd-version/), by [@danielemargutti](https://twitter.com/danielemargutti)
* [Conditionally embed your dynamic frameworks](http://ppinera.es/2017/09/13/xcodembed.html), by [@pepibumur](http://twitter.com/pepibumur)
* [Xcode 9 Vector Images](https://useyourloaf.com/blog/xcode-9-vector-images/), by [@kharrison](https://twitter.com/kharrison)
* [Under the hood of Assertions in Swift](https://www.swiftbysundell.com/posts/under-the-hood-of-assertions-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Sourcery In Practice](http://khanlou.com/2017/09/sourcery-in-practice/), by [@khanlou](http://www.twitter.com/khanlou)
* [The Best New Features in Swift 4](https://plausible.coop/blog/2017/09/13/best-new-features-in-swift-4), by [@mikeash](https://twitter.com/mikeash)
* [CALayer Tutorial for iOS: Getting Started](https://www.raywenderlich.com/169004/calayer-tutorial-ios-getting-started), by [@MichaelCiurus](https://twitter.com/MichaelCiurus)
* [Why you should read programming books](https://medium.com/@markohlebar/why-you-should-read-programming-books-c92b0e4a936b), by [@markohlebar](https://twitter.com/markohlebar)

**Tools/Controls**
 
* [PDFXKit](https://github.com/PSPDFKit/PDFXKit), by [@PSPDFKit](https://twitter.com/pspdfkit)
* [VegaScroll](https://github.com/AppliKeySolutions/VegaScroll), by [@AppliKeySolutions](https://github.com/AppliKeySolutions)
* [MediaBrowser](https://github.com/younatics/MediaBrowser), by [@younatics](https://github.com/younatics)


**Business**

* [Paid Upgrades in the App Store](http://blog.bjhomer.com/2017/09/paid-upgrades-in-app-store.html), by [@bjhomer](https://twitter.com/bjhomer)
* [Apple Watch Apps Head to College](https://david-smith.org/blog/2017/09/13/apple-watch-apps-head-to-college/), by [@_DavidSmith](http://twitter.com/_DavidSmith)

**UI/UX**

* [UX Design Patterns for Mobile Apps: Which and Why](https://www.raywenderlich.com/167174/design-patterns-mobile-apps-which-why), by [@lmjabreu](https://twitter.com/lmjabreu)
* [Parallel Chat — UI/UX case study of a new chat interaction](https://medium.com/@danielkorpai/parallel-chat-ui-ux-case-study-of-a-new-chat-interaction-7ea6779f884b), by [@danielkorpai](https://twitter.com/danielkorpai)
* [Is simplicity the best way to ensure usability?](http://whatusersdo.com/blog/does-simplicity-mean-good-ux/) by [@rainbowbex](https://twitter.com/rainbowbex)
* [When Copy Loves Itself Too Much](https://uxdesign.cc/when-copy-loves-itself-too-much-a2b79238312f), by [@JJFoxBox](https://twitter.com/JJFoxBox)
* [The Design Guide to Winning Developers’ Hearts. Part 1: Use Lottie](https://www.prolificinteractive.com/2017/09/05/design-guide-winning-developers-hearts-part-1-use-lottie/), by [@weareprolific](https://twitter.com/weareprolific)

**Credits**

* [prolificinteractive](https://github.com/prolificinteractive), [FranciscoAmado](https://github.com/FranciscoAmado), [LisaDziuba](https://github.com/LisaDziuba), [Marko Hlebar](https://github.com/markohlebar), [Marco Santarossa](https://github.com/MarcoSantarossa), [rbarbosa](https://github.com/rbarbosa)
