**Articles**

* [Debugging Swift code with LLDB](https://medium.com/flawless-app-stories/debugging-swift-code-with-lldb-b30c5cf2fd49), by [@ahmed_sulajman](https://twitter.com/ahmed_sulajman)
* [A Simple Approach to Thread-Safe Networking in iOS Apps](https://robots.thoughtbot.com/a-simple-approach-to-thread-safe-networking-in-ios-apps), by [@sharplet](https://twitter.com/sharplet)
* [Writing a Scalable API Client in Swift 4](https://medium.com/makingtuenti/writing-a-scalable-api-client-in-swift-4-b3c6f7f3f3fb), by [@VictorPimentel](https://twitter.com/VictorPimentel)
* [Managing different environments in your Swift project with ease](https://medium.com/flawless-app-stories/manage-different-environments-in-your-swift-project-with-ease-659f7f3fb1a6), by [@D4Yuri](https://twitter.com/D4Yuri)
* [Monoids in Swift](https://deadbeef.me/2017/09/monoids), by [@bananamlkshake2](https://twitter.com/Bananamlkshake2)
* [Beginning macOS Programming: Learn to Develop an Image Uploader App in Swift](https://www.appcoda.com/macos-image-uploader-app/) by [@LawgarithmnS](https://twitter.com/LawgarithmnS)
* [map versus flatMap](http://codeplease.io/2017/09/24/map-versus-flatmap/), by [@peres](https://twitter.com/peres)
* [Friday Q&A: Swift 4 Weak References](https://www.mikeash.com/pyblog/friday-qa-2017-09-22-swift-4-weak-references.html), by [@mikeash](https://twitter.com/mikeash)
* [The power of switch statements in Swift](https://www.swiftbysundell.com/posts/the-power-of-switch-statements-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Updating Strings For Swift 4](https://useyourloaf.com/blog/updating-strings-for-swift-4/), by [@kharrison](https://twitter.com/kharrison)
* [Accessibility in GitHawk](https://basthomas.github.io/2017/09/26/Accessibility-in-GitHawk/), by [@BasThomas](https://twitter.com/BasThomas)
* [Creating Static Table Views](https://www.iamsim.me/creating-static-table-views/), by [@simmelj](https://twitter.com/simmelj)

**Tools/Controls**
 * [InfoKit](https://github.com/nmdias/InfoKit) - Simple, Strongly Typed access to the Info.plist, by [@nmdias](https://twitter.com/nmdias_pt)
 * [Imaginary](https://github.com/hyperoslo/Imaginary) - Remote images, as easy as one, two, three, by [hyperoslo](https://github.com/hyperoslo)
 * [LifetimeTracker](https://github.com/krzysztofzablocki/LifetimeTracker) - Retain cycles / memory leaks finder, by [Krzysztof Zabłocki](https://github.com/krzysztofzablocki)
 * [Time](https://github.com/dreymonde/Time) - Type-safe time calculations in Swift, powered by generics, by [@dreymonde](https://twitter.com/dreymonde)

**Business**

* [Dropping out of college and becoming an iOS freelancer](https://blog.lucasfarah.me/dropping-out-of-college-and-becoming-an-ios-freelancer-21ed9e3dcf7), by [7farah7](https://twitter.com/7farah7)
* [How to Build a Career in Tech](https://books.producthunt.com/careers), by Product Hunt team
* [Marketing for engineers](https://github.com/LisaDziuba/Marketing-for-Engineers), by [@LisaDziuba](https://twitter.com/LisaDziuba)
* [Ping pong, desk beers, and employee benefits](https://medium.com/@steviebuckley/ping-pong-desk-beers-and-employee-benefits-be073429cb85), by [@StevieBuckley](https://twitter.com/StevieBuckley)

**UI/UX**

* [Color, psychology and design](https://uxplanet.org/how-color-can-effect-emotion-ccab0431b1d), by [@mudithabatagoda](https://twitter.com/mudithabatagoda)
* [The 5 questions you should be asking yourself all day, everyday #UX](https://uxdesign.cc/the-5-questions-you-should-be-asking-yourself-all-day-everyday-ux-cf93e2d0fd7e), by [@fabriciot](https://twitter.com/fabriciot)
* [UI Design for iPhone X: Bottom Elements](http://blog.maxrudberg.com/post/165590234593/ui-design-for-iphone-x-bottom-elements), by [@maxrudberg](https://twitter.com/maxrudberg)

**Videos**

* [NSSpain 2017](https://vimeo.com/album/4786409)

**Credits**
* [LisaDziuba](https://github.com/LisaDziuba), [ramshandilya](https://github.com/ramshandilya), [VictorPimentel](https://github.com/victorpimentel), [nmdias](https://github.com/nmdias), [onmyway133](https://github.com/onmyway133), [mkchoi212](https://github.com/mkchoi212), [FranciscoAmado](https://github.com/FranciscoAmado)
