I wasn't expecting to start an issue of iOS Goodies talking about emojis 🤷‍♂️, but one of the biggest news of the week was what seemed to be a weird change in the way Apple applies the App Store review guidelines (not considering here Falcon Heavy's [successful test flight 🚀](https://www.youtube.com/watch?v=wbSwFU6tY1c) or launching a [Tesla into space](https://www.instagram.com/p/Be6VZEzgAEk/) 👨‍🚀🚘🌎). 

It started with a few app updates being rejected for not complying with the guidelines for using Apple's Trademarks and Copyrights. [Jeremy Burge](https://twitter.com/jeremyburge) wrote a comprehensive article about the situation on [Emojipedia](https://blog.emojipedia.org/apples-emoji-crackdown/). It seemed that using emojis in an app is ok only if it's typed by the user. However, one of the apps that got rejected [was approved](https://twitter.com/Sam0711er/status/961312320537415681) yesterday, emojis included. So now we're back at being confused 😅. A bit more consistency and clearer communication wouldn't hurt from Apple's app review team. 

**Articles**

* [Dependency Management for iOS projects with the Swift package manager](http://www.ralfebert.de/ios-examples/xcode/ios-dependency-management-with-swift-package-manager/), by [@ralfebert](https://twitter.com/ralfebert)
* [Parents and children problems 😅](https://ruiper.es/2018/02/06/parents-children-problems/), by [@peres](https://twitter.com/peres)
* [Spectre and Meltdown fixes influence on iOS apps build time](https://medium.com/@rdovhaliuk/spectre-and-meltdown-fixes-influence-on-ios-apps-build-time-40b3f7b4bca6), by Rostyslav Dovhaliuk
* [Open Sourcing ReactiveLists for iOS](https://medium.com/plangrid-technology/open-sourcing-reactivelists-for-ios-3abdf41b770a), by [@benjaminencz](https://twitter.com/benjaminencz)
* [Notification Handling on WatchKit](http://martiancraft.com/blog/2018/02/notification-handling-on-watchkit/), by [@jablair](https://twitter.com/jablair)
* [Circular References Between Swift and Objective-C](https://cjwirth.com/tech/circular-references-swift-objc), by [@cjwirth](https://twitter.com/cjwirth)

**Tools/Controls**

* [CapsuleView](https://github.com/umarF/capsuleview) - An easy to use drop-in view to create a beautiful card style effect with a title placeholder and body content, by [@umarF](https://github.com/umarF)
* [ReactiveLists](https://github.com/plangrid/ReactiveLists) - React-like API for UITableView & UICollectionView, by [@PlanGrid](https://twitter.com/PlanGrid)
* [fastlane.ci](https://github.com/fastlane/ci) - [WIP] Open source, self hosted, mobile optimized CI powered by fastlane, by [@fastlanetools](https://twitter.com/fastlanetools)

**Business**

* [iOS Subscription Groups Explained](https://medium.com/revenuecat-blog/ios-subscription-groups-explained-8c5b8325d4ab), by [@jeiting](https://twitter.com/jeiting)
* [App Santa 2017 Revenue Report](https://dancounsell.com/2018/02/02/app-santa-2017-revenue-report/), by [@dancounsell](https://twitter.com/dancounsell)
* [How we grew from 0 to 4 million women on our fashion app, with a vertical machine learning approach](https://medium.com/@aldamiz/how-we-grew-from-0-to-4-million-women-on-our-fashion-app-with-a-vertical-machine-learning-approach-f8b7fc0a89d7), by [@aldamiz](https://twitter.com/aldamiz)
* [Outlasting](https://m.signalvnoise.com/outlasting-4dff3fb6aca7), by [@jasonfried](https://twitter.com/jasonfried)
* [Numbers](http://beckyhansmeyer.com/2018/02/03/numbers/), by [@bhansmeyer](http://twitter.com/bhansmeyer)

**UI/UX**

* [Why Your App Looks Better in Sketch](https://medium.com/@nathangitter/why-your-app-looks-better-in-sketch-3a01b22c43d7), by [@nathangitter](https://twitter.com/nathangitter)
* [The 4 Golden Rules of UI Design](https://theblog.adobe.com/4-golden-rules-ui-design/), by [@101babich](https://twitter.com/101babich)

**Videos**

* 

**Credits**

* [ralfebert](https://github.com/ralfebert), [rbarbosa](https://github.com/rbarbosa), [RenGate](https://github.com/RenGate), [FranciscoAmado](https://github.com/FranciscoAmado)
