Last week, Apple announced that starting with April 2018, [all new iOS apps submitted to the App Store must be built with the iOS 11 SDK](https://developer.apple.com/ios/submit/). So make sure to update your Xcode to the latest version :).

In other news, [Swift will participate in the Google Summer of Code program](https://twitter.com/tkremenek/status/966071276543492096). As someone who started doing iOS more seriously during GSoC 2013, I was extremely happy to hear that :). Developing a programming language in the open and encouraging students to contribute to it is something I really like about the "new" Apple and something I wouldn't have thought possible a few years ago.

Something I'd like to highlight this week is [Felix Krause](https://twitter.com/KrauseFx)'s work on security in iOS. His most recent article in this series, [Trusting third party SDKs](https://krausefx.com/blog/trusting-sdks), shows how important it is to be careful when adding third party SDKs to your app.

**Articles**

* [Functional Refactoring in Swift](https://benscheirman.com/2018/02/functional-refactoring-in-swift/), by [@subdigital](https://twitter.com/subdigital)
* [Build tabs-based UI using Coordinators](http://aplus.rs/2018/tabbarcontroller-using-coordinators/), by [@radiantav](https://twitter.com/radiantav)
* [A better NSManagedObjectContext​.performAndWait](https://oleb.net/blog/2018/02/performandwait/), by [@olebegemann](https://twitter.com/olebegemann)
* [How to use Dynamic Member Lookup in Swift](https://www.hackingwithswift.com/articles/55/how-to-use-dynamic-member-lookup-in-swift), by [@twostraws](https://twitter.com/twostraws)
* [Handling Enormous Collection Types in Swift](https://www.netguru.co/codestories/handling-enormous-collection-types-in-swift), by Piotr Sochalewski
* [Just Controllers](http://khanlou.com/2018/02/just-controllers/), by [@khanlou](https://twitter.com/khanlou)
* [Dynamic UITableView header view height using Auto Layout](http://www.codeido.com/2018/02/dynamic-uitableview-header-view-height-using-auto-layout/), by [@pmusolino](https://twitter.com/pmusolino)
* [What's New In Vapor 3](https://geeks.brokenhands.io/blog/posts/whats-new-in-vapor-3), by [@0xTim](https://twitter.com/0xTim)
* [Ninety-Nine Swift Problems](http://www.enekoalonso.com/projects/99-swift-problems/), by [@eneko](https://twitter.com/eneko)
* [How to set up a Vapor 3 project](https://medium.com/@martinlasek/tutorial-how-to-set-up-a-vapor-3-project-75466394cf2e), by [@MartinLasek](https://twitter.com/MartinLasek)

**Tools/Controls**

* [YPImagePicker](https://github.com/Yummypets/YPImagePicker), by [@Yummypets](https://github.com/Yummypets)
* [TensorSwift](https://github.com/qoncept/TensorSwift), by [@qoncept](https://github.com/qoncept)
* [ProvisionQL](https://github.com/ealeksandrov/ProvisionQL), by [@ealeksandrov](https://twitter.com/ealeksandrov)
* [Linker](https://github.com/MaksimKurpa/Linker), by [@maksim_kurpa](https://twitter.com/maksim_kurpa)
* [PromiseKit 6.0](http://promisekit.org/news/2018/02/PromiseKit-6.0-Released/), by [@mxcl](https://github.com/mxcl)

**Business/Career**

* [Flavors of Engineering Management](http://blog.benjamin-encz.de/post/flavors-of-engineering-management/), by [@benjaminencz](https://twitter.com/benjaminencz)
* [The Heart of Being an Engineer](https://medium.com/blacklane-engineering/the-heart-of-being-an-engineer-b97a1039acfb), by Joseph Crick

**UI/UX**

* [Customer journey mapping: The path to loyalty](https://www.thinkwithgoogle.com/marketing-resources/experience-design/customer-journey-mapping/), by Stuart Hogg

**Videos**

* [dotSwift 2018 videos](https://www.dotconferences.com/conference/dotswift-2018)

**Credits**

* [Codeido](https://github.com/Codeido), [LisaDziuba](https://github.com/lisadziuba), [rbarbosa](https://github.com/rbarbosa), [ealeksandrov](https://github.com/ealeksandrov), [MaksimKurpa](https://github.com/MaksimKurpa/), [sochalewski](https://github.com/sochalewski)
