I was writing last week about the "new Apple", that has Swift take part as an organization to the Google Summer of Code. On the same note, this week, [Norman Maurer](https://twitter.com/normanmaurer) from Apple gave [a talk](https://twitter.com/Chris__Bailey/status/969090062972469249) at try! Swift Tokyo in which he announced [swift-nio](https://github.com/apple/swift-nio), an open source low-level networking framework. So Apple just announced and open sourced a framework at a conference that's not WWDC 😲. That's in addition to lots of members of the Swift team who are guests on various podcasts, or give talks at other conferences. Moreover, Apple is [asking for feedback](https://forums.developer.apple.com/thread/97662) on the networking APIs. Make sure to contribute if you have something to say. 

Keep up the good work and the openness, Apple 👍! The community really appreciates this 🙇‍♂️. 

**Articles**

* [iOS remote push notifications in a nutshell](https://medium.com/flawless-app-stories/ios-remote-push-notifications-in-a-nutshell-d05f5ccac252), by [@dido_aint](https://twitter.com/dido_aint)
* [Xcode’s Secret Performance Tests](http://indiestack.com/2018/02/xcodes-secret-performance-tests/), by [@danielpunkass](https://twitter.com/danielpunkass)
* [Understanding, preventing and handling errors in Swift](https://khawerkhaliq.com/blog/swift-error-handling/), by [@khawerkhaliq](https://twitter.com/khawerkhaliq)
* [Code encapsulation in Swift](https://www.swiftbysundell.com/posts/code-encapsulation-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Handling Storyboard Merge Conflicts](http://martiancraft.com/blog/2018/02/handling-storyboard-merge-conflicts/), by [@jwkeeley](https://twitter.com/jwkeeley)

**Tools/Controls**

* [ResumableAssert](https://github.com/google/resumable-assert), by [@google](https://github.com/google)
* [Repeat](https://github.com/malcommac/Repeat), by [@danielemargutti](https://twitter.com/danielemargutti)
* [Zepcode](https://github.com/artemnovichkov/zepcode), by [@iosartem](http://twitter.com/iosartem) and [@pavelbaybara](https://twitter.com/pavelbaybara)
* [FreeformJSON](https://github.com/fabiorodella/FreeformJSON), by Fabio Rodella
* [tempura-swift](https://github.com/BendingSpoons/tempura-swift), by [@BendingSpoons](https://github.com/BendingSpoons)

**Business/Career**

* [iOS Introductory Prices](https://medium.com/revenuecat-blog/ios-introductory-prices-f1efb4f1a6a2), by [@jeiting](https://twitter.com/jeiting)
* [State of Remote Work 2018 ](https://open.buffer.com/state-remote-work-2018/), by [@hailleymari](https://twitter.com/hailleymari)

**UI/UX**

* [7 Practical Tips for Cheating at Design](https://medium.com/refactoring-ui/7-practical-tips-for-cheating-at-design-40c736799886), by [@refactoringui](https://twitter.com/refactoringui)
* [Wireframing 101](https://uxplanet.org/wireframing-101-5b7c25f4c623), by Moses Kim
* [An Ode to Experimental Design](https://m.signalvnoise.com/an-ode-to-experimental-design-e423543cadab), by [@jonasdowney](https://twitter.com/jonasdowney)

**Videos**

* 

**Credits**

* [pmusolino](https://twitter.com/pmusolino), [LisaDziuba](https://github.com/LisaDziuba), [shoumikhin](https://github.com/shoumikhin), [artemnovichkov](https://github.com/artemnovichkov), [fabiorodella](https://github.com/fabiorodella)
