Today is International Women's Day, some countries also celebrate March as Women's History Month, so if we haven't done it until now, it's the perfect time to think about inclusion in our industry. And not only about women in tech, but about all the under-represented categories. And yes, no one is able to fix the diversity problem in tech on their own. But each of us can do something to make it better around them. Think about the company you work in, and try to find ways to make everyone feel more welcome working there 😊. 

[Paul Hudson](https://twitter.com/twostraws) is doing an amazing job at this, [offering to have 1-on-1s with any member of an under-represented category in our community](https://twitter.com/twostraws/status/968922266833686528). Moreover, today he's [giving away free copies of his books](https://twitter.com/twostraws/status/971662471164583936) to groups that help girls and women learn to code. Hats off to Paul.

**Articles**

* [First-Class Swift API for Objective-C Frameworks](https://pspdfkit.com/blog/2018/first-class-swift-api-for-objective-c-frameworks/), by [@krzyzanowskim](https://twitter.com/krzyzanowskim)
* [RAS S2E1](https://ruiper.es/2018/03/03/ras-s2e1/), by [@peres](https://twitter.com/peres)
* [#50 Synchronous Unit Tests](https://swifting.io/blog/2018/03/03/50-synchronous-unit-tests/), by [@paciej00](https://twitter.com/paciej00)
* [How I discovered Instagram's upcoming video calling feature on iOS](https://medium.com/@guilhermerambo/how-i-discovered-instagrams-upcoming-video-calling-feature-on-ios-934d7085da57), by [@_inside](https://twitter.com/_inside)
* [Apple Networking Feedback](https://davedelong.com/blog/2018/03/02/apple-networking-feedback/), by [@davedelong](https://twitter.com/davedelong)
* [Testable Interface Design With Enums](https://kandelvijaya.com/2018/03/03/testableinterfacedesignwithenums/), by [@kandelvijaya](https://twitter.com/kandelvijaya)
* [NSBundle.current](http://bou.io/NSBundle.current), by [@_nb](https://twitter.com/_nb)
* [Solving a Mysterious Heap Corruption Crash](https://topologyeyewear.github.io/engineering-blog/2018/03/07/heap_corruption/), by [@vasarhelyia](https://twitter.com/vasarhelyia)

**Tools/Controls**

* [MoreCodable](https://github.com/tattn/MoreCodable) - MoreCodable expands the possibilities of `Codable`, by [@tanakasan2525](https://twitter.com/tanakasan2525)
* [swift-xcode](https://github.com/SwiftXcode/swift-xcode) - painlessly use SwiftPM with iOS projects, by [helje5](https://twitter.com/helje5)
* [Blueprints](https://github.com/zenangst/Blueprints) - A framework that is meant to make your life easier when working with collection view flow layouts, by [@zenangst](https://twitter.com/zenangst)

**Business/Career**

* [A Lot Can Happen in a Decade](https://blog.iconfactory.com/2018/03/a-lot-can-happen-in-a-decade/), by [@chockenberry](https://twitter.com/chockenberry)
* [We need to talk about Swift’s diversity problem](https://www.hackingwithswift.com/articles/58/we-need-to-talk-about-swifts-diversity-problem), by [@twostraws](https://twitter.com/twostraws)

**UI/UX**

* [Bringing Back Skeuomorphic Design](https://medium.com/@flarup/bringing-back-skeuomorphic-design-d211cc1c22d2), by [@flarup](https://twitter.com/flarup)
* [Designing Jank-Free Apps](https://medium.com/@nathangitter/designing-jank-free-apps-9f66d43b9c87), by [@nathangitter](https://twitter.com/nathangitter)

**Videos**

* [Incrementally Open Sourcing Your App](https://www.skilled.io/u/swiftsummit/incrementally-open-sourcing-your-app), by [@anat_gilboa](https://twitter.com/anat_gilboa)

**Credits**

* [naeemshaikh90](https://github.com/naeemshaikh90), [dreymonde](https://github.com/dreymonde), [rbarbosa](https://github.com/rbarbosa)
