Apple has [announced](https://developer.apple.com/news/?id=05072018a) that starting July 2018, all app updates submitted to the App Store have to be built with the iOS 11 SDK. That's a pretty big step-up in requirements, since right now it's possible to submit a build with Xcode 6. On the other hand, it was clear that this was coming, since in February [they announced that starting Aoril, all new apps have to be build with iOS 11 SDK](http://ios-goodies.com/post/171167123973/week-218). This time, it's about updates too. And this will only mean that more apps will add support for iPhone X 😄. I'd be curious to know if this causes a spike in the Xcode 8 downloads, so develoeprs who still had projects in Swift 2 can upgrade first to Swift 3 (with Xcode 8) and then to Swift 4 (with Xcode 9).

**Articles**

* [Advanced Swift Debugging for UIKit](https://blog.superhuman.com/advanced-swift-debugging-for-uikit-e154d1c28aaf), by [@plivesey453](https://twitter.com/plivesey453)
* [Practical Introduction to Custom UICollectionView Layouts](https://www.netguru.co/codestories/practical-introduction-to-custom-uicollectionview-layouts?utm_campaign=Codestories&utm_source=iosgoodies), by [@kwiecien_co](https://twitter.com/kwiecien_co)
* [Memory Leaks in Swift](https://medium.com/flawless-app-stories/memory-leaks-in-swift-bfd5f95f3a74), by Leandro Pérez
* [Touch ID and Face ID on iOS](http://michael-brown.net/2018/touch-id-and-face-id-on-ios/), by [@mluisbrown](https://twitter.com/mluisbrown)
* [The Laws of Core Data](https://davedelong.com/blog/2018/05/09/the-laws-of-core-data/), by [@davedelong](https://twitter.com/davedelong)
* [Codable in practice](http://ilya.puchka.me/codable-in-practice/), by [@ilyapuchka](https://twitter.com/ilyapuchka)
* [Smart Punctuation on iOS 11](https://pspdfkit.com/blog/2018/ios-11-smart-punctuation/), by [@caughtinflux](https://twitter.com/caughtinflux)

**Tools/Controls**

* [AnyCodable](https://github.com/Flight-School/AnyCodable) - Type-erased wrappers for Encodable, Decodable, and Codable values, by [@mattt](https://twitter.com/mattt)
* [SwiftEntryKit](https://github.com/huri000/SwiftEntryKit) - a banner presenter library for iOS. It can be used to easily display pop-ups and notification-like views within your iOS apps, by Daniel Huri
* [Differific](https://github.com/zenangst/Differific) - ⛽️ Differific - a fast and convenient diffing framework, by [@zenangst](https://twitter.com/zenangst)
* [UserInterface](https://github.com/zenangst/UserInterface) - 🚥 UserInterface - a collection of convenience extensions specifically tailored to building user interfaces in Swift, by [@zenangst](https://twitter.com/zenangst)

**Business/Career**

* [How to deliver a talk at a programming conference](https://www.hackingwithswift.com/articles/96/how-to-deliver-a-talk-at-a-programming-conference), by [@twostraws](https://twitter.com/twostraws)
* [Increase Downloads of Your iOS App by Including Awesome Features](https://medium.com/ios-os-x-development/increase-downloads-of-your-ios-app-by-including-awesome-features-4b39be3af548), by [@SteelKiwiDev](https://twitter.com/SteelKiwiDev)
* [Foot-candles: the different paths to tech](http://blog.alicegoldfuss.com/foot-candles/), by [@alicegoldfuss](https://twitter.com/alicegoldfuss)

**UI/UX**

* [iOS Design Inconsistencies Across Apple's Apps](http://benjaminmayo.co.uk/ios-11-design-inconsistencies), by [@bzamayo](https://twitter.com/bzamayo)
* [UX Practices: 8 Handy Tips on CTA Button Design](https://uxplanet.org/ux-practices-8-handy-tips-on-cta-button-design-682fdb9c65bc), by [@tubikstudio](https://twitter.com/tubikstudio)

**Videos**

* 

**Credits**

* [plivesey](https://github.com/plivesey), [LisaDziuba](https://github.com/lisadziuba), [MichalTKwiecien](https://github.com/MichalTKwiecien)
