I saw the list of the [top 5000 CocoaPods](https://gist.github.com/orta/5c66adbab469d5fe8c4381eaec190eb5) by download count, shared by [Orta](https://twitter.com/orta). What got my attention was that more than half of the top 35 pods listed are owned by big companies (Google, Facebook). And as Nick Lockwood [observed on Twitter](https://twitter.com/nicklockwood/status/996683992207384576), some of those pods aren't even really open source, being only a Swift wrapper over a precompiled framework. Now don't get me wrong, those are solid, stable tools that get the job done, and I've also used and still use some of them in the projects I work on. I just wanted to reiterate on something that I also wrote about in a previous issue: we as developers need to be aware of all the implications of adding other SDKs to our app. The SDKs included in an app get access to the same data as the app (which can include keychain data, photos, location, camera, logins and others).

On a lighter note, you'll notice that I've added a 🙃 next to one of the tools included in this edition. That's because although I doubt anyone will find it useful in a real world app, I had too much fun when I saw it not to include it in this week's nesletter 😄.

**Articles**

* [Generating Random Numbers in Swift](https://www.netguru.co/codestories/generating-random-numbers-in-swift), by Piotr Sochalewski
* [Response: The Laws Of Core Data](http://www.cimgf.com/2018/05/10/response-the-laws-of-core-data/), by [@mzarra](https://twitter.com/mzarra)
* [Detecting Avengers superheroes in your iOS app with IBM Watson and CoreML](https://medium.com/flawless-app-stories/detecting-avengers-superheroes-in-your-ios-app-with-ibm-watson-and-coreml-fe38e493a4d1), by [@onmyway133](https://twitter.com/onmyway133)
* [How StackView help your iOS app to be more dynamic](https://blog.customerly.io/engineering/2018/05/14/how-stackview-help-your-ios-app-to-be-more-dynamic), by [@pmusolino](https://twitter.com/pmusolino)
* [Natural Language Processing on iOS with Turi Create](https://www.raywenderlich.com/185515/natural-language-processing-on-ios-with-turi-create), by [@TheMikeKatz](https://twitter.com/TheMikeKatz)
* [Running Xcode Playgrounds on Travis CI](https://flight.school/articles/running-xcode-playgrounds-on-travis-ci/), by [@mattt](https://twitter.com/mattt)
* [Design Patterns in Swift: State Pattern](https://agostini.tech/2018/05/13/design-patterns-in-swift-state/), by [@dagostin](https://twitter.com/dagostin)
* [Advances in Auto Layout](https://pspdfkit.com/blog/2018/auto-layout-advances/), by [@steviki](https://twitter.com/steviki)

**Tools/Controls**

* [Guide to Codable Sample Code](https://github.com/Flight-School/Guide-to-Codable-Sample-Code) - Xcode Playground Sample Code for the Flight School Guide to Codable, by [@mattt](https://twitter.com/mattt)
* [Sample Code of the App Architecture Book](https://github.com/objcio/app-architecture), by [@objcio](https://twitter.com/objcio)
* [ClassicKit](https://github.com/Baddaboo/ClassicKit) - A collection of classic-style UI components for iOS, by [@blaketsuzaki](https://twitter.com/blaketsuzaki) -  🙃

**Business/Career**

* [11 principles that help me write better code](https://larder.io/blog/code-principles/), by Belle B. Cooper
* [After 5 years and $3M, here's everything we've learned from building Ghost](https://blog.ghost.org/5/), by [@johnonolan](https://twitter.com/johnonolan) and [@erisds](https://twitter.com/erisds)
* [How to Run More Inclusive Meetings](https://thinkgrowth.org/how-to-run-more-inclusive-meetings-78f5b64ae6d9), by [@katieburkie](https://twitter.com/katieburkie)

**UI/UX**

* [Privacy: A Quick Overview for App Designers](https://blog.prototypr.io/privacy-a-quick-overview-for-app-designers-5b98d2ac05cc), by [@brianpagan](https://twitter.com/brianpagan)
* [Animation in UI Design: From Concept to Reality](https://uxplanet.org/animation-in-ui-design-from-concept-to-reality-85c49907b19d), by [@tubikstudio](https://twitter.com/tubikstudio)

**Videos**

* 

**Credits**

* [sochalewski](https://github.com/sochalewski), [pmusolino](https://github.com/pmusolino), [LisaDziuba](https://github.com/lisadziuba)
