If you, as an app developer, were thinking that Apple isn't listening to your feedback and suggestions, or isn't doing enough to support developers, you were probably not alone. To increase the chances that their voices are heard, developers formed [The Developers Union](http://www.thedevelopersunion.org/), which already gathers almost 500 supporters and more than 500 apps. Their initial focus on getting Apple to allow free trials on apps in the App Store. I'm very curious to see Apple's response to this. And while I'm a bit skeptical on the outcome of this situation, I'd really be happy for a more open dialogue between Apple and the developers.

**Articles**

* [Exploring Text Recognition and Face Detection with Google’s ML Kit for Firebase on iOS](https://medium.com/@adamtalcott/exploring-text-recognition-and-face-detection-googles-ml-kit-for-firebase-on-ios-1333dfa53f4c), by Adam Talcott
* [Using Dedicated Objects as Delegates & Datasources](http://alisoftware.github.io/architecture/2018/05/20/dedicated-datasources/), by [@aligatr](https://twitter.com/aligatr)
* [Painless Core Data in Swift](http://aplus.rs/2018/painless-core-data-swift/), by [@radiantav](http://twitter.com/radiantav)
* [Launch arguments in Swift](https://www.swiftbysundell.com/posts/launch-arguments-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Swift Lazy Property Initialization](https://useyourloaf.com/blog/swift-lazy-property-initialization/), by [@kharrison](https://twitter.com/kharrison)
* [Developing UIViews in Xcode Playgrounds](https://topologyeyewear.github.io/engineering-blog/2018/05/21/playgrounds/), by [@alexisgallagher](https://twitter.com/alexisgallagher)
* [Continuous Integration Services for iPhone Apps in 2018](https://iosreviewed.com/reviews-1/2018/5/22/continuous-integration-services-for-iphone-apps-in-2018), by [@ocrickard](https://twitter.com/ocrickard)

**Tools/Controls**

* [Yams](https://github.com/jpsim/Yams) - A Sweet and Swifty YAML parser, by [@simjp](https://twitter.com/simjp)
* [CardParts](https://github.com/intuit/CardParts) - A reactive, card-based UI framework built on UIKit for iOS developers, by [@Intuit](https://twitter.com/Intuit)
* [CloudKitCodable](https://github.com/insidegui/CloudKitCodable) - An encoder and decoder for CKRecord, by [@_inside](https://twitter.com/_inside)

**Business/Career**

* [Regarding Free Trials in the App Store](https://beckyhansmeyer.com/2018/05/21/regarding-free-trials-in-the-app-store/), by [@bhansmeyer](https://twitter.com/bhansmeyer)
* [Technical Interview Protips](http://martiancraft.com/blog/2018/05/technical-interview-protips/), by [@zmcartor](https://twitter.com/zmcartor)

**UI/UX**

* [Design for Humans](https://uxplanet.org/design-for-humans-e8fc7924286d), by [@abiduzz420](https://twitter.com/abiduzz420)
* [How to Build a Better Product with UX Writing](https://uxdesign.cc/how-to-build-a-better-product-with-ux-writing-926d78209ce8), by Anastasiia Marushevska

**Videos**

* [UIKonf videos](https://www.youtube.com/watch?v=Nx0cKEQcbz4&list=PLdr22uU_wISohI7PIhzq0gotGfKZl1lGo)

**Credits**

* [ramshandilya](https://github.com/ramshandilya)
