Happy Thursday, everyone ☺️. I must begin this edition by talking about [Airbnb's series of articles on their experience with React Native](https://medium.com/airbnb-engineering/react-native-at-airbnb-f95aa460be1c), since they were shared dozens of times on my Twitter feed. You've probably seen them too :). First of all, I really appreciate that Airbnb wrote those articles. We usually see lots of similar articles when a big company adopts a technology, but we don't usually hear anything about their experience with it after a while. Those articles are well written and highlight both the good and the bad parts of using React Native at Airbnb. Secondly, their experience with React Native doesn't apply to everyone: we have the example of the Artsy engineering team, who [seem very happy with React Native](http://artsy.github.io/series/react-native-at-artsy/). 

And if you really want to know my personal opinion that shouldn't matter to you at all, I do prefer native development. But I also think there is a tool for every task, and for some tasks there might be better tools than the ones you're familiar with. Keep an open mind 😄

**Articles**

* [WKWebView and WKCookieStore in iOS 11](https://medium.com/appssemble/wkwebview-and-wkcookiestore-in-ios-11-5b423e0829f8), by [@dobreandl](https://twitter.com/dobreandl)
* [Open Source Stories: From Cachable to Generic Storage in Cache](https://medium.com/hyperoslo/open-source-stories-from-cachable-to-generic-storage-in-cache-418d9a230d51), by [@onmyway133](https://twitter.com/onmyway133) via [@hyperoslo](https://twitter.com/hyperoslo)
* [ReSwift in Practice](https://medium.com/@tobi_86596/reswift-in-practice-1512e0f59eb5), by Tobias Ottenweller
* [Enum-Driven TableView Development](https://www.raywenderlich.com/188692/enum-driven-tableview-development), by [@rushkeegan](https://twitter.com/rushkeegan)
* [Swift techniques to filter duplicates out of large JSON arrays](http://aplus.rs/2018/swift-techniques-remove-duplicates-array/), by [@radiantav](https://twitter.com/radiantav)

**Tools/Controls**

* [cocoapods-graph](https://github.com/erickjung/cocoapods-graph) - generates a dependencies graph report, by [@erickjung](https://twitter.com/erickjung)
* [MessengerKit](https://github.com/steve228uk/MessengerKit) - 
💬 A UI framework for building messenger interfaces on iOS, by [@steve228uk](https://twitter.com/steve228uk)

**Business**

* [What we learned about CI/CD analysing 75k builds](https://nevercode.io/blog/what-we-learned-about-ci-cd-tool-analysing-75k-builds/), by [@nevercodehq](https://twitter.com/nevercodehq)
* [App Store Review Guidelines History - Changes after WWDC 2018](http://www.appstorereviewguidelineshistory.com/articles/2018-06-04-wwdc2018/), by [@shapedk](https://twitter.com/shapedk)
* [The 4 One-on-One Meeting Questions You Should *Not* Ask Your Employee](https://knowyourcompany.com/learn/guides/8-how-to-have-effective-one-on-one-meetings/2-four-questions-not-to-ask-during-one-on-one-meeting/), by [@cjlew23](https://twitter.com/cjlew23)

**UI/UX**

* [The Story Behind Susan Kare’s Iconic Design Work for Apple](https://milanote.com/the-work/the-story-behind-susan-kares-iconic-design-work-for-apple), by [@oliebol](https://twitter.com/oliebol)
* [How we built Goodshows App🍿 — design process, challenges, and learnings of building a social network](https://uxdesign.cc/how-we-built-goodshows-app-design-process-challenges-and-the-learnings-of-building-a-social-24325d9afb04), by [@farhanrazaak](https://twitter.com/farhanrazaak)

**Videos**

* 

**Credits**

* [dobreandl](https://github.com/dobreandl), [onmyway133](https://github.com/onmyway133), [t-unit](https://github.com/t-unit), [FranciscoAmado](https://github.com/FranciscoAmado)
