Happy Thursday! It was a quiet vacation week among my colleagues, at least, so I decided it's the perfect time to add [SwiftLint](https://github.com/realm/SwiftLint) to our biggest project. SwiftLint is a great tool, a mature and solid project, and I totally recommend it. However, adding it to a project that was started more than 2 years ago can take a bit of time 😅.

Even though it's the middle of the summer, there was again a lot of new content. Our iOS community never ceases to surprise me coming up with new and quality materials. I'm happy to be a part of it ☺️.

**Articles**

* [Building a camera calculator with Vision and Tesseract OCR in iOS](https://heartbeat.fritz.ai/building-a-camera-calculator-with-vision-and-tesseract-ocr-in-ios-26f16240fe51), by [@onmyway133](https://twitter.com/onmyway133) via [Heartbeart](https://heartbeat.fritz.ai/)
* [Updating Strings For Swift 4.2](https://useyourloaf.com/blog/updating-strings-for-swift-4.2/), by [@kharrison](https://twitter.com/kharrison)
* [Custom Types for Powerful Matching](http://www.figure.ink/blog/2018/7/23/custom-types-for-powerful-matching), by [@jemmons](https://twitter.com/jemmons)
* [Writing Cleaner View Code in Swift By Overriding loadView()](https://swiftrocks.com/writing-cleaner-view-code-by-overriding-loadview.html), by [@rockthebruno](https://twitter.com/rockthebruno)
* [Better iOS projects: Getting (nearly) rid of Xcodeproject](https://www.number42.de/blog/2018/07/24/xcodegen-article.html), by [@wlborg](https://twitter.com/wlborg)
* [Design Patterns in Swift #1: Factory Method and Singleton](https://www.appcoda.com/design-pattern-creational/), by [@iosbrain](https://twitter.com/iosbrain)

**Tools/Controls**

* [Best 12 tools to create amazing screenshots for your mobile apps (2018)](https://medium.com/appmanager/best-12-tools-to-create-amazing-screenshots-for-your-mobile-apps-2018-1cbf6f8660ba), by [@ott_max](https://twitter.com/ott_max) via [AppManager](https://appmanager.io)
* [TypingIndicator](https://github.com/nathantannar4/TypingIndicator) - A replica of iMessage's typing indicator bubble with support for a variety of animations, by [@nathantannar4](https://twitter.com/nathantannar4)

**Business/Career**

* [State of Mobile App Quality 2018: What We Learned From Analyzing 100 Million Bugs](https://instabug.com/state-of-mobile-app-quality-2018), by [@instabug](https://twitter.com/instabug)
* [Now I see you, now I don’t](https://medium.com/@S_Lindemann/now-i-see-you-now-i-dont-8e5b260376ac), by [@S_Lindemann](https://twitter.com/S_Lindemann)
* [Imaginary problems, the root of bad software](https://medium.com/@george3d6/imaginary-problems-d4f2921bd1b8), by [@Cerebralab2](https://twitter.com/Cerebralab2)
* [Library Rules: How to make an open office plan work](https://m.signalvnoise.com/library-rules-how-to-make-an-open-office-plan-work-f9f6d69a2d4c), by [@jasonfried](https://twitter.com/jasonfried)

**UI/UX**

* [What Can Bike Sharing Apps Teach Us About Mobile On-boarding Design?](https://www.lukew.com/ff/entry.asp?1995), by [@lukew](https://twitter.com/lukew)
* [Stop letting the data decide](http://www.nielshoven.com/stop-letting-the-data-decide/), by [@NielsHoven](https://twitter.com/NielsHoven)
* [Rounded or Sharp-Corner Buttons? - Trivial Design Decisions That Actually Matter](https://uxplanet.org/rounded-or-sharp-corner-buttons-def3977ed7c4), by [@taimekoe](https://twitter.com/@taimekoe)

**Videos**

* [Designing For Augmented Reality](https://www.youtube.com/watch?v=-r1VtYxvVIc), by [@flarup](https://twitter.com/flarup)

**Credits**

* [onmyway133](https://github.com/onmyway133), [ajandrade](https://github.com/ajandrade), [rbarbosa](https://github.com/rbarbosa)
