I was really impressed this week by [Nathan Gitter](https://twitter.com/nathangitter)'s work on building fluid interfaces. [The WWDC talk that inspired him](https://developer.apple.com/videos/play/wwdc2018/803/) is one of the most interesting ones this year (totally recommend it, btw), but it's more of a theoretical / inspirational / design session than a coding one. Nathan takes it one step further, writing an article and open sourcing the code for 8 interfaces that cover the topics in the presentation. You can find both the article and the code for them below.

We've had a lot of great articles this week, and unfortunately we can't fit all of them in the newsletter. If you're curious to see the rest, you can [read our issue on GitHub](https://github.com/iOS-Goodies/iOS-Goodies/blob/master/Issues/Week242.md). And make sure to check out this week's sponsored message 😄

**Articles**

* [6 Steps to Integrate ClassKit into Your App](https://www.netguru.co/codestories/6-steps-to-integrate-classkit-into-your-app?utm_campaign=Codestories&utm_source=iosgoodies&utm_medium=social), by [@kwiecien_co](https://twitter.com/kwiecien_co)
* [Refactoring Massive App Delegate](http://www.vadimbulavin.com/refactoring-massive-app-delegate/), by [@V8tr](https://twitter.com/V8tr)
* [Extracting the location from a photo](https://rolandleth.com/extracting-the-location-from-a-photo), by [@rolandleth](https://twitter.com/rolandleth)
* [Creating a Bottom Sheet](https://skagedal.github.io/2018/08/03/bottom-sheet.html), by [@skagedal](https://twitter.com/skagedal)
* [Writing Custom Pattern Matching in Swift](https://swiftrocks.com/writing-custom-pattern-matching-rules-in-swift.html), by [@rockthebruno](https://twitter.com/rockthebruno)
* [How to Dim the Background of a Popover on iOS](https://spin.atomicobject.com/2018/08/08/dim-popover-background/), by [@mikewoelmer](https://twitter.com/mikewoelmer)
* [Getting All Cases Of An Enum](https://useyourloaf.com/blog/getting-all-cases-of-an-enum/), by [@kharrison](https://twitter.com/kharrison)
* [Where usage in Swift](https://www.avanderlee.com/swift/where-using-swift/), by [@twannl](https://twitter.com/twannl)
* [Working with IndexPaths](https://152percent.com/blog/2018/8/7/working-with-indexpaths), by [@shaps](https://twitter.com/shaps)

**Tools/Controls**

* [swiff](https://github.com/agens-no/swiff) - Tool for inspecting time spent on tasks in e.g. build logs, by [@hfossli](https://twitter.com/hfossli)
* [Building Fluid Interfaces - Demo App](https://github.com/nathangitter/fluid-interfaces) - Natural gestures and animations inspired by Apple's WWDC18 talk "Designing Fluid Interfaces", by [@nathangitter](https://twitter.com/nathangitter)
* [DifferenceKit](https://github.com/ra1028/DifferenceKit) - 💻 A fast and flexible O(n) difference algorithm framework for Swift collection, by [@ra1028fe5](https://twitter.com/ra1028fe5)
* [Cabbage](https://github.com/VideoFlint/Cabbage) - A video composition framework build on top of AVFoundation, by [@NoairZhangwei](https://twitter.com/NoairZhangwei)
* [Unwrap](https://github.com/twostraws/Unwrap) - Learn Swift interactively on your iPhone, by [@twostraws](https://twitter.com/twostraws)

**Sponsored Link**

> [New Book: Server Side Swift with Vapor](https://store.raywenderlich.com/products/server-side-swift-with-vapor)

> If you’re a beginner to web development, but have worked with Swift for some time, you’ll find it’s easy to create robust, fully-featured web apps and web APIs with Vapor 3.

> This book from the [raywenderlich.com](https://raywenderlich.com/) team starts with the basics of web development and introduces the basics of Vapor; it then walks you through creating APIs and web backends; creating and configuring databases; deploying with Heroku; testing your creations and more!

**Business/Career**

* [Bad Idea Rejection Tokens](http://blog.jaredsinclair.com/post/176737572155/bad-idea-rejection-tokens), by [@jaredsinclair](https://twitter.com/jaredsinclair)
* [My Tech Interviews Experience: Failures, Successes and Tips for you](https://patrickbalestra.com/blog/2018/08/06/my-tech-interviews-experience.html), by [@BalestraPatrick](https://twitter.com/BalestraPatrick)
* [Effective Remote Communication](https://pspdfkit.com/blog/2018/effective-remote-communication/), by [@steipete](https://twitter.com/steipete)
* [Building a Great Engineering Team: Part One - Start With You](https://www.bignerdranch.com/blog/building-a-great-engineering-team-part-one-start-with-you/), by [@ strickland](https://twitter.com/strickland)

**UI/UX**

* [Building Fluid Interfaces](https://medium.com/@nathangitter/building-fluid-interfaces-ios-swift-9732bb934bf5), by [@nathangitter](https://twitter.com/nathangitter)
* [How to fix dragging animation in UI with simple math](https://uxdesign.cc/how-to-fix-dragging-animation-in-ui-with-simple-math-4bbc10deccf7), by [@NashVail](https://twitter.com/NashVail)
* [How to Use Smart Defaults to Reduce Cognitive Load](https://www.shopify.com/partners/blog/cognitive-load), by [@101babich](https://twitter.com/101babich)

**Videos**

* 

**Credits**

* [FranciscoAmado](https://github.com/FranciscoAmado), [ra1028](https://github.com/ra1028), [hfossli](https://github.com/hfossli), [MichalTKwiecien](https://github.com/MichalTKwiecien), [rbarbosa](https://github.com/rbarbosa), [pmusolino](https://github.com/pmusolino)
