Did you all watch the Apple event yesterday? I won't go into details about the devices, but here's what I can say as from an iOS developer's perspective: the Xcode 10 GM is out, you can [get it from here](https://developer.apple.com/download/). You don't necessarily have to upgrade your app to Swift 4, Xcode 10 still compile apps written in Swift 3.2. Starting in March 2019, all new apps and app updates will need to be built with the iOS 12 SDK and support iPhone XS Max. iOS 12 will go out on Monday, 17 September, so make sure your apps are ready by then. As far as I can tell, most of the apps that support iPhone X should work without any changes on the new devices, but there can be exceptions, so it's better to check.

**Articles**

* [Building Ethereum Dapps on iOS with web3.swift](https://medium.com/argenthq/building-ethereum-dapps-on-ios-a413c72f47f7), by [@th3m477](https://twitter.com/th3m477)
* [Prototyping with code](https://medium.com/produkt-blog/prototyping-with-code-a0d2fe4ddb4f), by [@victorbaro](https://twitter.com/victorbaro)
* [Learn iOS best practices by building a simple recipes app](https://medium.freecodecamp.org/learn-ios-best-practices-by-building-a-simple-recipes-app-9bcbce4d10d), by [@onmyway133](https://twitter.com/onmyway133)
* [Unit Testing UIViewControllers](https://parveenkaler.com/posts/unit-testing-uiviewcontrollers), by [@kaler](https://twitter.com/kaler)
* [CMMotionActivity](https://nshipster.com/cmmotionactivity/), by [@mattt](https://twitter.com/mattt)
* [Increasing the tap area of a UIButton](https://rolandleth.com/increasing-the-tap-area-of-a-uibutton), by [@rolandleth](https://twitter.com/rolandleth)
* [Adding Padding To A Stack View](https://useyourloaf.com/blog/adding-padding-to-a-stack-view/), by [@kharrison](https://twitter.com/kharrison)
  
**Tools/Controls**

* [Layoutable](https://github.com/michaltkwiecien/layoutable) - Lightweight extension for UIView that make use of Auto Layout easier, by [@kwiecien_co](https://twitter.com/kwiecien_co)
* [xcbeautify](https://github.com/thii/xcbeautify) - A little beautifier tool for xcodebuild, by Thi
* [ImageSizeFetcher](https://github.com/malcommac/ImageSizeFetcher), by [@danielemargutti](https://twitter.com/danielemargutti)
* [HeadGazeLib](https://github.com/eBay/HeadGazeLib), by eBay

**Business/Career**

* [Surviving the App Store](https://github.com/amirrajan/survivingtheappstore), by [@amirrajan](https://twitter.com/amirrajan)

**UI/UX**

* [5 App Design Tools – Nodes Design Stack 2018](https://www.nodesagency.com/nodes-design-stack-2018/), by [@Nodes_Apps](https://twitter.com/Nodes_Apps)
* [What I Learned Making 5 ARKit Prototypes](https://medium.com/@nathangitter/what-i-learned-making-five-arkit-prototypes-7a30c0cd3956), by [@nathangitter](https://twitter.com/nathangitter)
* [4 Creative Mobile Onboarding Concepts](http://babich.biz/mobile-onboarding-concepts/), by [@101babich](https://twitter.com/101babich)
* [Top 4 Principles of Human-Centered Design](http://babich.biz/principles-of-human-centered-design/), by [@101babich](https://twitter.com/101babich)
* [Surfacing Shortcuts](https://joecieplinski.com/blog/2018/09/11/surfacing-shortcuts/), by [@jcieplinski](http://twitter.com/jcieplinski)

**Videos**

* [Millions of Customers, Billions of Dollars, Real world Architecture at Scale](https://www.youtube.com/watch?v=l6UySp_g0v8), by [@kaler](https://twitter.com/kaler)

**Credits**

* [th3m477](https://github.com/th3m477), [@thii](https://github.com/thii), [MichalTKwiecien](https://github.com/MichalTKwiecien), [@onmyway133](https://github.com/onmyway133), [@kaler](https://github.com/kaler)
