As always, the week after Apple's September event is pretty busy. We got the official release of iOS 12, which I think is the most solid iOS release so far. It made my 6S so fast that I'm not even considering upgrading my device. iOS 12 may be worst thing for iPhone Xs sales 😂. Joke aside, hats off to all the Apple folks who worked on iOS 12, great work 👌!

The release of iOS 12 also means we got the official [release of Swift 4.2](https://swift.org/blog/swift-4-2-released/). And what better time to dig into some of the [more obscure APIs of iOS 12](https://nshipster.com/ios-12/) with [@mattt](https://twitter.com/mattt)?

**Articles**

* [🔒 Type-Safe Swift Models](https://medium.com/@farzadshbfn/type-safe-swift-models-fce55d6eccc7), by [@FarzadShbfn](https://twitter.com/FarzadShbfn)
* [What's in your Larder: iOS testing frameworks](https://larder.io/blog/larder-links-07-ios-testing/), by [@bellebcooper](http://www.twitter.com/bellebcooper)
* [Capturing Self with Swift 4.2](https://benscheirman.com/2018/09/capturing-self-with-swift-4-2/), by [@subdigital](https://twitter.com/subdigital)
* [Strong Self in Swift](http://roundwallsoftware.com/strong-self/), by [@samuelgoodwin](https://twitter.com/samuelgoodwin)
* [Swift Associated Types With Default Values](https://swiftrocks.com/swift-associated-types-with-default-values.html), by [@rockthebruno](https://twitter.com/rockthebruno)
* [Access Control Management with Swift](https://medium.com/ios-os-x-development/access-control-management-with-swift-cc3c3d68cbc3), by [@mmabdellateef](https://twitter.com/mmabdellateef)
* [Prefetching images size without downloading them [entirely] in Swift](http://danielemargutti.com/2018/09/09/prefetching-images-size-without-downloading-them-entirely-in-swift/), by [@danielemargutti](https://twitter.com/danielemargutti)
* [Bloom Filters and Swift 4.2](http://khanlou.com/2018/09/bloom-filters/), by [@khanlou](https://twitter.com/khanlou)

**Tools/Controls**

* [TypedTextAttributes](https://github.com/muukii/TypedTextAttributes) - The Library Creating Text Attributes with Type-Safety, by [@muukii0803](https://twitter.com/muukii0803)

**Business/Career**

* [Creative optimization for the holiday season](https://www.apptamin.com/blog/holiday-creative-optimization/), by [@apptamin](https://twitter.com/apptamin)
* [6 Winning Monetisation Strategies](https://blog.novoda.com/6-winning-monetisation-strategies/), by [@bassface25](https://twitter.com/bassface25)

**UI/UX**

* [Designing and Developing for Siri Shortcuts](http://blog.maxrudberg.com/post/178153402778/designing-and-developing-for-siri-shortcuts), by [@simmelj](https://twitter.com/simmelj) and [@maxrudberg](https://twitter.com/maxrudberg)
* [5 Steps to a Better Onboarding Experience](https://medium.com/device-blogs/5-steps-to-a-better-onboarding-experience-11945f0b8abf), by [@plivesey453](https://twitter.com/plivesey453)
* [Everything You Always Wanted to Know About Rapid Prototyping](https://www.shopify.com/partners/blog/rapid-prototyping), by [@101babich](https://twitter.com/101babich)
* [Add fireworks and sparks to a UIView](http://szulctomasz.com/programming-blog/2018/09/add-fireworks-and-sparks-to-a-uiview/), by [@tomkowz](https://twitter.com/tomkowz)

**Videos**

* [Swift & Fika 2018](https://www.youtube.com/watch?v=EPXodAD6wXI) by [@swiftandfika](https://twitter.com/swiftandfika)
* [Embracing Change](https://vimeo.com/290295358), by [@krstnfx](http://twitter.com/krstnfx)
* [Combinators](https://vimeo.com/290272240), by [@dimsumthinking](https://twitter.com/dimsumthinking)

**Credits**

* [bellebethcooper](https://github.com/bellebethcooper), [muukii](https://github.com/muukii), [rbarbosa](https://github.com/rbarbosa), [fassko](https://github.com/fassko), [plivesey](https://github.com/plivesey), [mmabdelateef](https://github.com/mmabdelateef), [tomkowz](https://github.com/tomkowz)
