iOS Goodies is a community newsletter. In our years of being open source, almost 200 contributors committed something to our newsletter. We believe in the open source culture, and we encourage people to contribute to open source repos. This is why initiatives that aim to increase the number of people who contribute to open source projects are something we care for in particular. We're very happy to share that the fifth edition of [Hacktoberfest](https://hacktoberfest.digitalocean.com/) has just started. Contribute to open source and earn a limited edition T-Shirt. This is not a sponsored message. We just ❤️ open source.

[Jetbrains](https://twitter.com/jetbrains) has released the 2018 edition of [The State of Developer Ecosystem](https://www.jetbrains.com/research/devecosystem-2018/swift-objc/). If you like looking at survey results and statistics, you may find this interesting. 

**Articles**

* [Protocol-Oriented Themes for iOS Apps](http://basememara.com/protocol-oriented-themes-for-ios-apps/), by [@basememara](https://twitter.com/basememara)
* [PhotoKit’s data model](https://oleb.net/2018/photos-data-model), by [@olebegemann](https://twitter.com/olebegemann)
* [Best iOS hacks from Twitter: September Edition](https://flawlessapp.io/blog/best-ios-hacks-from-twitter-september-edition/), by [@lisadziuba](https://twitter.com/LisaDziuba)
* [Parse Boolean Search Expressions in Swift](http://christiantietze.de/posts/2018/09/search-string-parser/), by [@ctietze](https://twitter.com/ctietze)
* [Multiple Inheritance in Swift](http://www.vadimbulavin.com/multiple-inheritance-swift/), by [@V8tr](https://twitter.com/V8tr)
* [Best Practices for Building Swift Classes](https://www.appcoda.com/swift-class-best-practice/), by [@iosbrain](https://twitter.com/iosbrain)

**Tools/Controls**

* [AlignedCollectionViewFlowLayout](https://github.com/mischa-hildebrand/AlignedCollectionViewFlowLayout), by [@mischa-hildebrand](https://github.com/mischa-hildebrand)
* [Sizes - View your app on different device and font sizes](https://github.com/marcosgriselli/Sizes), by [@marcosgriselli](https://twitter.com/marcosgriselli)
* [PermissionsKit - convenience wrapper on macOS permissions API](https://github.com/MacPaw/PermissionsKit), by Serg Krivoblotsky
* [CSProgress - A higher-performing, easier-to-use replacement class for Apple's NSProgress](https://github.com/CharlesJS/CSProgress), by CharlesJS


**Business/Career**

* [What makes developers bad at business?](https://qotoqot.com/blog/blind-spots/), by [@ivmirx](https://twitter.com/ivmirx)
* [We gave our app away for free. What happened next will amaze you.](https://medium.com/@benricem/i-gave-my-app-away-for-free-what-happens-next-will-amaze-you-22f07bf1616f), by [@BenRiceM](https://twitter.com/BenRiceM)
* [Career choices](https://ruiper.es/2018/10/01/career-choices/), by [@peres](https://twitter.com/peres)

**UI/UX**

* [iPhone XS mockups](https://applypixels.com/template/iphone-xs/#sketch), by [@applypixels](https://twitter.com/applypixels)
* [iPhone XR mockups](https://applypixels.com/template/iphone-xr/#sketch), by [@applypixels](https://twitter.com/applypixels)

**Videos**

* [SwiftConf 2018](https://www.youtube.com/playlist?list=PLgUjQUYKwG_hkD2ZcfAs7bTZwbEtAnNFs), by [@swiftconf](https://twitter.com/swiftconf)

**Credits**

* [basememara](https://github.com/basememara), [pmusolino](https://github.com/pmusolino), [FranciscoAmado](https://github.com/FranciscoAmado), [LisaDziuba](https://github.com/LisaDziuba), [ivmirx](https://github.com/ivmirx), [rbarbosa](https://github.com/rbarbosa)
