Happy Thursday, everyone! On the Swift Forums we saw a thread this week announcing that [Apple will build an LSP language service supporting Swift and C-family languages for any editor and platform](https://forums.swift.org/t/new-lsp-language-service-supporting-swift-and-c-family-languages-for-any-editor-and-platform/17024). What exactly does this mean? The Language Server Protocol (LSP) is a protocol for source code editors (Atom, VS Code, etc) to provide autocompletion and syntax highlighting for various programming languages. Apple just announced that it's working on something that will improve the experience of writing Swift on other IDEs and platofrms. Why did I want to start this iOS Goodies issue with this? Mostly because of [Doug Gregor](https://twitter.com/dgregor79)'s quote: "That’s important because the Swift community extends beyond Xcode users". On to the links!

**Articles**

* [Make apps for a global audience: our approach to empowering NSAttributedString](https://medium.com/ynap-tech/our-approach-to-empowering-nsattributedstring-f6ecab72b9a9/), by [@ennioma](https://twitter.com/ennioma)
* [Building an iOS App Without Xcode's Build System](https://vojtastavik.com/2018/10/15/building-ios-app-without-xcode/), by [@VojtaStavik](https://twitter.com/vojtastavik)
* [Upload image to server using URLSessionUploadTask](https://fluffy.es/upload-image-to-server/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [Migrating to Swift](https://jjrscott.com/migrating-to-swift/), by [@jjrscott](https://twitter.com/jjrscott)
* [numeric​Cast(_:)](https://nshipster.com/numericcast/), by [@mattt](https://twitter.com/mattt)
* [Improving Dynamic Type Support](https://pspdfkit.com/blog/2018/improving-dynamic-type-support/), by [@steviki](https://twitter.com/steviki)
* [Avoiding the keyboard on UITextField focus](https://rolandleth.com/avoiding-the-keyboard-on-uitextfield-focus), by [@rolandleth](https://twitter.com/rolandleth)
* [Exploring Custom watchOS Watch Faces](https://david-smith.org/blog/2018/10/12/exploring-custom-watchos-watch-faces/), by [@_DavidSmith](http://twitter.com/_DavidSmith)
* [TIL: Boy, Have I Been Misusing SCNetworkReachability](http://blog.jaredsinclair.com/post/179083065595/til-boy-have-i-been-misusing), by [@jaredsinclair](https://twitter.com/jaredsinclair) 

**Tools/Controls**

* [Arrows](https://github.com/antoniocasero/Arrows) - Arrows is an animated custom view to give feedback about your UI sliding panels., by [@acaserop](https://twitter.com/acaserop)

**Business/Career**

* [How We Onboard New Engineers](https://pspdfkit.com/blog/2018/onboarding-new-engineers/), by [@NicolasDular](https://twitter.com/NicolasDular)
* [The Value of Values](https://blog.lickability.com/the-value-of-values-3b2e2ee5328b), by [@mb](https://twitter.com/mb)

**UI/UX**

* [Uber’s Undoing Part II: Local vs. Global](http://www.elischiff.com/blog/2018/10/17/ubers-undoing-part-ii-local-vs-global), by [@eli_schiff](https://twitter.com/eli_schiff)
* [Reasons Your Mobile App Retention Rate Might Be So Low](https://www.smashingmagazine.com/2018/10/mobile-app-retention-rate/), by [@sescacca](https://twitter.com/sescacca)

**Videos**

* 

**Credits**

* [ennioma](https://github.com/ennioma), [LisaDziuba](https://github.com/lisadziuba), [rbarbosa](https://github.com/rbarbosa)
