Happy Thursday! I'll start this edition talking about npm 🙃. One open source package was transferred to someone else, who released a new version which had some malware code in it. It's very interesting to [read the whole thread](https://github.com/dominictarr/event-stream/issues/116) (although a bit long), and see people's reactions. It's also a nice group effort of developers working together to figure out what the malware code does and how to undo it. It'a also very good to think about the responsibilities an open source developer has. And last but not least, it's a good opportunity to think again about the deeper implications of using 3rd party libraries. Don't get me wrong, I'm pro using 3rd party libraries, and I don't like reinventing the wheel. But each of us has to take a decision on this, and it's ok if that's pro using 3rd party dependencies, and it's ok if it's against that, and it's also ok if it's different for each project we work on. But it has to be a conscious decision, and one for which each of us takes responsibility. It's also a good time to read again [When to Avoid Libraries](https://sandofsky.com/blog/third-party-libraries.html).

In other news, Apple announced an [entrepreneur camp for organizations founded or lead by women](https://developer.apple.com/entrepreneur-camp/). It's great to see big companies try to support diversity in our industry. 

And lastly, iOS Goodies was "highly commended" in the Best Newsletter section of the [Swift Community Awards](https://www.hackingwithswift.com/awards). Congrats to the winners and to all the nominees. And if you haven't already, check out all the nominees, the list is full of goodies 😁

**Articles**

* [Server-side Swift: Making Canopy](https://medium.com/@mxcl/server-side-swift-making-canopy-2-6-95c318a3bb89) by [@mxcl](https://twitter.com/mxcl)
* [A few Swift tricks that you might not know](https://medium.com/@mpesate/a-few-swift-tricks-that-you-might-not-know-7d14afbd5f71), by [MikePT28](https://twitter.com/mikept28)
* [Debouncing in Swift while your iOS app is in the background](http://blog.hellocode.co/post/debounce-swift/) by [@bellebcooper](http://www.twitter.com/bellebcooper)
* [Test doubles in Swift: dummies, fakes, stubs, and spies.](https://www.mokacoding.com/blog/swift-test-doubles/), by [@mokagio](https://twitter.com/mokagio)
* [NS for iOS Devs – Concurrency](https://theswiftpost.co/concurrency/), by [@candostEN](https://twitter.com/candostEN)
* [iOS App Architecture - Part 1: Building Screens](https://gist.github.com/vmaraccini/983349d95556dd55e3f2ceaf32ebba74), by [@VictorMaraccini](https://twitter.com/VictorMaraccini)
* [How to use @dynamicCallable in Swift](https://www.hackingwithswift.com/articles/134/how-to-use-dynamiccallable-in-swift), by [@twostraws](https://twitter.com/twostraws)
* [Restoring Your UI With State Restoration](https://agostini.tech/2018/11/25/restoring-your-ui-with-state-restoration/), by [@dagostin](https://twitter.com/dagostin)
* [Unit testing view controller memory leaks](https://blog.kulman.sk/unit-testing-memory-leaks/), by [@igorkulman](https://twitter.com/igorkulman)
* [When to use UserDefaults, Keychain, or Core Data](https://fluffy.es/persist-data/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [simctl](https://nshipster.com/simctl/), by [@mattt](https://twitter.com/mattt)

**Tools/Controls**

* [Komondor](https://github.com/orta/Komondor) - Git Hooks for Swift projects 🐩, by [@orta](https://twitter.com/orta/)
* [RichTextView](https://github.com/tophat/RichTextView) - iOS Text View (UIView) that Properly Displays LaTeX, HTML, Markdown, and YouTube/Vimeo Links, by [@tophat](https://twitter.com/tophat)

**Business/Career**

* [How to Game the App Store](http://davidbarnard.com/post/180568817995/how-to-game-the-app-store), by [@drbarnard](https://twitter.com/drbarnard)

**UI/UX**

* [Linking to Subscription Management Settings](https://joecieplinski.com/blog/2018/11/26/linking-to-subscription-management-settings/), by [@jcieplinski](http://twitter.com/jcieplinski)

**Videos**

* 

**Credits**

* [pmusolino](https://github.com/pmusolino), [MikePT28](https://github.com/MikePT28), [bellebethcooper](https://github.com/bellebethcooper/), [rbarbosa](https://github.com/rbarbosa)
