Happy Thursday! One article that was shared quite a lot this week is "[Flutter will change everything and is an excellent choice for iOS development](https://medium.com/coding-with-flutter/flutter-will-change-everything-and-apple-wont-do-anything-about-it-f495e7087802)", by [@biz84](https://twitter.com/biz84). While it is an interesting read, I can't help but disagree with it. I'm probably biased, since I love native iOS development, and I've done this for years. But I've also worked on a Flutter app that was released to the App Store and Google Play, so I like to think I can evaluate Flutter a bit more objectively. In my opinion, Flutter is no silver bullet, and it won't change everyhting. Don't get me wrong, there are apps, and there are teams for which Flutter can really be a better choice than native. But I still prefere native over Flutter, and I'm sure there will be certain features of an app for which native would make a lot more sense than Flutter. Coming back to the article, it's funny how certain aspects of iOS development that are presented as being bad in the article (UIKit, Auto Layout) are actually good things in my opinion 😅. I encourage you to read the blogpost carefully, try to be objective and don't get too pasionately attached to one side or another. Take things for what they are, see if the arguments made there apply in your cases and maybe even give Flutter a try before jumping to conclusions. And last but not least, we have to appreciate the enthusiasm of the author.

**Articles**

* [8 Runtime Linters to Help Clean Up Your Code Base](https://medium.com/@michael.eisel/runtime-checking-on-ios-1234b5294998), by [@michaeleisel](https://twitter.com/michaeleisel)
* [Solving dependencies in Swift](https://medium.com/@JuanpeCatalan/solving-dependencies-in-swift-9ee6ad4a8941), by [@JuanpeCatalan](https://twitter.com/JuanpeCatalan)
* [How to convert your Xcode plugins to Xcode extensions](https://medium.freecodecamp.org/how-to-convert-your-xcode-plugins-to-xcode-extensions-ac90f32ae0e3), by [@onmyway133](https://twitter.com/onmyway133)
* [Watermarking photos with ImageMagick, Vapor 3 and Swift on macOS and Linux](https://mikemikina.com/blog/watermarking-photos-with-imagemagick-vapor-3-and-swift-on-macos-and-linux/), by [@MikeMikina](https://twitter.com/mikemikina)
* [Is your iOS app accessible? Probably not, here’s how to find out](https://medium.com/@nickbona/is-your-ios-app-accessible-probably-not-heres-how-to-tell-for-sure-2950feee9165), by [@nickbona](https://twitter.com/nickbona)
* [Data-Driven Table Views](http://www.vadimbulavin.com/data-drive-table-views/), by [@V8tr](https://twitter.com/V8tr)
* [Keeping Dates Local](https://williamboles.me/keeping-dates-local/), by [@wibosco](https://twitter.com/wibosco)
* [Animating tab bar buttons on tap](https://blog.kulman.sk/animating-tab-bar-buttons/), by [@igorkulman](https://twitter.com/igorkulman)

**Tools/Controls**

* [CrispyCalendar](https://github.com/CleverPumpkin/CrispyCalendar) - the calendar UI framework you need, by CleverPumpkin
* [iOSLocalizationEditor](https://github.com/igorkulman/iOSLocalizationEditor) - Simple macOS editor app to help you manage iOS app localizations, by [@igorkulman](https://twitter.com/igorkulman)
* [SwiftRewriter](https://github.com/inamiy/SwiftRewriter) - Swift code formatter using SwiftSyntax, by [@inamiy](https://twitter.com/inamiy/)

**Business/Career**

* [Worldwide App Store Optimization](https://appmanager.io/blog/guest-article/worldwide-app-store-optimization/), by [@ilyakuh](https://twitter.com/ilyakuh)
* [How I Survived My First Conference Talk as an Introvert](https://tolkiana.com/how-i-survived-my-first-conference-talk-as-an-introvert/), by [@tolkiana](https://twitter.com/tolkiana)
* [Managing Remote Teams - A Crash Course](http://klinger.io/post/180989912140/managing-remote-teams-a-crash-course), by [@andreasklinger](https://twitter.com/andreasklinger)
* [Can You Grow a Startup on the Side?](https://justinjackson.ca/sideproject), by [@mijustin](https://twitter.com/mijustin)
* [The Homework App, the end of a 8 year iOS journey.](https://hackernoon.com/the-homework-app-the-end-of-a-8-year-ios-journey-4cc9f5c27c4f), by [@kermankohli](https://twitter.com/kermankohli)

**UI/UX**

* [The State of UX in 2019](https://trends.uxdesign.cc/2019), by [@caioab](https://twitter.com/caioab) and [@fabriciot](https://twitter.com/fabriciot)
* [Delightful animations](https://rolandleth.com/delightful-animations), by [@rolandleth](https://twitter.com/rolandleth)
* [The Thumb Zone](https://joecieplinski.com/blog/2018/12/10/the-thumb-zone/), by [@jcieplinski](https://twitter.com/jcieplinski)

**Videos**

* [Functional Swift Conference 2018](http://2018.funswiftconf.com/)

**Credits**

* [onmyway133](https://github.com/onmyway133), [pmusolino](https://www.github.com/pmusolino), [ott_max](https://github.com/max-ott), [mikina](https://www.github.com/mikina), [michaeleisel](https://github.com/michaeleisel), [LisaDziuba](https://github.com/lisadziuba), [rbarbosa](https://github.com/rbarbosa)
