Happy New Year! I really enjoyed reading [Monorepos: Please don’t!](https://medium.com/@mattklein123/monorepos-please-dont-e9a279be011b) by [Matt Klein](https://twitter.com/mattklein123). While not related specifically to iOS development, it's a very good read for any developer. I really enjoyed the thorough analysis and I think he makes some really good points.

In other news, if you go to the UI/UX section, you'll see that I actually linked to a research paper. And yes, I know the study is 3 years old, but it's still relevant and interesting to read it.

**Articles**

* [Reasoning about protocols](https://swiftindepth.com/2019-01-01/reasoning-about-protocols), by [@tjeerdintveen](https://twitter.com/tjeerdintveen)
* [UI Testing Quick Guide](https://useyourloaf.com/blog/ui-testing-quick-guide/), by [@kharrison](https://twitter.com/kharrison)
* [Using launch arguments / environment variables to simulate in-app purchase purchased and etc](https://fluffy.es/launch-arguments-environment-variables/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [Integration Testing for Memory Leaks](https://developers.soundcloud.com/blog/integration-testing-for-memory-leaks), by [@meanestcreature](https://twitter.com/meanestcreature)
* [QR Code generation with a custom logo and color using Swift](https://www.avanderlee.com/swift/qr-code-generation-swift/), by [@twannl](https://www.twitter.com/twannl)
* [The iOS Menu](https://codea.io/blog/the-ios-menu/), by [@twolivesleft](https://twitter.com/twolivesleft)
* [Requesting App Ratings and Reviews ](https://www.raywenderlich.com/9009-requesting-app-ratings-and-reviews-tutorial-for-ios), by [@SanketFirodiya](https://twitter.com/SanketFirodiya)

**Tools/Controls**

* [DynamicJSON](https://github.com/saoudrizwan/DynamicJSON) - Access JSON properties dynamically like JavaScript using Swift 4.2's new @dynamicMemberLookup feature, by [@sdrzn](https://twitter.com/sdrzn)
* [SmoothScroll](https://github.com/Cuberto/smooth-scroll) - Smooth collection scrolling, by [@cuberto](https://twitter.com/cuberto)
* [XCoordinator](https://github.com/quickbirdstudios/XCoordinator) - Powerful navigation library for iOS based on the coordinator pattern, by [@quickbirdstudios](https://github.com/quickbirdstudios)
* [Connectivity](https://github.com/rwbutler/Connectivity) - Makes Internet connectivity detection more robust by detecting Wi-Fi networks without Internet access., by [@ross_w_butler](https://twitter.com/ross_w_butler)
* [FeatureFlags](https://github.com/rwbutler/FeatureFlags) - Allows developers to configure feature flags, run multiple A/B tests or phase feature roll out using a JSON configuration file, by [@ross_w_butler](https://twitter.com/ross_w_butler)

**Business/Career**

* [Avoiding the App Store Tax: Can It Be Done and Its Impact on Mobile Marketing](https://blog.gummicube.com/2019/01/avoiding-the-app-store-tax-can-it-be-done-and-its-impact-on-mobile-marketing/), by [@Gummicube](https://twitter.com/Gummicube)

**UI/UX**

* [Tap to Dismiss](https://medium.com/tap-to-dismiss/tap-to-dismiss-fbc66bdf500a), by [@taptodismiss](https://twitter.com/taptodismiss)
* [Flat Design vs Traditional Design: Comparative Experimental Study](https://www.researchgate.net/publication/281628009_Flat_Design_vs_Traditional_Design_Comparative_Experimental_Study), by [@interux](https://twitter.com/interux), Tatiana Zlokazova, Anna Izmalkova and Anna Leonova
* [UX fail: Logging into Apple TV](https://ericasadun.com/2019/01/03/ux-fail-logging-into-apple-tv/), by [@ericasadun](https://twitter.com/ericasadun)
* [UI vs UX — is NOT a thing](https://uxdesign.cc/ui-vs-ux-is-not-a-thing-28aef994fddc), by [@zecarlostorre](https://twitter.com/zecarlostorre)

**Videos**

* 

**Credits**

* [naeemshaikh90](https://github.com/naeemshaikh90), [@sanketfirodiya](https://github.com/sanketfirodiya)
