Happy Thursday! So many things happened this week that it's hard to choose what to write about here. But I'll focus on the things that will actually have more impact our jobs as iOS developers and choose not to write about the FaceTime bug or the latest Facebook scandal 🙃. 

Last week, right after sending issue 266 of our newsletter, Apple announced the first beta of Xcode 10.2, which is very interesting for multiple reasons: first of all, it comes with Swift 5. This has a major impact on app thinning, because Swift apps will no longer include all the linked libraries, which will result in smaller apps. As found by [Patrick Balestra](https://twitter.com/BalestraPatrick), the difference [is quite noticeable](https://twitter.com/BalestraPatrick/status/1088565310691647489). And migration to Swift 5 seems to be quite smooth so far, but this could also be because the much talked about Result didn't make it to the first beta of Xcode 10.2. Besides those, other noteworthy changes are fixing the Asset Catalog issue that made apps built with Xcode 10 crash on iOS 9 and adding a dark Xcode for light macOS option. Check the full [release notes](https://developer.apple.com/documentation/xcode_release_notes/xcode_10_2_beta_release_notes) if you want to learn about all the new things. Or read Artem Loenko's article:  [Xcode 10.2, macOS Mojave 10.14.4, iOS 12.1 and other betas](https://badootech.badoo.com/xcode-10-2-macos-mojave-10-14-4-ios-12-1-and-other-betas-99ee9bf4f858).

In other news, iOS Goodies has had a Patreon running for the last almost 2 years. I want to thank all our patrons. Special thanks to Seth Cheeks for supporting us. As I have already informed our patrons, I have taken the decision to close down our Patreon. This will not affect iOS Goodies in any way, and we will continue to send our newsletter every Thursday.

We've a lot of articles this week, not all of them could make it in the newsletter. If you want, you can read all of them on [our GitHub](https://github.com/iOS-Goodies/iOS-Goodies/blob/master/Issues/Week267.md)

**Articles**

* [Maintaining State in Your ViewControllers](https://mecid.github.io/2019/01/23/maintaining-state-in-view-controllers/), by [@mecid](https://twitter.com/mecid)
* [Debugging Tips & Tricks](https://agostini.tech/2019/01/27/debugging-tipstricks/), by [@dagostin](https://twitter.com/dagostin)
* [Rust on iOS](https://medium.com/visly/rust-on-ios-39f799b3c1dd), by [@emilsjolander](https://twitter.com/emilsjolander)
* [Alamofire vs URLSession: a comparison for networking in Swift](https://www.avanderlee.com/swift/alamofire-vs-urlsession/), by [@twannl](https://www.twitter.com/twannl)
* [iOS Color Wheel Using CIFilter](https://noahgilmore.com/blog/cifilter-colorwheel/), by [@noahsark769](https://twitter.com/noahsark769)
* [Adding Undo and Redo support to iOS](https://medium.com/@raulriera/undo-and-redo-support-to-ios-apps-4c9d7afea6a2), by [@raulriera](https://twitter.com/raulriera)
* [How to use the result type to handle errors in Swift 5](https://theswiftdev.com/2019/01/28/how-to-use-the-result-type-to-handle-errors-in-swift/), by [@tiborbodecs](https://twitter.com/tiborbodecs)
* [Faster App Setup For Unit Tests](https://useyourloaf.com/blog/faster-app-setup-for-unit-tests/), by [@kharrison](https://twitter.com/kharrison)
* [Encapsulating Domain Data, Logic and Business Rules With Value Types in Swift](https://khawerkhaliq.com/blog/swift-domain-logic-business-rules-value-types/), by [@khawerkhaliq](https://twitter.com/khawerkhaliq)
* [Adding the finishing touches to 3D models in Xcode](https://blog.novoda.com/adding-the-finishing-touches-to-3d-models-in-xcode/), by [@BashaChris](http://twitter.com/BashaChris)
* [Debugging iOS network traffic](https://blog.kulman.sk/debugging-ios-network-traffic/), by [@igorkulman](https://twitter.com/igorkulman)
* [@dynamicCallable Part 2: Swift/ObjC Bridge](http://www.alwaysrightinstitute.com/swift-objc-bridge/), by [@ar_institute](https://twitter.com/ar_institute)
* [Creating DSL in Swift](https://mecid.github.io/2019/01/30/creating-dsl-in-swift/), by [@mecid](https://twitter.com/mecid)


**Tools/Controls**

* [LayoutInspector](https://github.com/isavynskyi/LayoutInspector) - allows to debug app layout directly on iOS devices: inspect layers in 3D and visible views attributes like we do in Xcode view debugger, by [@iWadedunk](https://twitter.com/iWadedunk) 

**Business/Career**

* [5 UX and Mobile Marketing tips to get users hooked to your app](https://medium.com/flawless-app-stories/5-ux-and-mobile-marketing-tips-to-get-users-hooked-to-your-app-67956c713037), by [@HandesUp](https://twitter.com/HandesUp)
* [The Guide to Remote Work That Isn't Trying to Sell You Anything](https://blog.stephsmith.io/the-guide-to-remote-work/), by [@stephsmithio](https://twitter.com/stephsmithio)
* [Why Are Young People Pretending to Love Work?](https://www.nytimes.com/2019/01/26/business/against-hustle-culture-rise-and-grind-tgim.html) by [@eringriffith](https://twitter.com/eringriffith)

**UI/UX**

* 

**Videos**

* [Scraping Instagram using Swift](https://www.youtube.com/watch?v=0jTyKu9DGm8), by [@martinlasek](https://twitter.com/martinlasek)
* [How to Gain Confidence as a Software Developer](https://www.youtube.com/watch?v=2pQ04FriBxs), by [@seanallen_dev](https://twitter.com/seanallen_dev)
* [iOS Conference SG 2019](https://www.youtube.com/playlist?list=PLED4k3CZkY9Qjo61LcuG56gwvEW-Bpbzs), by [@iosconfsg](https://twitter.com/iosconfsg)

**Credits**

* [Ihor Savynskyi](https://github.com/isavynskyi), [LisaDziuba](https://github.com/lisadziuba), [mecid](https://github.com/mecid), [pmusolino](https://github.com/pmusolino), [rbarbosa](https://github.com/rbarbosa)
