Happy Thursday! I was glad to see that [UIKonf](http://www.uikonf.com/), one of the best iOS conferences in Europe, [decided to go with an all female speaker lineup this year](http://www.uikonf.com/blog/). There's a [great write-up](https://www.hackingwithswift.com/articles/174/uikonf-goes-all-female-for-2019-speakers) on that by [Paul Hudson](https://twitter.com/twostraws), including interviews with the organizers and speakers. I especially like the way they communicate this: their decision is not a way to fix the diversity problem, but it's a way of raising awarenes. I hope this experiment will be a success and wish them good luck.

We had so many good articles suggested this week. You can read all of them on [our GitHub](https://github.com/iOS-Goodies/iOS-Goodies/blob/master/Issues/Week268.md).

**Articles**

* [Avoiding race conditions in Swift](https://medium.com/swiftcairo/avoiding-race-conditions-in-swift-9ccef0ec0b26), by [@mmabdellateef](https://twitter.com/mmabdellateef)
* [Unknown Enum Cases](https://www.latenightswift.com/2019/02/04/unknown-enum-cases/), by [@latenightswift_](https://twitter.com/latenightswift_)
* [Announcing Swift 4.2.2 and monthly Swift 4.2.x dot releases for Linux](https://forums.swift.org/t/announcing-swift-4-2-2-and-monthly-swift-4-2-x-dot-releases-for-linux/20148), by [@johannesweiss](https://twitter.com/johannesweiss)
* [iOS App Extensions: Data sharing](https://dmtopolog.com/ios-app-extensions-data-sharing/) by [@dmtopolog](https://twitter.com/dmtopolog)
* [Strong-typed Notifications in Swift](https://medium.com/flawless-app-stories/strong-typed-notifications-in-swift-a5de8f7f58e0), by [@bataleandro](https://twitter.com/bataleandro)
* [Swift 5 Exclusivity Enforcement](https://swift.org/blog/swift-5-exclusivity/), by [@AndrewTrick](https://twitter.com/AndrewTrick)
* [Using two-cased enums in place of a Boolean](https://www.hackingwithswift.com/articles/172/using-two-cased-enums-in-place-of-a-boolean), by [@twostraws](https://twitter.com/twostraws)
* [Get started with RxSwift and reactive programming](https://agostini.tech/2019/02/04/get-started-with-rxswift-and-reactive-programming/), by [@yuriwriting](https://twitter.com/yuriwriting)
* [Pattern Matching with case let](https://mecid.github.io/2019/02/06/pattern-matching-with-case-let/), by [@mecid](https://twitter.com/mecid)
* [UITableView swipe actions on iOS](https://augmentedcode.io/2019/02/03/uitableview-swipe-actions-on-ios/), by [@toomasvahter](https://twitter.com/toomasvahter)
* [Progressive Core Data Migration](https://williamboles.me/progressive-core-data-migration/), by [@wibosco](https://twitter.com/wibosco)
* [Airbnb Swift Style Guide Is Now Open Source](https://medium.com/airbnb-engineering/our-swift-style-guide-is-now-open-source-d5cb99d2f626), by [@fco_diaz](https://twitter.com/fco_diaz)

**Tools/Controls**

* [ViewModelOwners](https://github.com/krzysztofzablocki/ViewModelOwners) - Protocols that help make your MVVM setup more consistent, by [@merowing_](https://twitter.com/merowing_)
* [BedgeNotificHub](https://github.com/jogendra/BedgeNotificHub) - Make any UIView a full fledged animated notification center. It is a way to quickly add a notification bedge icon to a UIView, by [@imjog24](https://twitter.com/imjog24)

**Business/Career**

* [What we've learned about hiring engineering managers](https://circleci.com/blog/what-we-ve-learned-about-hiring-engineering-managers/), by [@lrnrd](https://twitter.com/lrnrd)
* [Despair, Thy Name is App Store](http://ikennd.ac/blog/2019/02/despair-thy-name-is-app-store/), by [@iKenndac](http://twitter.com/iKenndac)
* [The right amount of perfect](https://m.signalvnoise.com/the-right-amount-of-perfect/), by [@jonasdowney](https://twitter.com/jonasdowney)
* [8 Mistakes Made by QA when Releasing an App](https://appmanager.io/blog/tips-and-tricks/8-mistakes-made-by-qa-when-releasing-an-app/), by [@davytsai](https://twitter.com/davytsai)

**UI/UX**

* [Navigation Should Be Boring](https://allenpike.com/2019/navigation-should-be-boring), by [@apike](http://www.twitter.com/apike/)
* [Constraint Layout (for Designers)](https://medium.com/tap-to-dismiss/constraint-layout-for-designers-3c665cb4d074), by [@taptodismiss](https://twitter.com/taptodismiss)
* [10 Unique Illustrations Styles](https://uxplanet.org/10-unique-illustrations-styles-bf0f470dc1a4), by [@101babich](https://twitter.com/101babich)
* [7 tips to design faster](https://uxdesign.cc/7-tips-to-design-faster-ae01c6fa71f2), by [@zecarlostorre](https://twitter.com/zecarlostorre)

**Videos**

* [DevFest Baltics 2018](https://www.youtube.com/playlist?reload=9&list=PLCH-unMwtd7aJ6RJm9LGjqP45c9GXnIM2), by [@devfestbaltics](https://twitter.com/devfestbaltics)

**Credits**

* [mmabdelateef](https://github.com/mmabdelateef), [fassko](https://github.com/fassko), [latenightswift](https://github.com/latenightswift), [pmusolino](https://github.com/pmusolino), [max-ott](https://github.com/max-ott), [DmIvanov](https://github.com/DmIvanov), [LisaDziuba](https://github.com/lisadziuba), [rbarbosa](https://github.com/rbarbosa),[mecid](https://github.com/mecid), [jogendra](https://github.com/jogendra)
