Happy Thursday! There's been a lot of talk in the last years about Swift's ABI stability; many of us wanted Swift to be ABI-stable, thinking Swift's ABI stability is some sort of Holy Grail that would solve all of our problems. This is probably also because many people, myself included 😅, didn't fully understand all the implications of ABI stability. I think the Swift team realised this, because it published two great articles on their blog: [ABI Stability and More](https://swift.org/blog/abi-stability-and-more), by [@UINT_MIN](https://twitter.com/UINT_MIN/) and [Evolving Swift On Apple Platforms After ABI Stability](https://swift.org/blog/abi-stability-and-apple/), by [@jckarter](https://twitter.com/jckarter/), which I totally recommend you read 😄.

Again, we've had a lot of very good articles submitted, and not all of them could fit in the newsletter. You can read all of them on [our GitHub](https://github.com/iOS-Goodies/iOS-Goodies/blob/master/Issues/Week269.md).

**Articles**

* [Outsourcing Requests - Retaining Control of Application Stability](https://mattwyskiel.com/posts/2019/02/08/outsourcing-requests.html), by [@MattWyskiel](https://twitter.com/MattWyskiel)
* [Implementing In-App purchases without Keychain and UserDefaults](https://medium.com/@rdovhaliuk/implementing-in-app-purchases-without-keychain-and-userdefaults-52a43c0f76e8), by [@rostyslav_d](https://twitter.com/rostyslav_d)
* [Practical MVVM + RxSwift](https://medium.com/flawless-app-stories/practical-mvvm-rxswift-a330db6aa693), by [@Mohammad_z74](https://twitter.com/Mohammad_z74)
* [Localization in Swift like a Pro](https://medium.com/@Dschee/localization-in-swift-like-a-pro-48164203afe2), by [@Dschee](https://twitter.com/Dschee)
* [Creating a Pixel-Perfect iOS App with Flutter](https://www.netguru.com/codestories/creating-a-pixel-perfect-ios-app-with-flutter), by Piotr Sochalewski
* [Hiding third-party dependencies with protocols and extensions](https://mecid.github.io/2019/02/13/hiding-third-party-dependencies-with-protocols-and-extensions/), by [@mecid](https://twitter.com/mecid)
* [How to TDD in Swift, a step by step guide](https://www.mokacoding.com/blog/step-by-step-tdd-in-swift-part-1/), by [@mokagio](https://twitter.com/mokagio)
* [Advanced coordinators in iOS](https://www.hackingwithswift.com/articles/175/advanced-coordinator-pattern-tutorial-ios), by [@twostraws](https://twitter.com/twostraws)
* [Regular Expressions in Swift](https://nshipster.com/swift-regular-expressions/), by [@mattt](https://twitter.com/mattt)
* [Xcode Hardware Performance](https://github.com/ashfurrow/xcode-hardware-performance), by [@ashfurrow](https://twitter.com/ashfurrow)
* [Speeding up development: a collection of tips](https://www.avanderlee.com/optimization/speeding-up-development-a-collection-of-tips/), by [@twannl](https://twitter.com/twannl)
* [Handle disabled mobile data setting](https://drivy.engineering/handle-disabled-mobile-data-setting-on-ios/), by [@thomassenkman](https://twitter.com/thomassenkman)
* [Custom View Controller Presentation Tips & Tricks](https://kylebashour.com/posts/custom-view-controller-presentation-tips), by [@kylebshr](https://twitter.com/kylebshr)

**Tools/Controls**

* [smoke-aws](https://github.com/amzn/smoke-aws) - AWS services integration for the Smoke Framework, by [@Awscloud](https://twitter.com/awscloud)
* [Swift for TensorFlow APIs](https://github.com/tensorflow/swift-apis) - Deep learning library for Swift for TensorFlow , by [@tensorflow](https://twitter.com/tensorflow)
* [Carbon](https://github.com/ra1028/Carbon) - A declarative library for building component-based user interfaces in UITableView and UICollectionView, by [@ra1028fe5](https://twitter.com/ra1028fe5)
* [SegementSlide](https://github.com/Jiar/SegementSlide) - Multi-tier UIScrollView nested scrolling solution, by [@JiarYoo](https://twitter.com/JiarYoo)
* [Dismissable](https://github.com/younatics/Dismissable) - Dismissable is super convenient to dismiss with gesture, by [@younatics](https://twitter.com/younatics)

**Business/Career**

* [Reflecting on My Failure to Build a Billion-Dollar Company](https://medium.com/@shl/reflecting-on-my-failure-to-build-a-billion-dollar-company-b0c31d7db0e7), by [@shl](https://twitter.com/shl)
* [How to take your iOS career to the next level](https://medium.com/skills-matter/how-to-take-your-mobile-development-career-to-the-next-level-e8d12d8e1543), by [@skillsmatter](https://twitter.com/skillsmatter), [@twostraws](https://twitter.com/twostraws) and [@purpleyay](https://twitter.com/purpleyay)

**UI/UX**

* 

**Videos**

* 

**Credits**

* [LisaDziuba](https://github.com/lisadziuba), [mattwyskiel](https://github.com/mattwyskiel), [pmusolino](https://github.com/pmusolino), [RenGate](https://github.com/rengate), [mecid](http://github.com/mecid), [sochalewski](https://github.com/sochalewski), [rbarbosa](https://github.com/rbarbosa), [thomassenkman](https://github.com/thomassenkman), [ra1028](https://github.com/ra1028)
