Happy Thursday! One of the goals of iOS Goodies has always been to bring forward new faces in our community. For more than 4 years, iOS Goodies has been open source, and anyone could submit their content to the newsletter. I know there's still room for improvement, but I'm also very happy with the community we have around iOS Goodies and with all the people whose work we've featured in our newsletter. Still, we'd like to showcase the work of people who don't have a very big audience yet and help them share their knowledge with more developers. And we're not the only ones :). [Dave Verwer](https://twitter.com/daveverwer) has created [iOS Dev Directory](https://iosdevdirectory.com/), a place that features an impressive list of sites about iOS development topics. You can add your own there, or use it to get to know more people in our community. 

Speaking of bringing forward new people in our community, there's still time to apply for a [WWDC scholarship](https://developer.apple.com/wwdc19/scholarships/). If you're a student or a member of a STEM organization, you can apply for a scholarship that will cover the WWDC ticket cost and acommodation for the event. [Paul Hudson](https://twitter.com/twostraws) has an interview with previous WWDC scholarship winners who [give their advice](https://www.hackingwithswift.com/articles/60/want-to-win-a-wwdc-scholarship-previous-attendees-give-their-advice) on how to do it.

**Articles**

* [How to find memory leaks in an iOS app](https://tim.engineering/how-to-find-memory-leaks-in-ios-app/), by Tim Miko
* [Using protocol composition to untangle your codebase](http://appventure.me/2019/03/17/protocol-composition-untangle-codebase/), by [@terhechte](https://twitter.com/terhechte)
* [Interacting with Xcode projects in Swift](https://ppinera.es/2019/03/15/xcodeproj.html), by [@pepibumur](https://twitter.com/pepibumur)
* [Localized​Error, Recoverable​Error, Custom​NSError](https://nshipster.com/swift-foundation-error-protocols/), by [@mattt](https://twitter.com/mattt)
* [Make an iOS app using flutter](https://medium.com/flutter-community/flutter-todos-tutorial-with-flutter-bloc-d9dd833f9df3), by Felix Angelov
* [Deep dive into Pattern matching with ~= operator](https://mecid.github.io/2019/03/20/pattern-matching-operator/), by [@mecid](https://twitter.com/mecid)
* [Embracing the Limits of UIActivityViewController](https://pspdfkit.com/blog/2019/embracing-the-limits-of-uiactivityviewcontroller/), by [@Swanros](https://twitter.com/Swanros)
* [How to Test UIAlertController](http://masilotti.com/testing-uialertcontroller/), by [@joemasilotti](http://twitter.com/joemasilotti)
* [Custom Transitions Using Segues](https://agostini.tech/2019/03/18/custom-transitions-using-segues/), by [@dagostin](https://twitter.com/dagostin)
* [Serialisation of enum with associated type](https://dmtopolog.com/serialisation-of-enum-with-associated-type/), by [@dmtopolog](https://twitter.com/dmtopolog)
* [How to test controllers by mocking dependencies in Vapor 3 and Swift](https://mikemikina.com/blog/how-to-test-controllers-by-mocking-dependencies-in-vapor-3-and-swift/), by [@mikemikina](https://twitter.com/mikemikina)

**Tools/Controls**

* [swift-log](https://github.com/apple/swift-log), by Apple
* [MetricPrefixNumberFormatter](https://github.com/RenGate/MetricPrefixNumberFormatter) - NSNumberFormatter subclass designed to format large and small numbers using the metric prefixes, by [@rostyslav_d](https://twitter.com/rostyslav_d)
* [PanModal](https://github.com/slackhq/PanModal) - PanModal is an elegant and highly customizable presentation API for constructing bottom sheet modals on iOS, by [@tosinaf](https://twitter.com/tosinaf) and [@StephenSowole](https://twitter.com/StephenSowole)
* [esoteric-swift](https://github.com/jessesquires/esoteric-swift), by [@jesse_squires](https://twitter.com/jesse_squires) 

**Business/Career**

* [So You Want to Be an Engineer](http://artsy.github.io/blog/2019/03/12/so-you-want-to-be-an-engineer/), by Matt Dole
* [Blog about Swift: Tips and ideas to start your own](https://www.avanderlee.com/swift/blog-about-swift/), by [@twannl](https://www.twitter.com/twannl)

**UI/UX**

* [Dos and Don’ts for creating an onboarding journey on iOS](https://benoitpasquier.com/dos-donts-onboarding-ios/), by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [Everything you need to know about Loading Animations](https://medium.com/flawless-app-stories/everything-you-need-to-know-about-loading-animations-10db7f9b61e), by [@LisaDziuba](https://twitter.com/LisaDziuba)
* [Humane by Design](https://humanebydesign.com/) - a resource that provides guidance for designing ethically humane digital products through patterns focused on user well-being, by [@JonYablonski](https://twitter.com/JonYablonski)

**Videos**

* [RxSwift & MVVM: Your First Steps](https://www.youtube.com/watch?v=6KXqa4iLCUM) (in Hebrew, enable subtitles), by [@freak4pc](https://twitter.com/freak4pc)

**Credits**

* [LisaDziuba](https://github.com/LisaDziuba), [pmusolino](https://github.com/pmusolino), [popei69](https://github.com/popei69), [RenGate](https://github.com/RenGate), [rbarbosa](https://github.com/rbarbosa), [co16353sidak](https://github.com/co16353sidak), [mecid](https://github.com/mecid), [DmIvanov](https://github.com/DmIvanov), [mikina](https://github.com/mikina)
