Happy Thursday! I was at iOSCon last week, and it was a great event. They moved really fast, and the recording of the sessions are already available online. Check them out, the link is in the **Videos** session. 

It's been a packed week anyway, with Apple's special event (which I won't cover, but if you missed it, you can [read a summary here](https://thedistance.co.uk/ios/its-show-time/)). For us, developers, the biggest news of the week was that Xcode 10.2 and Swift 5 are officially released. There were and are a lot of articles about this, but I recommend checking out the official [Xcode 10.2 release notes](https://developer.apple.com/documentation/xcode_release_notes/xcode_10_2_release_notes) and [Swift 5 Release Notes for Xcode 10.2](https://developer.apple.com/documentation/xcode_release_notes/xcode_10_2_release_notes/swift_5_release_notes_for_xcode_10_2) and the [official announcement on the Swift blog](https://swift.org/blog/swift-5-released/). Time to update our apps!

**Articles**

* [Connecting to an Exercise Bike Using CoreBluetooth in iOS](https://medium.com/@hungtruong/making-an-ios-zwift-clone-to-save-15-a-month-part-1-core-bluetooth-9925bba79f7a), by [@hungtruong](https://twitter.com/hungtruong)
* [UTF-8 String](https://swift.org/blog/utf8-string/), by [@ilseman](https://twitter.com/ilseman)
* [Automated UI Testing in Swift & iOS](https://medium.com/flawless-app-stories/automated-ui-testing-in-swift-ios-46e1c9993316), by [@jrwilliams_ios](https://twitter.com/jrwilliams_ios)
* [Localized​Error, Recoverable​Error, Custom​NSError](https://nshipster.com/swift-foundation-error-protocols/), by [@mattt](https://twitter.com/mattt)
* [File Coordination](http://khanlou.com/2019/03/file-coordination/), by [@khanlou](http://www.twitter.com/khanlou)
* [Keep using Fastlane with Apple's 2FA changes](https://drobinin.com/posts/keep-using-fastlane-with-apples-2fa-changes/), by [@valzevul](https://twitter.com/valzevul)
* [Integration tests in Swift](https://www.swiftbysundell.com/posts/integration-tests-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Building URLRequests with ease](https://medium.com/flawless-app-stories/building-urlrequests-with-ease-f0136cdd56c3), by [@JuanpeCatalan](https://twitter.com/JuanpeCatalan)
* [Xcode​Kit and Xcode Source Editor Extensions](https://nshipster.com/xcode-source-extensions/), by [@zoejessica](https://twitter.com/zoejessica)

**Tools/Controls**

* [Reversi](https://github.com/popei69/reversi) - An elegant A/B testing framework for iOS in Swift, by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [RoughSwift](https://github.com/onmyway133/RoughSwift) - Create hand-drawn, sketchy, comic shape in Swift, by [@onmyway133](https://twitter.com/onmyway133)
* [PMAlertController 4](https://github.com/pmusolino/PMAlertController) - customizable alert in Swift 5 that can substitute UIAlertController, by [@pmusolino](https://twitter.com/pmusolino)

**Business/Career**

* [iOS "versus" JavaScript: How to Learn From Other Programming Communities](https://ashfurrow.com/blog/learning-from-other-programming-communities/), by [@ashfurrow](https://twitter.com/ashfurrow)
* [Don’t solve the problem](https://m.signalvnoise.com/dont-solve-the-problem/), by [@clairejlew](https://twitter.com/clairejlew)

**UI/UX**

* [10 Principles of Animation in Material Design](https://uxplanet.org/10-principles-of-animation-in-material-design-53b870e74629), by [@uxplanet](https://twitter.com/uxplanet)
* [Common Reasons People Avoid Usability Testing](https://www.prolificinteractive.com/2019/03/25/common-reasons-people-avoid-usability-testing/), by [@linabreslav](https://twitter.com/linabreslav)

**Videos**

* [iOSCon 2019](https://skillsmatter.com/conferences/10823-ioscon-2019-the-conference-for-ios-and-swift-developers)

**Credits**

* [hungtruong](https://twitter.com/hungtruong), [naeemshaikh90](https://github.com/naeemshaikh90), [valzevul](https://github.com/valzevul), [pmusolino](https://github.com/pmusolino), [valianka](https://github.com/valianka), [popei69](https://github.com/popei69), [LisaDziuba](https://github.com/lisadziuba)
