I've stumbled across [this article](https://adactio.com/journal/15011), by [@adactio](https://twitter.com/adactio), and it resonated with me, as I've had a similar discussion with my colleagues some time ago. The main point is that, since it's easier to write and talk about new technologies, patterns and frameworks, we got to a state where what you read in articles, newsletters or what you hear at conferences doesn't really reflect the actual state of the industry. I don't think I've seen more than 10 talks or articles about Objective-C, or with code samples in Objective-C for a few years now. There are very few articles or talks about Core Data (I've written a bit about that in the intro to [Issue 265](https://ios-goodies.com/post/182089336396/week-265)). Almost every week you see articles and talks about "fixing MVC", proposing new architectures and flows, even though I'm sure that the majority of the apps still use (in one way or another) MVC, Core Data is till used by a lot of developers and there's still a lot of Objective-C out there. I'm not saying that's bad, or that there should be more content about the "proven" technologies that people use. The role of newsletters, articles and conference talks is to inform and show alternatives. I just want to reiterate the article's conclusion: don't feel bad if what you read about or what you see doesn't match you do. Whether you use those new technologies and follow the trends is your (or your team's) decision, and it should be made taking into account a variety of factors. There are many other in your situation, and just because your code doesn't use X or Y or Z it doesn't mean it's bad. The important thing, in my opinion, is to always try to improve, and always keep learning. 

**Articles**

* [What’s New in Swift 5?](https://www.raywenderlich.com/55728-what-s-new-in-swift-5), by [@KaramazovShogun](https://twitter.com/KaramazovShogun)
* [Migrating to Unified Logging: Console and Instruments](https://www.raywenderlich.com/605079-migrating-to-unified-logging-console-and-instruments), by [@RushKeegan](https://twitter.com/RushKeegan)
* [Adapting app for iPad with UISplitViewController](https://mecid.github.io/2019/04/03/adapting-app-for-ipad-with-uisplitviewcontroller/), by [@mecid](https://twitter.com/mecid)
* [A 'Guide' to Swift KeyPaths](https://appventure.me/guides/keypaths/intro.html), by [@terhechte](https://twitter.com/terhechte)
* [Coordinator & MVVM - Clean Navigation and Back Button in Swift](https://benoitpasquier.com/coordinator-pattern-navigation-back-button-swift/), by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [Using CryptoSwift](https://agostini.tech/2019/03/31/using-cryptoswift/), by [@dagostin](https://twitter.com/dagostin)
* [Making an iOS Zwift Clone to Save $15 a Month! Part 1: Core Bluetooth](https://hackernoon.com/making-an-ios-zwift-clone-to-save-15-a-month-part-1-core-bluetooth-9925bba79f7a), by [@hungtruong](https://twitter.com/hungtruong)
* [State Restoration With Swift Structs](https://useyourloaf.com/blog/state-restoration-with-swift-structs/), by [@kharrison](https://twitter.com/kharrison)
* [Unit Testing is Easier Than You Think](http://blog.jaredsinclair.com/post/183871438320/unit-testing-is-easier-than-you-think), by [@jaredsinclair](https://twitter.com/jaredsinclair)
* [It's time to break up with your networking library for URLSession](https://tim.engineering/break-up-third-party-networking-urlsession/), by [@timothymiko](https://twitter.com/timothymiko)
* [Structuring Your iOS App for Split Testing](https://heartbeat.fritz.ai/structuring-your-ios-app-for-split-testing-178eacf5aa7c), by [@AliuArlind](https://twitter.com/AliuArlind)

**Tools/Controls**

* [CIFilter.io](https://cifilter.io/) - Website which lists all the available CIFilters, their information and examples of applying them, by [@noahsark769](https://twitter.com/noahsark769)
* [Science Journal](https://github.com/google/science-journal-ios) - Open source app, by [@GScienceJournal](https://twitter.com/GScienceJournal)
* [Blueprint](https://github.com/square/Blueprint) - Declarative UI construction for iOS, by [@SquareEng](https://twitter.com/SquareEng)

**Business/Career**

* [How I Prepare My Conference Talks](https://kayathomas.info/how-i-prepare-my-conference-talks/), by [@kthomas901](https://twitter.com/kthomas901)
* [A Spectre Retrospective — Part 1: Build a Feature or An App?](https://blog.halide.cam/a-spectre-retrospective-part-1-build-a-feature-or-an-app-e9e421015432), by [@sandofsky](https://twitter.com/sandofsky)
* [Learnings From Toxic Abuse](https://deprogrammaticaipsum.com/2019/04/01/learnings-from-toxic-abuse/), by [@atineoSE](https://twitter.com/atineoSE)

**UI/UX**

* [Design & Git: Guidelines for effective design version control](https://blog.novoda.com/design-and-git/), by [@BashaChris](https://twitter.com/BashaChris)

**Podcast** 

* [“Pull up the time profiler”, with special guest Janina Kutyn](https://www.swiftbysundell.com/podcast/44), by [@JaninaKutyn](https://twitter.com/JaninaKutyn) and [@johnsundell](https://twitter.com/johnsundell)

**Videos**

* 

**Credits**

* [KaramazovShogun](https://github.com/KaramazovShogun), [naeemshaikh90](https://github.com/naeemshaikh90), [mecid](https://github.com/mecid), [rbarbosa](https://github.com/rbarbosa)
