Happy Thursday, everyone! I've read a lot this week about the [first image of a black hole](https://www.theguardian.com/science/2019/apr/10/black-hole-picture-captured-for-first-time-in-space-breakthrough). I've watched [the TED talk](https://www.ted.com/talks/katie_bouman_what_does_a_black_hole_look_like) given by Dr. Katie Bouman (yes, she has a PhD, so she's a doctor, despite most of the media calling her "the student who made the algorithm") two years ago, and it's amazing we got to see now the results of the study. This huge achievement gave me food for thought. There's a big group of scientists from many different disciplines who worked for many years to get to this result, which also confirms Einstein's theory of relativity from a hundred years ago. They got data from a galaxy 55 million light-years away from us, using telescopes from around the world, and processed all that data to get the first image of a black hole. What did I do this week? Localized an app, code reviewed a networking layer and implemented phone authentication with Firebase 😕. I'm not saying I don't like what I do. But it makes me wonder if I could be doing more, if my work could be a bit more meaningful, if it could help more people or create more value for the humanity. I think this is a good question to ask ourselves, from time to time. 

**Articles**

* [Open app in specific view when push notification is tapped](https://fluffy.es/open-specific-view-push-notification-tapped/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [String literals in Swift](https://www.swiftbysundell.com/posts/string-literals-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Create App Store Videos With Trailer App](https://agostini.tech/2019/04/08/create-app-store-videos-with-trailer-app/), by [@dagostin](https://twitter.com/dagostin) 
* [Using unwind segues to navigate back to previous screens](https://www.appsdissected.com/unwind-segues-storyboard/), by [@appsdissected](https://twitter.com/appsdissected)
* [Stubbing in pair with Swift compiler: a spy registration](https://medium.com/flawless-app-stories/stubbing-in-pair-with-swift-compiler-a-spy-registration-bbfdc1cf87a1?source=friends_link&sk=fbfc4b66bdffb339f11b857facbee07c), by [@norapsi](https://twitter.com/norapsi)
* [Swift 5 Frozen enums](https://useyourloaf.com/blog/swift-5-frozen-enums/), by [@kharrison](https://twitter.com/kharrison)
* [Inner Workings of Server-side Swift](https://edit.theappbusiness.com/the-inner-workings-of-server-side-swift-177b2fcce86c), by [@dodsios](https://twitter.com/dodsios)
* [Down the rabbit hole of iOS design patterns](https://benoitpasquier.com/down-rabbit-hole-ios-design-patterns/), by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [Inclusive enums with OptionSet](https://mecid.github.io/2019/04/10/inclusive-enums-with-optionset/), by [@mecid](https://twitter.com/mecid)
* [Using the dependency injection framework for testing in Vapor 3 and Swift](https://mikemikina.com/blog/using-the-dependency-injection-framework-for-testing-in-vapor-3-and-swift/), by [@mikemikina](https://twitter.com/mikemikina)
* [Conditional Compilation, Part 3: App Extensions](https://davedelong.com/blog/2019/04/09/conditional-compilation-part-3/), by [@davedelong](https://twitter.com/davedelong)
* [UITable​View​Header​Footer​View](https://nshipster.com/uitableviewheaderfooterview/), by [@mattt](https://twitter.com/mattt)
* [Building a dynamic modular iOS architecture](https://medium.com/fluxom/building-a-dynamic-modular-ios-architecture-1b87dc31278b), by [@JareckiMark](https://twitter.com/JareckiMark)

**Tools/Controls**

* [SecureDefaults](https://github.com/vpeschenkov/SecureDefaults) - A lightweight wrapper over UserDefaults/NSUserDefaults with an extra AES-256 encryption layer, by [@vpeschenkov](https://twitter.com/vpeschenkov)
* [optionals.org](https://www.optionals.org/) - A website that shows many various ways to use optionals in Swift, by Caleb
* [Codextended](https://github.com/JohnSundell/Codextended) - Extensions giving Swift's Codable API type inference super powers, by [@johnsundell](https://twitter.com/johnsundell)
* [nef](https://github.com/bow-swift/nef) - A command line tool to compile Swift documentation written in Playground format with Bow support, by [@47deg](https://twitter.com/47deg/)


**Business/Career**

* [Working together when we’re not together](https://www.blog.google/inside-google/working-google/working-together-when-were-not-together/amp/), by Veronica Gilrane
* [Programming: doing it more vs doing it better](https://kevinmartinjose.com/2019/04/08/programming-doing-it-more-vs-doing-it-better/), by [@lonesword_](https://twitter.com/lonesword_)

**UI/UX**

* [Updated Human Interface Guidelines - Accessibility](https://developer.apple.com/design/human-interface-guidelines/accessibility/overview/introduction/), by Apple

**Videos**

* [How to Kickstart Your Software Engineering Career](https://www.youtube.com/playlist?list=PL1hNTJtl-Vt5FGkgnfo3e0HjK-YPYCQzR), by [@hellomayuko](https://twitter.com/hellomayuko)

**Credits**

* [naeemshaikh90](https://github.com/naeemshaikh90), [LisaDziuba](https://github.com/lisadziuba), [Apps Dissected](https://github.com/AppsDissected), [vpeschenkov](https://github.com/vpeschenkov), [polac24](https://github.com/polac24), [popei69](https://github.com/popei69), [mecid](https://github.com/mecid), [samdods](https://github.com/samdods), [mikina](https://github.com/mikina), [rbarbosa](https://github.com/rbarbosa)
