Happy Thursday, everyone! Inspired by comments on my intro from two weeks ago, I asked last week how could we as iOS developers work on more meaningful projects or have a bigger impact. I didn't really get that many answers, so I'll just write my own thoughts on this subject. For example, working in the Health team at Apple is something that, for me, would be a meaningful project. I trully believe in the Apple Watch's value as a medical device and as a gadget that can improve the lives of people who use it. Just as a disclaimer, I don't personally know anyone working in the Health team at Apple, so I don't _really_ know what that is like. Working on an app that helps people learn new languages, or that helps visually impaired people in their daily tasks could, for example, be very fulfilling. But yes, as a developer employed in a company, or even as a freelancer, it's very hard to find trully meaningful projects and sometimes you can't even influence the projects you're working on. In the end, I think it's up to each and every one of us to decide what kind of projects they'd like to work on, or how they can help others. And each of us probably has other things that they find meaningful. And that's ok :). 

**Articles**

* [Container View Controllers Redux](https://medium.com/flawless-app-stories/container-view-controllers-revisited-e076ef38853f), by Dennis Walsh.
* [Improve your iOS team’s productivity by building features as frameworks](https://medium.com/flawless-app-stories/improve-your-ios-teams-productivity-by-building-features-as-frameworks-9d2a64cbcab5), by [@sashimiblade](https://twitter.com/sashimiblade)
* [How to easily configure properties in Swift](https://dev.to/onmyway133/how-to-easily-configure-properties-in-swift-57i1), by [@onmyway133](https://twitter.com/onmyway133)
* [Introduction to supporting Dynamic Type](https://fluffy.es/introduction-to-dynamic-type/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [iOS Debugging Tips & Tricks](https://www.netguru.com/codestories/ios-debugging-tips-tricks), by [@bkucharskiDev](https://twitter.com/bkucharskiDev)
* [Starting Unit Testing with Model layer](https://mecid.github.io/2019/04/24/starting-unit-testing-with-model-layer/), by [@mecid](https://twitter.com/mecid)
* [How to bootstrap your iOS app to iterate faster](https://benoitpasquier.com/how-to-bootstrap-ios-app-to-iterate-faster/), by [@BenoitPasquier_](https://twitter.com/benoitpasquier_)
* [The Bittersweet iOS Document Browser](https://pspdfkit.com/blog/2019/the-bittersweet-ios-document-browser/), by [@bukovinski](https://twitter.com/bukovinski)

**Tools/Controls**

* [markdown-playgrounds](https://github.com/objcio/markdown-playgrounds) - A Markdown Editor that can execute Swift code, by [@objcio](https://twitter.com/objcio)
* [SwiftyMenu](https://github.com/KarimEbrahemAbdelaziz/SwiftyMenu) - Drop down menu for iOS, by [@KarimEbrahem512](https://twitter.com/KarimEbrahem512)
* [SwiftLocation 4](https://github.com/malcommac/SwiftLocation) - Efficient and easy to use location tracking framework for iOS , by [@danielemargutti](https://twitter.com/danielemargutti)
* [WLEmptyState](https://github.com/wizeline/WLEmptyState) - A framework that allows presenting an empty message for `UITableView`, by [@Wizeline](https://twitter.com/thewizeline)

**Business/Career**

* [The Most Installed Mobile SDKs](https://appfigures.com/top-sdks/all/all), by [@appfigures](https://twitter.com/appfigures)
* [Saying goodbye to App Review Times](https://daveverwer.com/blog/saying-goodbye-to-app-review-times/), by [@daveverwer](https://twitter.com/daveverwer)

**UI/UX**

* [App form design best practices](https://www.justinmind.com/blog/mobile-app-forms-best-practices/), by Rebeca Costa
* [7 Tips To Organize Colors for UI Design](https://uxplanet.org/7-tips-to-organize-colors-for-ui-design-97bbefed8a8a), by [@101babich](https://twitter.com/101babich)

**Videos**

* [What does a Software Engineering manager do? How to have a fruitful relationship with your manager](https://www.youtube.com/watch?v=34N9rE0YZIs), by [@hellomayuko](https://twitter.com/hellomayuko)

**Credits**

* [valianka](https://github.com/valianka), [onmyway133](https://github.com/onmyway133), [hassaneldesouky](https://github.com/HassanElDesouky), [naeemshaikh90](https://github.com/naeemshaikh90), [moelnaggar](https://github.com/MoElnaggar14), [vpeschenkov](https://github.com/vpeschenkov), [popei69](https://github.com/popei69), [mecid](https://github.com/mecid), [bkucharskiDev](https://github.com/bkucharskiDev), [pmusolino](https://github.com/pmusolino)
