Happy Thursday! I'm not going to write too much here, there are lots of links in this issue and I don't want to take any more of your time. But before we get to the links, I just wanted to recommend [Paul Hudson](https://twitter.com/twostraws)'s great app for learning Swift: [Unwrap](https://itunes.apple.com/app/id1440611372). The app is [open source](https://github.com/twostraws/Unwrap), so you can also check out its source code or submit ideas and suggestions for further development.

**Articles**

* [Speed Up your iOS Development: Demystifying complex UIViews using Decorators](https://medium.com/flawless-app-stories/speed-up-your-ios-development-demystifying-complex-uiviews-using-decorators-866d36279166), by [@fjtrujy](https://twitter.com/fjtrujy)
* [Sharing Swift Code Between iOS and Server Applications](https://www.raywenderlich.com/2401813-sharing-swift-code-between-ios-and-server-applications), by [@0xTim](https://twitter.com/0xtim)
* [CSSAttributedString in Swift](https://ilyagru.github.io/cssattributedstring-in-swift), by Ilya Gruzhevski
* [What’s new in RxSwift 5](https://medium.com/@freak4pc/whats-new-in-rxswift-5-f7a5c8ee48e7), by [@freak4pc](https://twitter.com/freak4pc)
* [How to code sign & publish iOS apps](https://blog.codemagic.io/how-to-code-sign-publish-ios-apps/), by [@codemagicio](https://twitter.com/codemagicio/)
* [Download files sequentially using URLSession inside OperationQueue](https://fluffy.es/download-files-sequentially/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [Implementing HealthKit Workouts with iOS and WatchOS](https://hackernoon.com/cloning-zwift-on-ios-part-3-healthkit-and-a-watchos-app-5fc77e6b6921), by [@hungtruong](https://twitter.com/hungtruong/)
* [RxSwift & MVVM - Advanced concepts of UITableView with RxDataSources](https://benoitpasquier.com/advanced-concepts-uitableview-rxdatasource/), by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [Scaling up an iOS app using modules](https://engineering.depop.com/scaling-up-an-ios-app-with-modularisation-8cd280d6b2b8), by [@nebillo](https://twitter.com/nebillo/)
* [Doubly Linked Lists — Swift 4](https://medium.com/flawless-app-stories/doubly-linked-lists-swift-4-ae3cf8a5b975), by Sarin Swift
* [Self-documenting code to improve readability in Swift](https://www.avanderlee.com/swift/self-documenting-code/), by [@twannl](https://www.twitter.com/twannl)
* [Data Recovery in Snapthread 2.0](https://beckyhansmeyer.com/2019/05/07/data-recovery-in-snapthread-2-0/), by [@bhansmeyer](http://twitter.com/bhansmeyer)
* [UIButton: Padding Between Image and Text](https://noahgilmore.com/blog/uibutton-padding/), by [@noahsark769](https://twitter.com/noahsark769)
* [Introducing CwlViews](https://www.cocoawithlove.com/blog/introducing-cwlviews.html), by [@cocoawithlove](https://twitter.com/cocoawithlove)
* [Declarative Views](https://www.cocoawithlove.com/blog/declarative-views.html), by [@cocoawithlove](https://twitter.com/cocoawithlove)
* [NSSecureCoding](https://www.swiftjectivec.com/nssecurecoding/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)
* [Image Resizing Techniques](https://nshipster.com/image-resizing/), by [@mattt](https://twitter.com/mattt)
* [Format Your Code With SwiftFormat](https://agostini.tech/2019/05/06/format-your-code-with-swiftformat/), by [@dagostin](https://twitter.com/dagostin)

**Tools/Controls**

* [SwiftKit](https://github.com/SvenTiigi/SwiftKit) A CLI for generating cross platform Swift Frameworks to easily start your next open-source project, by [@SvenTiigi](https://twitter.com/SvenTiigi)
* [KeyedCodable](https://github.com/dgrzeszczak/KeyedCodable) Easy nested key mappings for swift Codable, by [@dgrzeszczak](https://github.com/dgrzeszczak)
* [Dropdowns](https://github.com/onmyway133/Dropdowns) Fantastic dropdown in Swift, by [@onmyway133](https://twitter.com/onmyway133)
* [Owl](https://github.com/malcommac/Owl) A declarative type-safe framework for building fast and flexible lists with Tables & Collections, by [@danielemargutti](https://twitter.com/danielemargutti)
* [xcodes](https://github.com/RobotsAndPencils/xcodes/) Manage the Xcodes installed on your Mac, by [@robotsNpencils](https://twitter.com/robotsnpencils)

**Business/Career**

* [What to Expect From Marzipan](https://blog.iconfactory.com/2019/05/what-to-expect-from-marzipan/), by [@chockenberry](https://twitter.com/chockenberry)

**UI/UX**

* [11 tips to improve notifications](https://blog.prototypr.io/tips-to-improve-notifications-9e13250b3055), by [@akss_29](https://twitter.com/akss_29)
* [A Design Language for Touch, Gesture, and Motion](https://www.uxmatters.com/mt/archives/2019/05/a-design-language-for-touch-gesture-and-motion.php), by Steven Hoober

**Podcasts**

* [Erica Sadun – The raywenderlich.com Podcast S09 E02](https://www.raywenderlich.com/3017044-erica-sadun-podcast-s09-e02), by [@ericasadun](https://twitter.com/ericasadun), [@LordAndrei](https://twitter.com/LordAndrei) and [@jenndotcodes](https://twitter.com/jenndotcodes) 

**Videos**

* [App Builders Switzerland 2019 Videos](https://www.youtube.com/playlist?list=PLLcE3DL3f5Bx0IAHAw6hsdZ3z_samz2iX), by [@appbuilders_ch](https://twitter.com/appbuilders_ch)

**Credits**

*  [LisaDziuba](https://github.com/lisadziuba), [SvenTiigi](https://github.com/SvenTiigi), [pmusolino](https://github.com/pmusolino), [MoElnaggar14](https://github.com/MoElnaggar14), [onmyway133](https://github.com/onmyway133), [vpeschenkov](https://github.com/vpeschenkov), [nebillo](https://github.com/nebillo), [interstateone](https://github.com/interstateone), [valianka](https://github.com/valianka), [popei69](https://github.com/popei69), [hungtruong](https://github.com/hungtruong), [naeemshaikh90](https://github.com/naeemshaikh90), [rbarbosa](https://github.com/rbarbosa)
