Surprise! Happy Tuesday! The first day of WWDC 2019 was so amazing that made me want to send out a special edition of iOS Goodies to share all the good news. This is a special edition of our newsletter, so it's not following closely the usual pattern.

The **opening keynote** brought huge news to developers. **tvOS** will gain multi-user support, and **watchOS** gets some new audio streaming APIs. The Apple Watch will become more independent from the iPhone, also gaining its own App Store. **iOS 13** was announced, which will run on iPhone SE, iPhone 6s and above, dropping iPhone 6 and iPhone 5S support. Surprisingly, the iOS that's running on iPads was renamed to iPadOS. iPadOS is based on iOS and it seems that at least this year, [iPadOS is still iOS](https://twitter.com/_inside/status/1135640410175332356), but the different naming might say something about the different directions Apple wants to take the two devices. iPadOS is compatible with iPad Air 2 and newer devices. 

The new **macOS** is named Catalina, it comes with ZSH instead of bash, [probably because of licensing issues](https://twitter.com/nevyn/status/1135814006323712000), and will probably get a lot more new apps, since **project Catalyst** (what everybody knew as Marzipan) will help make an iPad app into a Mac app only by selecting a checkbox. At least, that's what they demoed, so it must be true 🙃. It's not clear yet to me how Universal apps will be affected by the iOS/iPadOS split and if only iPad apps can be made into Mac apps or if an iPhone-only app can also become a Mac app, but we have enough time to figure that out until September.

The biggest news for developer this year was the introduction of [**SwiftUI**](https://developer.apple.com/xcode/swiftui/): a new declarative framework for building UIs. SwiftUI works only on iOS 13, [no backwards compatibility](https://twitter.com/UINT_MIN/status/1135643392912658432). Apple added some [very nice tutorials](https://developer.apple.com/tutorials/swiftui) for SwiftUI, which is in my opinion a much better way to learn than downloading sample code or reading some documentation. SwiftUI is built from scratch, [it's not a wrapper](https://twitter.com/jckarter/status/1135627146062286848), it [works great with UIKit, AppKit and more](https://twitter.com/nnnnnnnn/status/1135632048478085121), [you can mix and match between SwiftUI and UIKit](https://twitter.com/smileyborg/status/1135947261848875008) and [the animations in SwiftUI are interactive and interruptible by default](https://twitter.com/b3ll/status/1135766725432004609). If you think the SwiftUI sample code looks like Swift, but not too much, you're not alone. Recent swift Evolution proposals, such as Function Builders, Property Delegates and Opaque Results Types [helped make that SwiftUI code possible](https://twitter.com/peres/status/1135707753958129664). For a more detailed explanation on this, check out [Bruno Rocha's awesome article](https://swiftrocks.com/inside-swiftui-compiler-magic.html). Before you get all too excited, remember that this is iOS 13 only, and to be able to test the Editor and Canvas (live previews) shown in the keynote, [you need the Catalina beta](https://twitter.com/karolsmazur/status/1135762901061513216). There are a lot of sessions on SwiftUI this year, make sure to watch some of them when they'll become available in the WWDC app or on the website.

Another new component that enables the magic behind SwiftUI is the [new **Combine framework**](https://developer.apple.com/documentation/combine), which is Apple's take on the reactive paradigm. I don't think anyone expected this to happen this year, but here we are. I think this is really exciting, make sure to watch the sessions on it later this week 😁.

And as if this wasn't enough already, we got a lot of **Xcode improvements**, such as [Swift Package Manager that works with iOS](https://twitter.com/phillfarrugia/status/1135675822398853120). John Sundell already wrote an [article covering this topic](https://wwdcbysundell.com/2019/xcode-swiftpm-first-look/). Besides the SPM integration, Xcode also got some neat updates. The one people seem to be most happy about is [the minimap](https://twitter.com/twostraws/status/1135641047508213761). It can [show breakpoints](https://twitter.com/noahsark769/status/1135673073217155078), it can show [`MARK:` comments](https://twitter.com/twannl/status/1135646946289258496) and you can [hold command to see names of functions, classes, etc](https://twitter.com/_eliperkins/status/1135666873591304192). Personally, I was surprised so many people were so excited about this, but I'm glad people are happy ¯\\_(ツ)_/¯. 

Under **security and privacy**, some notable updates were [a new crypto framework](https://twitter.com/rustyshelf/status/1135685294345220096) that finally [marks MD5 as insecure](https://twitter.com/vixentael/status/1135680658301444096) and the [tightened location privacy rules for asking for "always" access](https://twitter.com/_inside/status/1135678598336040960). We should also highlight here the [Sign In with Apple](https://developer.apple.com/sign-in-with-apple/), which is an anonymized way for users to sign into your app using their Apple ID. "Sign In with Apple" support will be [mandatory for apps that provide 3rd party sign-in](https://twitter.com/sandofsky/status/1135673287659347968). Another update in the App Store Review guidelines referring to privacy is that [kids' apps cannot include third-party advertising or analytics software and may not transmit data to third parties](https://twitter.com/preshit/status/1135646822255304704). This seems well-intended but harsh. And it's going to be very interesting to see [what will be considered a 3rd party. Heroku? AWS?](https://twitter.com/jeiting/status/1135939322270478336).

**Other notable updates** I found are the new [Core Haptics](https://developer.apple.com/documentation/corehaptics) framework, a quite [obscure and poorly documented UICollectionViewDiffableDataSource](https://developer.apple.com/documentation/uikit/uicollectionviewdiffabledatasource?language=occ) that might be sherlocking IGListKit, [undo/redo gestures that work out of the box with NSUndoManager](https://twitter.com/steipete/status/1135675328947400704), an updated [card-like presentation style for modal view controllers and redesigned UISegmentController](https://twitter.com/hansemannnn/status/1135667513960816642) and my favorite, [custom initializers for view controllers instantiated from a storyboard](https://twitter.com/kharrison/status/1135641442658017281).

From a **design** perspective, [Apple human interface guidelines were updated](https://developer.apple.com/design/whats-new/), [SF Symbols](https://developer.apple.com/design/human-interface-guidelines/sf-symbols/overview/) provides consistent and configurable symbols and icons that can be used in apps, and we get some new [Context Menus](https://developer.apple.com/design/human-interface-guidelines/ios/controls/context-menus/).

With all this new stuff, it's hard to refrain from installing the betas. However, Apple issued a [warning implying they're a bit unstable](https://twitter.com/tomhamming/status/1135643886263492609). I've also seen [people on Twitter](https://twitter.com/BrunoPhilipe/status/1135646103448293377) [saying that the betas from last year were far more stable](https://twitter.com/azamsharp/status/1135965744385220614). It's totally ok for first betas to be buggy and unstable, especially with so many new features that were introduced. If anything, it's last year that was extraordinary. But this year is simply mindblowing 🤯! 

**Credits** 

Information for this newsletter was compiled from tweets by: [@_inside](https://twitter.com/_inside), [@johnsundell](https://twitter.com/johnsundell), [@UINT_MIN](https://twitter.com/UINT_MIN), [@jckarter](https://twitter.com/jckarter), [@peres](https://twitter.com/peres), [@karolsmazur](https://twitter.com/karolsmazur), [@b3ll](https://twitter.com/b3ll), [@nevyn](https://twitter.com/nevyn), [@azamsharp](https://twitter.com/azamsharp), [@BrunoPhilipe](https://twitter.com/BrunoPhilipe), [@rockthebruno](https://twitter.com/rockthebruno), [@alanzeino](https://twitter.com/alanzeino), [@twostraws](https://twitter.com/twostraws), [@_eliperkins](https://twitter.com/_eliperkins), [@twannl](https://twitter.com/twannl), [@rustyshelf](https://twitter.com/rustyshelf), [@vixentael](https://twitter.com/vixentael), [@sandofsky](https://twitter.com/sandofsky), [@_ryannystrom](https://twitter.com/_ryannystrom), [@hansemannnn](https://twitter.com/hansemannnn), [@kharrison](https://twitter.com/kharrison), [@twostraws](https://twitter.com/twostraws), [@neoNacho](http://twitter.com/neoNacho)

**Further reading**

- [Beta downloads](https://developer.apple.com/download/)
- [iOS & iPadOS 13 Beta Release Notes](https://developer.apple.com/documentation/ios_ipados_release_notes/ios_ipados_13_beta_release_notes)
- [What’s New in Xcode](https://developer.apple.com/xcode/whats-new/)
- [Updates to the App Store Review Guidelines](https://developer.apple.com/news/?id=06032019j)
- [Design - Apple Developer](https://developer.apple.com/design/)
