Happy Thursday! How was getting [iOS Goodies on a Tuesday](https://ios-goodies.com/post/185370134786/week-2845-wwdc-special)? It's a special week, full of new content, information is coming towards us from everywhere and it's quite hard to keep up to date with everything that's been announced. There are a few people who are going out of their way to process, organize and share the information in more accessible ways for everyone: I'm thinking here of [John Sundell](https://twitter.com/johnsundell) for his in-depth coverage of the event, [Kristina Fox](https://twitter.com/krstnfx) for her beautiful sketch notes for every session she attends, [Paul Hudson](https://twitter.com/twostraws) for his impressive collection of tutorials and code samples for tech that's just been announced, [Anastasiia Voitova](https://twitter.com/vixentael) for her insights on the security-related news or [Michael Tsai](https://twitter.com/mjtsai) for gathering all the links and impressions in one place. And I'm sure there are many others too. They're all working hard and they deserve our gratitude. So if you got a lot of valuable information from someone's blog, tweets, podcast or video stream, make sure to tell them they're doing a great job 😊.

This edition of the newsletter has a special section called **WWDC**, linking to articles about new tech revealed at WWDC.

**WWDC**

* [Property wrappers to remove boilerplate code in Swift](https://www.avanderlee.com/swift/property-wrappers/), by [@twannl](https://www.twitter.com/twannl)
* [Security and privacy announcements from WWDC](https://wwdcbysundell.com/2019/anastasiia-voitova-on-security/), by [@vixentael](https://twitter.com/vixentael)
* [SwiftUI by example](https://www.hackingwithswift.com/quick-start/swiftui), by [@twostraws](https://twitter.com/twostraws)
* [Making real-world app with SwiftUI](https://mecid.github.io/2019/06/05/swiftui-making-real-world-app/), by [@mecid](https://twitter.com/mecid)
* [How to implement Sign In with Apple](https://zonneveld.dev/sign-in-with-apple/), by [@j_zonneveld](https://twitter.com/j_zonneveld)
* [What the Heck is Sign In with Apple?](https://developer.okta.com/blog/2019/06/04/what-the-heck-is-sign-in-with-apple), by [@aaronpk](https://twitter.com/aaronpk)

**Articles**

* [The Clean Swift architecture explained](https://zonneveld.dev/the-clean-swift-architecture-explained/), by [@j_zonneveld](https://twitter.com/j_zonneveld)
* [Easy UITests for your iOS app](https://treatwell.engineering/easy-uitests-for-your-ios-app-6af7aa3457), by [@ignasur](https://twitter.com/ignasur)
* [Reduce Your App Size With App Thinning](https://agostini.tech/2019/06/02/reduce-your-app-size-with-app-thinning/), by [@dagostin](https://twitter.com/dagostin)
* [Tips and tricks on unit testing iOS apps](https://www.kairadiagne.com/2019/05/31/ios-testing-tips-and-tricks), by [@kairadiagne](https://twitter.com/kairadiagne)
* [Declarative iOS layout with Panda](http://blog.bellebcooper.com/ios-layout-with-panda.html), by [@bellebcooper](http://www.twitter.com/bellebcooper)
* [How to implement Coordinator pattern with RxSwift](https://benoitpasquier.com/integrate-coordinator-pattern-in-rxswift/), by [@BenoitPasquier_](https://twitter.com/benoitpasquier_)

**Tools/Controls**

* [BadgeHub](https://github.com/jogendra/BadgeHub) - A way to quickly add a notification badge icon to any view. Make any UIView a full fledged animated notification center, by [@jogendrafx](https://twitter.com/jogendrafx)
* [TWUITests](https://github.com/treatwell/twuitests) - Lightweight UITests framework based on XCTest to help you write and maintain UITests quickly and easily with well organised code structure, by Treatwell
* [Unrealm](https://github.com/arturdev/Unrealm) - Unrealm is an extension on RealmCocoa, which enables Swift native types to be saved in Realm, by Artur Mkrtchyan
* [SFSafeSymbols](https://github.com/piknotech/SFSafeSymbols/), by [@fredcpi](https://twitter.com/fredcpi)

**Business/Career**

* 

**UI/UX**

* [Designing Conference Slides](https://ashfurrow.com/blog/designing-conference-slides/), by [@ashfurrow](https://twitter.com/ashfurrow)
* [sfsymbols.com](https://sfsymbols.com/), by [@noahsark769](https://twitter.com/noahsark769)

**Videos**

* 

**Credits**

* [jogendra](https://github.com/jogendra), [bellebethcooper](https://github.com/bellebethcooper/), [popei69](https://github.com/popei69), [mecid](https://github.com/mecid)
