Happy Thursday! I've seen this week the [SwiftWebUI](https://github.com/SwiftWebUI/SwiftWebUI) project by [@ziezeit](https://twitter.com/ziezeit) and [@ar_institute](https://twitter.com/ar_institute), and I think it's great. Of course, as the GitHub repo says, "this is a toy project, do not use in production". However, this just confirms my hunch from when SwiftUI was announced, that this could be so much bigger than just for iOS/macOS/watchOS/tvOS. I'm very curious and excited to see how this project evolves.

**Articles**

* [Managing Data Flow in SwiftUI](https://mecid.github.io/2019/07/03/managing-data-flow-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Combine framework in action](https://medium.com/snowdog-labs/combine-framework-in-action-part-2-63c7d652b32f), by [@mecid](https://twitter.com/mecid)
* [Creating a custom Combine Publisher to extend UIKit](https://www.avanderlee.com/swift/custom-combine-publisher/), by [@twannl](https://twitter.com/twannl)
* [UIStack​View](https://nshipster.com/uistackview/), by [@kaishin](https://twitter.com/kaishin)
* [SwiftUI: Loading Data on Demand](https://www.objc.io/blog/2019/07/02/lazy-loading/), by [@objcio](https://twitter.com/objcio)
* [iOS Memory Management in Under 6 Minutes](https://medium.com/flawless-app-stories/ios-memory-management-in-under-6-minutes-3be777f69b7e), by [@hassanedesouky](https://twitter.com/hassanedesouky)
* [Join the dark side and implement Dark Mode in iOS](https://engineering.nodesagency.com/categories/ios/2019/07/03/Dark-Mode), by [@andrei_hogea](https://twitter.com/andrei_hogea)
* [Multi-line UILabel in self-sizing CollectionView layouts](http://aplus.rs/2019/multi-line-uilabel-self-sizing-layout/), by [@radiantav](http://twitter.com/radiantav)
* [Thoughts on SwiftUI](http://aplus.rs/2019/thoughts-on-swiftui/), by [@radiantav](http://twitter.com/radiantav)
* [Getting started with Swift package manager in Xcode](https://www.kairadiagne.com/2019/07/03/getting-started-with-swift-package-manager-in-xcode.html), by [@kairadiagne](https://twitter.com/kairadiagne)

**Tools/Controls**

* [DiffableDataSources](https://github.com/ra1028/DiffableDataSources) - 💾 A library for backporting UITableView/UICollectionViewDiffableDataSource, by [@ra1028fe5](https://twitter.com/ra1028fe5)
* [BiometricKeychain](https://github.com/appssemble/BiometricKeychain) - Easily store data in the keychain with biometric authentication, by [@dobreandl](https://twitter.com/dobreandl)
* [TextSphere](https://github.com/cagricolak/TextSphere) - is a small framework for customized TextView by [@cgcolak](https://twitter.com/cgcolak)
* [Captain AHAP](http://ahap.fancypixel.it) - Create, edit and share custom haptics files (AHAP), by [@theandreamazz](https://twitter.com/theandreamazz)
* [Combinative](https://github.com/noppefoxwolf/Combinative) - UI Event Handling, by [@noppefoxwolf](https://twitter.com/noppefoxwolf)
* [SwiftWebUI](https://github.com/SwiftWebUI/SwiftWebUI), by [@ziezeit](https://twitter.com/ziezeit) and [@ar_institute](https://twitter.com/ar_institute)
* [HTMLKit](https://github.com/vapor-community/HTMLKit) - A lightning fast, type-safe HTML templating library built for Swift
* [YRPayment](https://github.com/yassram/YRPayment) - Better payment user experience library with cool animation in Swift, by [@ramsserio](https://twitter.com/ramsserio)
* [swiftui-notes](https://github.com/heckj/swiftui-notes), by [@heckj](https://twitter.com/heckj)

**Business/Career**

* [Why a good boss likes it when people complain](https://qz.com/work/1653161/why-good-bosses-like-when-people-complain/), by [@catehstn](https://twitter.com/catehstn)
* [Get your work recognized: write a brag document](https://jvns.ca/blog/brag-documents/), by [@b0rk](https://twitter.com/b0rk)

**UI/UX**

* [Designing for iOS 13](https://applypixels.com/blog/designing-for-ios-13), by [@ebaehr](https://twitter.com/ebaehr)


**Videos**

* [WWDC 2019 Top 10 Videos](https://www.raywenderlich.com/3868932-wwdc-2019-top-10-videos), by [@rcritz](https://twitter.com/rcritz)

**Credits**

* [cagricolak](https://github.com/cagricolak), [dobreandl](https://github.com/chelemen-razvan), [theandreamazz](https://github.com/andreamazz), [mecid](https://github.com/mecid), [ra1028](https://github.com/ra1028), [moelnaggar14](https://github.com/MoElnaggar14), [rbarbosa](https://github.com/rbarbosa), [valianka](https://github.com/valianka)
