Happy Thursday! I've looked a bit into Dark Mode for iOS 13 this week. While I initially loved the idea of dark mode, I have a few mixed feelings about it. Sure, when you watch the [WWDC sessions](https://developer.apple.com/videos/play/wwdc2019/214/) [about it](https://developer.apple.com/videos/play/wwdc2019/808/) the switch seems very easy and natural. But when you take a real app, one that you built for a client, for example, it's not that easy anymore. You need to change the colors without affecting the product's brand in any way and still keeping the same "feeling" of the app. That's a job for a designer. If you haven't talked to the designers you work with about Dark Mode, now it's a good time to do it. Out of the box, depending on how they've defined the colors, older apps built with iOS 13 SDK can look quite weird in dark mode, with some colors being switched to dark automatically, and others staying the same. Good news is that it seems apps built with iOS 12 SDK and older will still look the same on iOS 13 with Dark Mode enabled (except the UIAlertControllers, which will be dark). And until you're ready to fully adopt Dark Mode, you can "opt-out" by setting a key in `Info.plist`. But I'm quite sure there will be some pressure from the users, and also from Apple, for all apps to adopt Dark Mode sooner or later.

**Articles**

* [Encoding and Decoding in Swift](https://www.raywenderlich.com/3418439-encoding-and-decoding-in-swift), by  [@KaramazovShogun](https://twitter.com/KaramazovShogun)
* [Managing background tasks with the new Task Scheduler in iOS 13](https://medium.com/snowdog-labs/managing-background-tasks-with-new-task-scheduler-in-ios-13-aaabdac0d95b), by [@mecid](https://twitter.com/mecid)
* [Save UIColor with UserDefaults in Swift 5](https://medium.com/@hassaneldesouky/save-uicolor-with-userdefaults-in-swift-5-951ef1aa88e8), by [@hassanedesouky](https://twitter.com/hassanedesouky)
* [Order your Core Data entities the right way for maximum speed](https://www.appsdissected.com/order-core-data-entities-maximum-speed/), by [@AppsDissected](https://twitter.com/AppsDissected)
* [Swift 5.1 Collection Diffing](https://www.fivestars.blog/code/swift-5-1-collection-diffing.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Alerts, ActionSheets, Modals and Popovers in SwiftUI](https://mecid.github.io/2019/07/24/alerts-actionsheets-modals-and-popovers-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Advanced testing using `Behavior` in Quick](https://vojtastavik.com/2019/07/22/advanced-testing-using-behavior-in-quick/), by [@VojtaStavik](https://twitter.com/VojtaStavik)
* [Utilizing value semantics in Swift](https://www.swiftbysundell.com/posts/utilizing-value-semantics-in-swift), by [@johnsundell](https://twitter.com/johnsundell)
* [Alpha Compositing](https://ciechanow.ski/alpha-compositing/), by [@bciechanowski](https://twitter.com/bciechanowski)
* [Unused images and resources clean up in Xcode](https://www.avanderlee.com/optimization/unused-images-clean-up), by [@twannl](https://twitter.com/twannl)

**Tools/Controls**

* [Morphi - Shapes for SwiftUI ♡☾](https://github.com/phimage/morphi), by [@Phimageio](https://twitter.com/Phimageio)
* [QGrid - The missing SwiftUI collection view](https://github.com/Q-Mobile/QGrid)
* [Proxy - Swift package that implements mutable and immutable proxy objects through @dynamicMemberLookup, and lazy proxy-based object builders](https://github.com/alexdrone/Proxy), by [@alexdrone](https://twitter.com/alexdrone)
* [Awesome-Xcode-Behaviors - 👈 Quickly and easily do annoying tasks with xcode shortcuts](https://github.com/JeaSungLEE/Awesome-Xcode-Behaviors), by JeaSungLEE

**Business/Career**

* [3 Reasons Why You Should Work Directly in the Cloud](https://www.welcometothejungle.co/en/articles/reasons-work-cloud), by [@behind_thecode](https://twitter.com/behind_thecode)
* [This is What Going Viral Looks Like – The Numbers Behind FaceApp](https://blog.appfigures.com/faceapp-goes-viral-numbers/), by [@arielmichaeli](https://twitter.com/arielmichaeli)
* [Increase Your iOS App Ratings with the askForReview Function](https://spin.atomicobject.com/2019/07/22/ios-review-prompt-customize/), by [@mikewoelmer](https://twitter.com/mikewoelmer)

**UI/UX**

* [iOS 13 Contextual Menus](https://lmjabreu.com/post/ios13contextualmenus/), by [@lmjabreu](https://twitter.com/lmjabreu)
* [8 Rules for Perfect Typography in UI](https://blog.prototypr.io/8-rules-for-perfect-typography-in-ui-21b37f6f23ce), by [@thedsgnr](https://twitter.com/thedsgnr)

**Videos**

* 

**Credits**

* [KaramazovShogun](https://github.com/KaramazovShogun), [mecid](https://github.com/mecid), [hassaneldesouky](https://github.com/HassanElDesouky), [moelnaggar14](https://github.com/MoElnaggar14), [AppsDissected](https://github.com/AppsDissected), [zntfdr](https://github.com/zntfdr), [rbarbosa](https://github.com/rbarbosa)
