Happy Thursday! I've read [Brent Simmon's](https://twitter.com/brentsimmons/) excellent article, [SwiftUI Is Still the Future](https://inessential.com/2019/10/21/swiftui_is_still_the_future), and I found it very refreshing. Brent shows some of the limitations they've hit while using SwiftUI for their app, NetNewsWire. His conclusion is very clear:

> We very much want to use SwiftUI, and we believe it’s the future of Mac and iOS development — but emphasis should be on future, because it’s not quite ready in the present.

Since WWDC, I think that around half of all the content I've seen published in our iOS community was about SwiftUI. With all the changes SwiftUI has been through in the 14 releases of Xcode 11 since June, I wonder how much of that published content is still accurate and valuable. And while it's nice and exciting to jump on a new technology from the first day, I really wanted to read a post like Brent's, which shows the other side of the coin. Of course, you can't expect from a 3 months old technology to be on par with UIKit. And depending on your particular usecase, SwiftUI can be production-ready. Just think carefully before you decide to use it in production.


**Articles**

* [Streamlining your development workflow with Xcode Templates](https://edit.theappbusiness.com/streamlining-your-development-workflow-with-xcode-templates-b99a73a5b5f8), by [@je_sanderson](https://twitter.com/je_sanderson)
* [Creating Thread-Safe Generic Values in Swift](https://basememara.com/creating-thread-safe-generic-values-in-swift/), by [@basememara](https://twitter.com/basememara)
* [A practical guide to Weak Referencing in Swift](https://medium.com/flawless-app-stories/a-practical-guide-to-weak-referencing-in-swift-60a1e4da2ef9), by Serge Mata
* [Restoring your sanity reading JSON into Codables](https://www.appsdissected.com/json-codable-decodingerror-quicktype/), by [@AppsDissected](https://twitter.com/AppsDissected)
* [Reusing SwiftUI views across Apple platforms](https://mecid.github.io/2019/10/23/reusing-swiftui-views-across-apple-platforms/), by [@mecid](https://twitter.com/mecid)
* [Incorporating machine learning into iOS Apps](https://medium.com/@pradnya_nikam/incorporating-machine-learning-into-ios-apps-a5eb8bccd915), by [@pradnya_nikam](https://twitter.com/pradnya_nikam)
* [SwiftUI Layout System](https://kean.github.io/post/swiftui-layout-system), by [@a_grebenyuk](https://twitter.com/a_grebenyuk)
* [Metric​Kit](https://nshipster.com/metrickit/), by [@mattt](https://twitter.com/mattt)
* [Value Types and Reference Types in Swift](https://www.vadimbulavin.com/value-types-and-reference-types-in-swift/), by [@V8tr](https://twitter.com/V8tr)
* [Faking network responses in tests](https://www.donnywals.com/faking-network-responses-in-tests/), by [@donnywals](https://twitter.com/donnywals)

**Tools/Controls**

* [BetterCodable](https://github.com/marksands/BetterCodable) - Better Codable through Property Wrappers, by [@marksands](https://twitter.com/marksands)

**Business/Career**

* [My Experience with Burnout as a Startup Founder](https://open.buffer.com/burnout/), by [@joelgascoigne](https://twitter.com/joelgascoigne)
* [How To Maximize Value at Tech Conferences (as an Introvert) ](https://dev.to/kimmaida/how-to-maximize-value-at-tech-conferences-as-an-introvert-3636), by [@KimMaida](https://twitter.com/KimMaida)

**UI/UX**

* 

**Podcasts**

* [Swift by Sundell - “A major step forward” a SwiftUI special with Josh Shaffer](https://www.swiftbysundell.com/podcast/59/), by [@joshshaffer](https://twitter.com/joshshaffer) and [@johnsundell](https://twitter.com/johnsundell)

**Videos**

* [try! Swift NYC videos](https://www.youtube.com/playlist?list=PLCl5NM4qD3u8MjC_uV709BxqPoT3KX2C-) by [try! Swift NYC](https://twitter.com/tryswiftnyc)

**Credits**

* [jsanderson44](https://github.com/jsanderson44), [basememara](https://github.com/basememara), [LisaDziuba](https://github.com/lisadziuba), [AppsDissected](https://github.com/AppsDissected), [fassko](https://github.com/fassko), [mecid](https://github.com/mecid), [rbarbosa](https://github.com/rbarbosa)
