Happy Thursday! It's (still) the beginning of a new year, so it's time to think if you want to attend a conference this year. Or maybe even speak at one? Conferences are great places to meet like-minded people, and if you can attend one, or speak at one, I would totally encourage you to do it. But which conference to choose? There's [this already classic link](https://cocoaconferences.com/) where you can see all the announced upcoming conferences, which has a new awesome feature: get an `.ics` file with the conferences and import it in your calendar, or subscribe to it Google Calendar.

In other news, [Ted Kremenek](twitter.com/tkremenek) posted about the [road to Swift 6](https://forums.swift.org/t/on-the-road-to-swift-6/32862) and I must say, it sounds very good. They had me at "Faster builds" 😁.

**Articles**

* [The Ten Commandments of iOS Development](https://andreaslydemann.com/the-ten-commandments-of-ios-development/), by [@andreaslydemann](https://twitter.com/andreaslydemann)
* [Ranges in Swift explained with code examples](https://medium.com/flawless-app-stories/ranges-in-swift-explained-with-code-examples-ced68c750bd5), by [@twannl](https://twitter.com/twannl)
* [Certificate Pinning in iOS](https://www.netguru.com/codestories/certificate-pinning-in-ios), by Karol Piątek
* [Ignorance of the URLRequest cache](https://kristaps.me/ignorance-of-cache/) by [@fassko](https://twitter.com/fassko)
* [Getting Started with RxSwift and RxCocoa](https://medium.com/flawless-app-stories/all-about-memory-leaks-in-ios-cdd450d0cc34) by [@goktuggumus](https://twitter.com/goktuggumus)
* [Asynchronous Programming with Futures and Promises in Swift with Combine Framework](https://www.vadimbulavin.com/asynchronous-programming-with-future-and-promise-in-swift-with-combine-framework/), by [@V8tr](https://twitter.com/V8tr)
* [Building a Caching Custom Combine Operator #2: The .cache() Method](https://www.appsdissected.com/caching-custom-combine-operator-2-cache-method-generics/), by [@AppsDissected](https://twitter.com/AppsDissected)
* [Enumerating elements in ForEach](https://oleb.net/2020/foreach-enumerated/), by [@olebegemann](https://twitter.com/olebegemann)
* [Localization with SwiftUI, how to preview your localized content](https://benoitpasquier.com/localization-swiftui-how-top-preview-localized-content/), by [@BenoitPasquier_](https://twitter.com/BenoitPasquier_)
* [Using CoreData with SwiftUI](https://augmentedcode.io/2020/01/19/using-coredata-with-swiftui/), by [@toomasvahter](https://twitter.com/toomasvahter)
* [Making an Interactive Card based UI using Swift (Part 1/2)](https://exploringswift.com/making-an-interactive-card-based-ui-using-swift-part-1-2/), by [@madebyon](https://twitter.com/madebyon)
* [On Replacing OperationQueue](https://inessential.com/2020/01/20/on_replacing_operationqueue), by [@brentsimmons](https://twitter.com/brentsimmons)
* [Optimizing views in SwiftUI using EquatableView](https://swiftwithmajid.com/2020/01/22/optimizing-views-in-swiftui-using-equatableview/), by [@mecid](https://twitter.com/mecid)
* [Sign in with Apple, Part 4: Web and Other Platforms](https://sarunw.com/posts/sign-in-with-apple-4/), by [@sarunw](https://twitter.com/sarunw)
* [Uniform Type Identifier Bug on iOS — and How It Affects NetNewsWire](https://inessential.com/2020/01/20/universal_type_identifier_bug_on_ios_and), by [@brentsimmons](twitter.com/brentsimmons/)
* [Empty View With Diffable Datasource](https://www.swiftjectivec.com/diffable-datasource-empty-view/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)
* [Refactoring a networking layer to use Combine](https://www.donnywals.com/refactoring-a-networking-layer-to-use-combine/), by [@donnywals](https://twitter.com/donnywals)
* [Reducing iOS Build Times by using Interface Targets](https://swiftrocks.com/reducing-ios-build-times-by-using-interface-targets.html), by [@rockthebruno](https://twitter.com/rockthebruno)

**Tools/Controls**

* [Smaller Git Repo Size Using Git LFS (🤔 Xcode Assets)](https://jasonzurita.com/smaller-repo-size-using-git-lfs/), by [@jasonalexzurita](https://twitter.com/jasonalexzurita)

**Business/Career**

* [How to keep the product release process tight when growing fast (relying on continuous improvement, knowledge sharing, empathy, respect and humbleness 🙇‍♂️)](http://ennioma.com/2019/12/16/how-to-keep-the-product-release-process-tight-when-growing-fast/), by [@ennioma](https://twitter.com/EnnioMa)


**UI/UX**

* 

**Videos**

* 

**Credits**

* [andreaslydemann](https://github.com/andreaslydemann), [LisaDziuba](https://github.com/lisadziuba), [karolpiateknet](https://github.com/karolpiateknet),[fassko](https://github.com/fassko), [jasonzurita](https://github.com/jasonzurita), [V8tr](https://github.com/V8tr), [AppsDissected](https://github.com/AppsDissected), [rbarbosa](https://github.com/rbarbosa), [mecid](https://github.com/mecid), [sarunw](https://github.com/sarunw), [EnnioMa](https://twitter.com/EnnioMa)
