Happy Thursday! One post that really took off this week was [iOS Performance tips you probably didn't know (from an ex-Apple engineer)](https://www.fadel.io/blog/posts/ios-performance-tips-you-probably-didnt-know/), by [@ronyfadel](https://twitter.com/ronyfadel). Go ahead and read it, it's very interesting. The post has spurred a lot of discussion on Twitter, and I'm happy with the way the author has incorporated the feedback received into his post: as the updated version also says, make sure you measure before applying those optimizations, try to avoid premature optimization and in general, avoid optimizing based on implementation details in code you don't control and don't have access to, as it can backfire in future updates. On to the links!

**Articles**

* [Library Evolution in Swift](https://swift.org/blog/library-evolution/), by [@slava_pestov](https://twitter.com/slava_pestov/)
* [Standard Library Preview Package](https://swift.org/blog/preview-package/), by [@nnnnnnnn](twitter.com/nnnnnnnn)
* [Fast Method Stubbing From LLDB](https://bryce.co/lldb-method-stubbing/), by [@brycepauken](https://twitter.com/brycepauken)
* [Add, Edit, Move, and Drag and Drop List Rows with SwiftUI](https://www.vadimbulavin.com/add-edit-move-and-drag-and-drop-in-swiftui-list/), by [@V8tr](https://twitter.com/V8tr)
* [Mastering buttons in SwiftUI](https://swiftwithmajid.com/2020/02/19/mastering-buttons-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Creating a command line tool using the Swift Package Manager](https://www.avanderlee.com/swift/command-line-tool-package-manager), by [@twannl](https://www.twitter.com/twannl)

**Tools/Controls**

* [SwiftPlaygroundsCLI](https://github.com/SvenTiigi/SwiftPlaygroundsCLI) - Easily generate Swift Playgrounds from your command line for the new Playgrounds App on macOS, by [@SvenTiigi](https://twitter.com/SvenTiigi)
* [Poes](https://github.com/AvdLee/Poes) - A Swift command-line tool to easily send push notifications to the iOS simulator , by [@twannl](https://www.twitter.com/twannl)
* [DeepL-iOS](https://github.com/podkovyrin/deepl-ios) - Unofficial DeepL iOS client by [@podkovyr](http://twitter.com/podkovyr)
* [How to create Activity Ring in SwiftUI](https://sarunw.com/posts/how-to-create-activity-ring-in-swiftui/), by [@sarunw](https://twitter.com/sarunw)
* [Alamofire 5.0](https://github.com/Alamofire/Alamofire/releases/tag/5.0.0) - Elegant HTTP Networking in Swift, by [@AlamofireSF](https://twitter.com/AlamofireSF)
* [HypertextLiteral](https://github.com/NSHipster/HypertextLiteral), by [@mattt](https://twitter.com/mattt)

**Business/Career**

* [The Effect of Improving App Ratings. What happened next?](https://heyimakeapps.com/blog/the-effect-of-improving-app-ratings-what-happened-next), by [@michael_tigas](http://twitter.com/michael_tigas)
* [Zero to App in One Month](https://medium.com/@shihab.mehboob/zero-to-app-in-one-month-88a8b0f425dc), by [@JPEGuin](http://twitter.com/JPEGuin)
* [The Basecamp Guide to Internal Communication](https://basecamp.com/guides/how-we-communicate), by [@basecamp](https://twitter.com/basecamp)

**UI/UX**

* [Apple Design Resources Updated](https://developer.apple.com/design/whats-new/?id=02142020a)

**Videos**

* 

**Credits**

* [SvenTiigi](https://github.com/SvenTiigi), [podkovyr](https://github.com/podkovyrin), [Michael Tigas](https://github.com/teeeeeegz/), [sarunw](https://github.com/sarunw), [V8tr](https://github.com/V8tr), [brycepauken](https://github.com/brycepauken),  [shihab](https://github.com/shihabM), [mecid](https://github.com/mecid)
