Happy Thursday! A few updates from Apple this week: a new beta of Xcode 11.4, a reminder that starting April 30 all the apps submitted to the App Store [must be built with iOS 13 SDK](https://developer.apple.com/news/?id=03042020b), must use a storyboard to provide the launch screen and must support all screen sizes, and some updates to the App Store Review Guidelines. Among them, using push notifications for advertising and marketing purposes is no longer disallowed, give the user consents to that specifically. I can only hope that this change also means the rule is going to be enforced. A lot of apps were already using push notifications for marketing purposes, and Apple seemed to have no problem with that. Puttin the user in control is good, as long as this is going to be enforced at app review. The full diff of the App Store Review Guidelines can be seen [here](https://www.diffchecker.com/BA4o9EuR).

**Articles**

* [Architecting an Analytics Service for iOS Apps](https://andreaslydemann.com/architecting-an-analytics-service-for-ios-apps/), by [@andreaslydemann](https://twitter.com/andreaslydemann)
* [Custom Environment Values in SwiftUI](https://lostmoa.com/blog/CustomEnvironmentValuesInSwiftUI/), by [@lostmoa_nz](https://twitter.com/lostmoa_nz)
* [Generating app icons during build time](http://moraleda.info/blog/2020/02/25/xcode-generating-app-icons-during-build-time.html) - Adding version, build and environment information to your app icons, by [@gmoraleda_](https://twitter.com/gmoraleda_)
* [Swift unit tests with 3rd party dependencies](https://treatwell.engineering/swift-unit-tests-with-3rd-party-dependencies-61f206deca24), by [@ignasur](https://twitter.com/ignasur)
* [How to create a new Xcode project without Storyboard](https://sarunw.com/tips/how-to-create-new-xcode-project-without-storyboard/), by [@sarunw](https://twitter.com/sarunw)
* [Customizing Toggle in SwiftUI](https://swiftwithmajid.com/2020/03/04/customizing-toggle-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [How to read a Property List (plist) into the code](https://sarunw.com/tips/how-to-read-plist-file/), by [@sarunw](https://twitter.com/sarunw)
* [Xcode Build Time Optimization - Part 1](https://www.onswiftwings.com/posts/build-time-optimization-part1/), by [@sgl0v](https://twitter.com/sgl0v)
* [Writing command line interfaces for iOS apps](https://rambo.codes/posts/2020-03-01-writing-command-line-interfaces-for-ios-apps), by [@_inside](https://twitter.com/_inside)
* [Project LightSpeed: Rewriting the Messenger codebase for a faster, smaller, and simpler messaging app](https://engineering.fb.com/data-infrastructure/messenger/), by [@fb_engineering](https://twitter.com/fb_engineering)

**Tools/Controls**

* [Timelane](http://timelane.tools) - An instrument to profile and debug Combine and RxSwift code, by [@icanzilb](https://twitter.com/icanzilb)
* [Time](https://github.com/davedelong/time) - Building a better date/time library for Swift , by [@davedelong](https://twitter.com/davedelong)
* [ArgumentParser](https://github.com/apple/swift-argument-parser) - Straightforward, type-safe argument parsing for Swift , by Apple
* [Xcode Build Settings](https://xcodebuildsettings.com/) - a convenient reference of available build settings for Xcode projects, by [@mattt](twitter.com/mattt)

**Business/Career**

* [What's Subscription Churn and What You Can Do to Reduce It](https://appfigures.com/resources/business/whats-subscriptions-churn), by [@appfigures](https://twitter.com/appfigures)

**UI/UX**

* [How To Design Mobile Apps For One-Hand Usage](https://www.smashingmagazine.com/2020/02/design-mobile-apps-one-hand-usage/), by [@maitrikkataria](https://twitter.com/maitrikkataria)

**Videos**

* 

**Credits**

* [andreaslydemann](https://github.com/andreaslydemann), [icanzilb](https://github.com/icanzilb), [nataliapanferova](https://github.com/nataliapanferova), [sarunw](https://github.com/sarunw), [lokatorius](https://github.com/lokatorius), [gmoraleda](https://github.com/gmoraleda), [mecid](https://github.com/mecid)
