Happy Thursday! Apple has extended the deadline for switching to the latest Xcode version with two more months, so you now have [until June 30 to build your apps with the iOS 13 SDK](https://developer.apple.com/news/?id=03262020b).

On a lighter note, I've really enjoyed [this Where's Waldo-esque version of our iOS/Swift community](https://www.hackingwithswift.com/articles/215/spot-the-swifty) published by [Paul Hudson](https://twitter.com/twostraws) yesterday. The image is full of great people, and the level of detail is really amazing, capturing a lot of personality traits, hobbies or fun facts about the people in it.

**Articles**

* [Kotlin/Native and Xcode integration insights](https://medium.com/@mateuszmatrejek/kotlin-native-and-xcode-integration-insights-357b8747a1c8) by [@matrejek](https://twitter.com/matrejek)
* [NSTimer vs CADisplayLink](https://kristaps.me/nstimer-vs-cadisplaylink/), by [@fassko](https://twitter.com/fassko)
* [5 Must-Know Xcode Shortcuts for Unit Testing](https://swiftsenpai.com/xcode/xcode-unit-test-shortcuts/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [SwiftUI ButtonStyle](https://sarunw.com/posts/swiftui-buttonstyle/), by [@sarunw](https://twitter.com/sarunw)
* [Keyboard Avoidance for SwiftUI Views](https://www.vadimbulavin.com/how-to-move-swiftui-view-when-keyboard-covers-text-field/), by [@V8tr](https://twitter.com/V8tr)
* [Drag and drop in SwiftUI](https://swiftwithmajid.com/2020/04/01/drag-and-drop-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Configuring the Main Thread Checker](https://bryce.co/main-thread-checker-configuration/) by [@brycepauken](https://twitter.com/brycepauken)
* [Copying device support files if you already have the latest Xcode installed](https://www.donnywals.com/find-and-copy-xcode-device-support-files/), by [@donnywals](https://twitter.com/donnywals)
* [Combine + Diffable Data Source](https://thoughtbot.com/blog/combine-diffable-data-source), by [@mangoAbe](https://twitter.com/mangoAbe)
* [Localisation using Apple’s glossaries](https://douglashill.co/localisation-using-apples-glossaries/), by [@qdoug](https://twitter.com/qdoug)

**Tools/Controls**

* [playbook-ios](https://github.com/playbook-ui/playbook-ios) - 📘A library for isolated developing UI components and automatically snapshots of them, by [@ra1028fe5](https://twitter.com/ra1028fe5)
* [CommonMarkAttributedString](https://github.com/mattt/CommonMarkAttributedString) - Create NSAttributedStrings from Markdown Text, by [@mattt](https://twitter.com/mattt)
* [swift-doc](https://github.com/SwiftDocOrg/swift-doc) - Generates documentation for Swift projects, by [@mattt](https://twitter.com/mattt)

**Business/Career**

* [Slopes Diaries #35: Abandonment Issues](https://blog.curtisherbert.com/slopes-diaries-35-abandonment-issues/), by [@parrots](https://twitter.com/parrots)

**UI/UX**

*

**Videos**

* [Advanced Scene Understanding in AR](https://developer.apple.com/videos/play/tech-talks/609), by Apple

**Credits**

* [LeeKahSeng](https://github.com/LeeKahSeng), [sarunw](https://github.com/sarunw), [fassko](https://github.com/fassko), [matrejek](https://github.com/matrejek), [V8tr](https://github.com/V8tr), [mecid](https://github.com/mecid), [brycepauken](https://github.com/brycepauken), [Ryo Aoyama](https://github.com/ra1028)
