Happy Thursday! It's been a pretty packed and eventful week, and you can also see that by the size of this issue. First of all, [Apple announced that WWDC 2020 will start on June 22](https://www.apple.com/newsroom/2020/05/apple-to-host-virtual-worldwide-developers-conference-beginning-june-22.html), it will be free for all developers, it will include the keynote, Platform State of the Union, sessions and labs as always, and there will be a [Swift Student Challenge](https://developer.apple.com/wwdc20/swift-student-challenge/). Besides that, not much information was disclosed, not even how many days WWDC20 will be, which gives me the impression that a lot is still work in progress. We should hear back from Apple with more details in June.

Secondly, in Swift news, the very much discussed [Multple Trailing Closures proposal has been accepted](https://forums.swift.org/t/accepted-se-0279-multiple-trailing-closures/36141), stirring many different opinions in our community. I'm not that much into language design, and I don't participate in the Swift Evolution discussions because to me Swift is just a tool that I use to build iOS apps, which is what I'm interested in. If you want to keep up to date with the Swift Evolution, you can join forums or follow [Swift Weekly Brief](https://swiftweekly.github.io/issue-159/) - a Swift language-focused newsletter.

Thirdly, yesterday, for a few hours, a lot of iOS apps were crashing at launch. It turned out to be an issue in the Facebook SDK for iOS, which was crashing after a server update. The issue was fixed serverside and rolled out gradually, so everything went back to normal after a few hours. [Gui](https://twitter.com/_inside) has a very good [summary of what had happened](https://rambo.codes/posts/2020-05-07-the-big-facebook-crash). Still, the fact that a big company has an impact on that many apps and that a small bug caused by it can render useless almost all the apps on a user's phone is a bit chilling. There were so many crashes that [Firebase Crashlytics started having issues processing all of them](https://status.firebase.google.com/incident/Crashlytics/20003).

Finally, let's go over to the rest of the links from this week.

**Articles**

* [Protocol extensions and subclasses](https://alejandromp.com/blog/protocol-extensions-and-subclasses/), by [@alexito4](https://twitter.com/alexito4)
* [Different approach to Attributed Strings in Swift](https://sunshinejr.com/2020/04/30/different-approach-to-attributed-strings-in-swift/), by [@thesunshinejr](https://www.twitter.com/thesunshinejr)
* [SwiftUI Navigation in List View: Exploring Available Options](https://lostmoa.com/blog/NavigationInSwiftUIExploringAvailableOptions/), by [@lostmoa_nz](https://twitter.com/lostmoa_nz)
* [10 core principles to use CoreData without blowing your head off](https://medium.com/ios-os-x-development/10-core-principles-to-use-coredata-without-blowing-your-head-off-5ed11c623c6b), by [@otusweb](https://twitter.com/otusweb)
* [Modifying Lottie Animation with Value Providers](https://swiftsenpai.com/development/lottie-value-providers/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Clean Architecture with VIPER Sample Project for UIKit](https://cutecoder.org/programming/clean-architecture-viper-sample-project/) by [@SasmitoAdibowo](https://twitter.com/SasmitoAdibowo)
* [Testing SwiftUI Views](https://www.vadimbulavin.com/snapshot-testing-swiftui-views/), by [@V8tr](https://twitter.com/V8tr)
* [Improving your Unit Test Mocks with Arrays](https://medium.com/kinandcartacreated/using-array-to-improve-your-mocks-in-unit-tests-ios-swift-f8c343c80d21), by [@GilroyBen](https://twitter.com/GilroyBen)
* [The Missing Collection View in SwiftUI](https://www.netguru.com/codestories/the-missing-collection-view-in-swiftui), by Adam Niepokój
* [Building calendar without UICollectionView in SwiftUI](https://swiftwithmajid.com/2020/05/06/building-calendar-without-uicollectionview-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Memberwise Initializers for Structure Types](https://sarunw.com/posts/memberwise-initializers-for-structure-types/), by [@sarunw](https://twitter.com/sarunw)
* [When to use Accessibility Labels](https://mobilea11y.com/blog/when-to-use-accessibility-labels/), by [@RobRWAPP](https://twitter.com/RobRWAPP)
* [How and when to use KVO in Swift and UIKit](https://aplus.rs/2020/how-when-use-kvo-in-swift-uikit/), by [@radiantav](https://twitter.com/radiantav)

**Tools/Controls**

* [The Composable Architecture](https://github.com/pointfreeco/swift-composable-architecture) - A library for building applications in a consistent and understandable way, with composition, testing, and ergonomics in mind, by [@pointfreeco](https://twitter.com/pointfreeco)
* [LINE's custom Bazel rules for building apps and frameworks for Apple platforms](https://github.com/line/bazel_rules_apple/), by [@line](https://github.com/line)
* [Font Awesome Icons to PNG converter](https://fa2png.app), by [@soulchildpls](https://twitter.com/soulchildpls)
* [Step Indicator iOS Component in SwiftUI](https://github.com/badrinathvm/StepperView) - SwiftUI iOS component for Step Indications. , by [@badrivm](https://twitter.com/badrivm)
* [PopupView](https://github.com/exyte/PopupView) - Toasts and popups library written with SwiftUI, by [@ExyteHQ](https://twitter.com/ExyteHQ)

**Business/Career**

* 

**UI/UX**

*

**Videos**

* 

**Credits**

* [nataliapanferova](https://github.com/nataliapanferova), [thii](https://github.com/thii), [otusweb](https://github.com/otusweb), [LeeKahSeng](https://github.com/LeeKahSeng), [cupnoodle](https://github.com/cupnoodle), [adib](https://github.com/adib),[badrinathvm](https://github.com/badrinathvm), [V8tr](https://github.com/V8tr), [@GilroyBen](https://twitter.com/GilroyBen), [ExyteHQ](https://github.com/exyte), [mecid](https://github.com/mecid), [niepok](https://github.com/niepok), [sarunw](https://github.com/sarunw)
