Happy Thursday! Some of you probably know the CS193p course from Stanford. That's also how I started learning iOS development, from Paul Hegarty's course on iTunes U. Back then it was pre-ARC Objective-C and MVC. Well, this year [Stanford pusblishes their lectures on their website](https://cs193p.sites.stanford.edu/), and the course is SwiftUI + MVVM. Oh, how the times have changed 😁.

In other news, Apple has released Xcode 11.5 and iOS 13.5, with the biggest news being the Exposure Notification API. 

And instead of missing your local iOS developer meetups, which can't happen in person anymore, you can take advantage of the fact that some of them are already moving online, and you can join some that are happening thousands of kilometers from you. Kornel Miszczak maintains [a list of those events](https://smashswift.com/swift-tv/).

**Articles**

* [Improving your App’s Accessibility with iOS 13](https://medium.com/@dadederk/improving-your-apps-accessibility-with-ios-13-9eb8fc0bc8a0), by [@dadederk](https://twitter.com/dadederk)  
* [Verge — Start “store-pattern” state management before beginning Flux in UIKit iOS app development — preparation starting SwiftUI](https://medium.com/eureka-engineering/verge-start-store-pattern-state-management-before-beginning-flux-in-uikit-ios-app-development-6c74d4413829) by [@muukii](https://twitter.com/muukii_app)
* [How to Define a Protocol With @Published Property Wrapper Type](https://swiftsenpai.com/swift/define-protocol-with-published-property-wrapper/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Display multiple Sheets in a SwiftUI View](https://www.morningswiftui.com/blog/display-multiple-sheet-in-a-swiftui-view), by [@thomassivilay](https://twitter.com/thomassivilay)
* [SwiftUI Previews at Scale](https://www.vadimbulavin.com/swiftui-previews-at-scale/), by [@V8tr](https://twitter.com/V8tr)
* [Building a Design System for iOS](https://www.ramshandilya.com/blog/design-system-intro/), by [@ramshandilya](https://twitter.com/ramshandilya)
* [Building server-driven-UI architecture using UIComponents in SwiftUI](https://medium.com/better-programming/build-a-server-driven-ui-using-ui-components-in-swiftui-466ecca97290), by [@AnupAmmanavar](https://twitter.com/AnupAmmanavar)
* [SwiftUI Search Bar in the Navigation Bar](http://blog.eppz.eu/swiftui-search-bar-in-the-navigation-bar), by [@Geri_Borbas](https://twitter.com/Geri_Borbas)
* [Fitting and filling views in SwiftUI](https://swiftwithmajid.com/2020/05/20/fitting-and-filling-view-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Implementing design system components on iOS](https://medium.com/chili-labs/implementing-design-system-components-on-ios-6afe873ea586), by [@chililabs](https://twitter.com/chililabs)
* [Match a view's shadow to the Sketch shadow](https://sarunw.com/posts/match-view-shadow-to-sketch-shadow/), by [@sarunw](https://twitter.com/sarunw)
* [Top 10 Most Useful iOS Libraries in 2020](https://infinum.com/the-capsized-eight/top-10-most-useful-iOS-libraries), by [@goranbrlas](https://twitter.com/goranbrlas)
* [Enhance the VoiceOver experience in your app](https://developer.apple.com/news/?id=v56qu1b3), by Apple
* [An effective way to clear entire Userdefaults in Swift](https://ohmyswift.com/blog/2020/05/19/an-effective-way-to-clear-entire-userdefaults-in-swift/), by [@rizwanasifahmed](https://twitter.com/rizwanasifahmed/)
* [Public Key Hash Pinning on iOS](https://medium.com/supercharges-mobile-product-guide/public-key-hash-pinning-on-ios-703ca255cb11), by [@davidmtamas](https://twitter.com/davidmtamas)
* [Using type erasure to hide implementation details](https://www.donnywals.com/understanding-type-erasure-in-swift/), by [@donnywals](https://twitter.com/donnywals)
* [Self-sizing Popovers](https://useyourloaf.com/blog/self-sizing-popovers/), by [@kharrison](https://twitter.com/kharrison)

**Tools/Controls**

* [Piranha](https://github.com/uber/piranha) - A tool for refactoring code related to feature flag APIs, by [@ubereng](https://twitter.com/ubereng)

**Business/Career**

* [How a Feature Ships](https://www.swiftjectivec.com/how-a-feature-ships/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)

**UI/UX**

*

**Videos**

* [Apps for All: Making Software Accessible](https://youtu.be/LHHmx5XxIBc), by [@mb](https://twitter.com/mb)

**Credits**

* [dadederk](https://github.com/dadederk), [LeeKahSeng](https://github.com/LeeKahSeng), [V8tr](https://github.com/V8tr), [ramshandilya](https://github.com/Ramshandilya), [thomassivilay](https://github.com/thomas-sivilay), [AnupAmmanavar](https://github.com/AnupAmmanavar), [Geri-Borbas](https://github.com/Geri-Borbas), [mecid](https://github.com/mecid), [chili-ios](https://github.com/chili-ios), [sarunw](https://github.com/sarunw), [goranbrl](https://github.com/goranbrl)
