Happy Thursday! Apple announced more details about this year's WWDC: the dates are 22-26 June, and the schedule is similar to the previous years: live-streamed Keynote at 10 a.m. PDT (7 p.m. CEST) and a (probably pre-recorded) Platforms State of the Union at 2 p.m. PDT (11 p.m. CEST). Videos for the sessions will be posted each day at 10 a.m. PDT. There will also be 1-on-1 developer labs by appointment, and the Apple Developer Forums will be redesigned and they seem to be the place where developers can ask questions that are not particular to their apps or code. Personally, I was hoping that Apple would take the opportunity of this online WWDC and make it a more welcoming event for people outside US by having the sessions at a different time in the day. Pacific time isn't a good time for a big part of the world, and the fact that the sessions are prerecorded would've made this change possible. On the other hand, the familiarity from the previous WWDCs is nice :).

In other news, iOS 13.6 beta 2 and Xcode 11.6 beta have been released, and [Mattt](https://twitter.com/mattt) is working with GitHub on [a draft specification for a Swift package registry](https://forums.swift.org/t/swift-package-registry-service/37219)

**Articles**

* [Architecting a Logging Service for iOS Apps](https://andreaslydemann.com/architecting-a-logging-service-for-ios-apps/), by [@andreaslydemann](https://twitter.com/andreaslydemann)
* [Use Xcode Previews with UIKit](https://fluffy.es/xcode-previews-uikit/), by [@soulchildpls](https://twitter.com/soulchildpls)
* [Google Sign-In Integration in iOS](https://swiftsenpai.com/development/google-sign-in-integration/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Modularity. Boundaries](https://dmtopolog.com/modularity-1-boundaries/), by [@dmtopolog](https://twitter.com/dmtopolog)
* [SwiftUI wishlist for WWDC20](https://swiftwithmajid.com/2020/06/10/swiftui-wishlist-for-wwdc20/), by [@mecid](https://twitter.com/mecid)
* [Dynamic Height for Text Field in SwiftUI](https://lostmoa.com/blog/DynamicHeightForTextFieldInSwiftUI/), by [@natpanferova](https://twitter.com/natpanferova)
* [Swift Pointers Overview: Unsafe, Buffer, Raw and Managed Pointers](https://www.vadimbulavin.com/swift-pointers-overview-unsafe-buffer-raw-and-managed-pointers/), by [@V8tr](https://twitter.com/V8tr)
* [Swift way to build OpenSSL for Carthage iOS, as we did it for Themis](https://www.cossacklabs.com/blog/openssl-for-carthage-for-themis), by [@cossacklabs](https://twitter.com/cossacklabs)
* [What is backIndicatorTransitionMaskImage](https://sarunw.com/posts/what-is-backindicatortransitionmaskimage/), by [@sarunw](https://twitter.com/sarunw)
* [Modular Sign in with Apple in iOS](https://blog.usejournal.com/modular-sign-in-with-apple-in-ios-d18ad913aa47), by [@yoloAbdo](https://twitter.com/yoloAbdo)
* [The Evolution of Swift Playgrounds](https://medium.com/@francesco_/the-evolution-of-swift-playgrounds-39bf168be8f), by [@fraancessco](https://twitter.com/fraancessco)
* [OS Interview Questions and Answers for Senior Developers Part 4 - Concurrency](https://www.tanaschita.com/posts/20200530-ios-interview-questions-and-answers-for-senior-developers-part-4/), by [@tanaschita](https://twitter.com/tanaschita)
* [Adding support for versioning and migration to your Codable models](http://merowing.info/2020/06/adding-support-for-versioning-and-migration-to-your-codable-models./), by [@merowing_](https://twitter.com/merowing_)
* [Building a silly WatchKit App](https://ericasadun.com/2020/06/05/building-a-silly-watchkit-app/), by [@ericasadun](https://twitter.com/ericasadun)

**Tools/Controls**

* [Grid](https://github.com/exyte/Grid) - The most powerful Grid container missed in SwiftUI, by [@ExyteHQ](https://twitter.com/ExyteHQ)
* [Fluxor](https://github.com/FluxorOrg/Fluxor) - Unidirectional Data Flow in Swift based on Combine, by [@MortenGregersen](https://twitter.com/MortenGregersen)

**Business/Career**

* [The Big Update](https://www.swiftjectivec.com/the-big-update/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)

**UI/UX**

*

**Videos**

* [UIKonf - Prepping For a SwiftUI Future](https://www.youtube.com/watch?v=Ezqkna_KPCQ&list=PLdr22uU_wISpu7T6JWq7eMSxP0tYcmXcB), by [@nerdonica](https://twitter.com/nerdonica)
* [UIKonf - Who can say they have learned Swift?](https://www.youtube.com/watch?v=EiiV5OnFo2Y&list=PLdr22uU_wISpu7T6JWq7eMSxP0tYcmXcB), by [@twostraws](https://twitter.com/twostraws) and [@PinkerStraws](https://twitter.com/PinkerStraws)

**Credits**

* [andreaslydemann](https://github.com/andreaslydemann), [cupnoodle](https://github.com/cupnoodle), [LeeKahSeng](https://github.com/LeeKahSeng), [DmIvanov](https://github.com/DmIvanov), [nataliapanferova](https://github.com/nataliapanferova), [mecid](https://github.com/mecid), [V8tr](https://github.com/V8tr), [vixentael](https://github.com/vixentael), [sarunw](https://github.com/sarunw), [ExyteHQ](https://github.com/exyte)
