
Happy Tuesday (at least in my timezone)! As promised, here's the special WWDC20 edition of iOS Goodies! Same as last year, this won't be following the usual pattern of the newsletter, but it will bring you up to date with the latest announcements from the first day of WWDC20. Here's my summary of all the info I could process so far after the first day of WWDC20.

In **iOS 14**, we have a major home screen revamping, with App Library appearing after your last app page and organizing the apps by type, but also with the [Widgets](https://developer.apple.com/design/human-interface-guidelines/ios/system-capabilities/widgets/). Similar to the widgets from the Today View in purpose and appearance, they're quite different under the hood. You can place them (almost) anywhere on your home screen, and you use [WidgetKit](https://developer.apple.com/widgets/) to create them. There's also a prebuilt widget gallery, the Smart Stack, which uses on-device machine learning to show the most relevant widget for that context. To create widgets, [it seems you have to use SwiftUI](https://twitter.com/terhechte/status/1275188115393646593).

[App Clips](https://developer.apple.com/app-clips/) were also announced, which, as far as I could figure out, are similar to the Android's instant apps from some time ago: small parts of an app that can be used to perform a specific task (pay for parking, i.e.). They can be triggered by scanning specific QR codes, NFC tags or Safari App Banners. With both Widgets and App Clips, it's probably more important than ever to make sure you use a modular architecture with reusable components.

Among the user-facing updates are a Messages redesign, a new Translate app which is integrated with Siri and works locally without the need of an internet connection, picture in picture, [emoji search in the keyboard](https://twitter.com/Javi/status/1275197014368632833) and customizable default apps for mail and web browser. Also, long pressing on the back button in a navigationController [will now show all the screens in that navigation stack](https://twitter.com/marius_const/status/1275201907846516736). 
It seems we're also getting [redesigned date and time pickers, as well as a color picker](https://twitter.com/marius_const/status/1275157204614680577). And family subscriptions are now a thing: subscriptions can now be shared with the members of your Family Sharing group. [StoreKit also got some updates](https://twitter.com/jeiting/status/1275157006173843464), which should make working with in-app purchases easier. Here's a list of [all the updates coming to iOS 14]( https://www.apple.com/ios/ios-14-preview/features/).
iOS 14 will be supported on iPhone 6S or newer.

**iPadOS 14** is getting the same updates as iOS, even though [it starts to look more and more like macOS](https://twitter.com/marius_const/status/1275120052346531840), and it also gets Scribble, a feature that lets you input text by handwriting it with the Apple Pencil.

**tvOS 14** wasn't mentioned that much during the Keynote, and not at all (I think) during the Platforms State of the Union, but it also got a few updates: multiuser support for gaming, support for more controller, the possibility to connect two pairs of AirPods to the TV, HomeKit live camera feeds, and picture in picture. 

In **watchOS 7** we're getting SwiftUI complications. Among the new user-facing features are handwashing detection, dance workouts and the much-expected sleep tracking. watchOS 7 is supported on Apple Watch Series 3 and newer.

The biggest focus during this first day was on the Mac and **macOS**, and that's because Apple is moving away from Intel chips to their own Apple Silicon processors. But first, let's talk a bit about macOS. The new update is macOS 11 Big Sur. Everything was redesigned, and it looks now a bit more like iPadOS. Besides the redesign, it also comes with faster Safari, updated Maps app (which seems to be Catalyst now), updated Messages app with threads and mentions in group conversations and widgets similar to the ones introduced on iOS. Also, the boot chime is back. 

As for the **Mac**, it's transitioning to Apple Silicon, Apple's own processor line, it will come with Universal 2, a new universal binary file which contains the binaries for both architectures, it will use Rosetta 2 to allow existing apps to run on the new architecture and it will support iOS apps directly.

Some of the updates that impressed me the most were the **privacy**-related ones. When allowing an app to use your location, you can now only [give it your broad location, instead of the precise one](https://twitter.com/ludoviclandry/status/1275203393288458240). And when an app asks for photo library access, you can [only give it access to a few selected photos](https://twitter.com/notjosh/status/1275164019477876741). Tracking is also affected by the new versions of Apple's operating systems, as developers will now have to ask the user for permission before tracking them in the app, using the new [AppTrackingTransparency framework](https://developer.apple.com/documentation/apptrackingtransparency). Soon you will need to provide details about your privacy practices in App Store Connect; [the App Store will show what type of data an app can access](https://developer.apple.com/app-store/user-privacy-and-data-use/). And last but not least, iOS will now show a visual indicator in the status bar when the camera or microphone are active, so the user will be aware of this.

**SwiftUI** also got some nice updates, and the best part is that they're all additive changes: all the code written before will compile without the need of a migration. [Paul Hudson](https://twitter.com/twostraws) already has an article out highlighting [what's new in SwiftUI for iOS 14](https://www.hackingwithswift.com/articles/221/whats-new-in-swiftui-for-ios-14).

But what about **Xcode**? Of course there's new stuff in Xcode 12 too: bigger font in the navigation panel (and the possibility to customize it), there's now a [minimap in Interface Builder](https://twitter.com/marius_const/status/1275181049539170305), it finally brings [support for SVGs](https://twitter.com/aligatr/status/1275161999865982976), better code completion and document tabs similar to VS Code.

Looking over the [schedule of the videos for the rest of the week](https://developer.apple.com/videos/wwdc2020), there are some very interesting topics. Some that particularly stood out for me were the ones about collection views, especially about [lists in collection views](https://twitter.com/smileyborg/status/1275145938206519296). Are we finally ready to deprecate UITableView?

