Happy Thursday! Are you ready for next week's WWDC? If you used to watch the keynote with many other people at some local community events, things that aren't possible this year in most places, fear not, the community has stepped up and there are already a lot of alternatives, such as [https://wwdcwatch.party/](https://wwdcwatch.party/) and [https://wwdctogether.com/](https://wwdctogether.com/). Wondering how to watch? There's [the official WWDC app for iOS, tvOS](https://apps.apple.com/us/app/apple-developer/id640199958) which now has also got a macOS counterpart, thanks to Catalyst. Or, there's also the very popular [unofficial WWDC app for macOS](https://wwdc.io/). The [new Apple Developer Forums](https://developer.apple.com/forums/) have just been launched, and they look great. Looking forward to the discussion there next week. If you're a fan of trivia and pub-quiz style games, you can join the [Pre-WWDC Virtual Trivia!](https://www.eventbrite.com/e/pre-wwdc-virtual-trivia-tickets-108879668018). But most of all, have fun and enjoy the next week. There will be a lot of new information, many people will rush to write about the newly presented goodies (myself included, I'll send a special iOS Goodies edition a few hours after the keynote 😅), and it's easy to feel overwhelmed or suffer from imposter syndrome. Make sure to read [Abizer's thread on this subject](https://twitter.com/abizern/status/1271361699933806593). You don't need to know everything presented next week at once. Nobody does.

**Articles**

* [Building Maps for watchOS and Watchsmith 1.3 ](https://david-smith.org/blog/2020/06/08/building-maps-for-watchos-and-watchsmith/), by [@_DavidSmith](http://twitter.com/_DavidSmith)
* [Task-based async/await in swift](https://medium.com/macoclock/async-await-in-swift-with-tasker-41f6057e64af), by [@aliak00](https://twitter.com/aliak00)
* [Supporting Literal Initialization for Custom Types - Swift](https://medium.com/@batikansosun/supporting-literal-initialization-for-custom-types-662fa6fa23cb), by [@batikansosun](https://twitter.com/batikansosun)
* [Infinite List Scroll with SwiftUI and Combine](https://www.vadimbulavin.com/infinite-list-scroll-swiftui-combine/), by [@V8tr](https://twitter.com/V8tr)
* [Integrate Google Sign-In with Firebase Authentication](https://swiftsenpai.com/development/google-sign-in-firebase-authentication/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Toggling iOS Render Debug Options Without a Computer](https://bryce.co/on-device-render-debugging/), by [@brycepauken](https://twitter.com/brycepauken)
* [The magic of Animatable values in SwiftUI](https://swiftwithmajid.com/2020/06/17/the-magic-of-animatable-values-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Easy way to detect a retain cycle in a view controller](https://sarunw.com/posts/easy-way-to-detect-retain-cycle-in-view-controller/), by [@sarunw](https://twitter.com/sarunw)
- [SwiftUI, UIViewRepresentable, and attributed text](https://blog.hyperdeck.io/posts/2020-6-18-swiftui-uiviewrepresentable-and-attributed-text.html), by [@terhechte](https://twitter.com/terhechte)

**Tools/Controls**

* [Scaffold](https://github.com/yhkaplan/scaffold) - Tool for generating code from Stencil templates, by [@yhkaplan](https://twitter.com/yhkaplan)
* [Swift Package Index](https://swiftpackageindex.com/), by [@daveverwer](https://twitter.com/daveverwer) and [@_sa_s](https://twitter.com/_sa_s)

**Business/Career**

*

**UI/UX**

* [10 Usability Heuristics and How To Apply Them To Product Design](https://uxplanet.org/10-usability-heuristics-and-how-to-apply-them-to-product-design-dd4a4a06d78c), by [@101babich](https://twitter.com/101babich)

**Videos**

* [Swiftly Speaking 10: Carola Nitz](https://www.youtube.com/watch?v=MJm76zPE358), by [@_Caro_N](https://twitter.com/_Caro_N) and [@twostraws](https://twitter.com/twostraws/)

**Credits**

* [shadone](https://github.com/shadone), [V8tr](https://github.com/V8tr), [LeeKahSeng](https://github.com/LeeKahSeng), [brycepauken](https://github.com/brycepauken), [mecid](https://github.com/mecid), [batikansosun](https://github.com/batikansosun), [sarunw](https://github.com/sarunw), [yhkaplan](https://github.com/yhkaplan)
