Happy Thursday! It's the week after WWDC, content about the new APIs is starting to pop up more and more, and if you think you're falling behind because you haven't watched as many sessions as you were hoping, just remember that you don't need to know all this now. In most cases, you don't need to know all this in autumn either, because a lot of what was announced is iOS 14 only. It's ok not to rush into the new APIs and it's ok not to install the betas. If you do want to watch more WWDC20 sessions, but you're not sure which ones, the [WWDC 2020 Viewing Guide](https://useyourloaf.com/blog/wwdc-2020-viewing-guide/) by [@kharrison](https://twitter.com/kharrison) will surely come in handy.

**Articles**

* [iOS 14: Create a widget using WidgetKit](https://zonneveld.dev/ios-14-widgetkit/), by [@j_zonneveld](https://twitter.com/j_zonneveld)
* [New property wrappers in SwiftUI](https://swiftwithmajid.com/2020/06/29/new-property-wrappers-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Adding optional @Bindings to SwiftUI views](https://www.fivestars.blog/code/optional-binding.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Grouping Array Elements With Dictionary in Swift](https://swiftsenpai.com/swift/group-array-elements-with-dictionary/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [A first look at matchedGeometryEffect](https://sarunw.com/posts/a-first-look-at-matchedgeometryeffect/), by [@sarunw](https://twitter.com/sarunw)
* [Crash Reporting with MetricKit](https://www.chimehq.com/blog/metrickit-crash-reporting), by [@mattie](https://twitter.com/mattie)
* [Getting Started With Widgets](https://www.raywenderlich.com/11303363-getting-started-with-widgets), by [mataharimau](https://twitter.com/mataharimau)
* [Introducing App Clips](https://engineering.monstar-lab.com/2020/06/26/Introducing-App-Clips), by Tom Müller
* [10 Code Snippets from WWDC 2020](https://medium.com/@francesco_/10-code-snippets-from-wwdc20-5dba158e2903?source=friends_link&sk=d9afe5ca122e7774da60dfbebf745186), by [@fraancessco](https://twitter.com/fraancessco)

**Tools/Controls**

* [Cirrus](https://github.com/jayhickey/Cirrus) - Simple CloudKit sync for Codable Swift models, by [@jayhickey](https://twitter.com/jayhickey)
* [Mockingbird](https://github.com/Farfetch/mockingbird) - macOS HTTP(s) Mocking Tool on top of _mitmproxy_ by [@erickjung](https://twitter.com/erickjung)

**Business/Career**

* [Why AnyList Won’t Be Supporting Sign In with Apple](https://blog.anylist.com/2020/06/sign-in-with-apple/), by [@jeffhunterx](https://twitter.com/jeffhunterx)

**UI/UX**

* [The Comeback of Fun in Visual Design](https://applypixels.com/blog/comeback), by [@flarup](https://twitter.com/flarup/)
* [Bringing the Spotify Heart to Life](https://spotify.design/article/bringing-the-spotify-heart-to-life), by [@heikowinter](https://twitter.com/heikowinter) and [@marmelroy](https://twitter.com/marmelroy)

**Videos**

* [UICollectionView Compositional List Layout](https://www.youtube.com/watch?v=5Q4KgyESHRA), by [@kilo_loco](https://twitter.com/kilo_loco)

**Credits**

* [jeroenzonneveld](https://github.com/jeroenzonneveld), [mecid](https://github.com/mecid), [@jayhickey](https://github.com/jayhickey), [@zntfdr](https://github.com/zntfdr), [LeeKahSeng](https://github.com/LeeKahSeng), [sarunw](https://github.com/sarunw), [crsantos](https://github.com/crsantos), [francesc-o](https://github.com/francesc-o)
