Happy Thursday! Two weeks have passed since WWDC, so we got the second beta of Xcode 12 this week, as well as the second betas of the operating systems. What's more, Apple is releasing the public beta of its operating systems today.

I've watched a few more WWDC videos these two weeks, and I'm impressed by all the work Apple did for privacy. I recommend watching [Build trust through better privacy](https://developer.apple.com/videos/play/wwdc2020/10676/), [What's new in location](https://developer.apple.com/videos/play/wwdc2020/10660/) and [Handle the Limited Photos Library in your app](https://developer.apple.com/videos/play/wwdc2020/10641/). Or, if you prefer a written article to learn about the updates to accessing the photo library, you can check out Kuba's [Photo library changes in iOS 14](https://mackuba.eu/2020/07/07/photo-library-changes-ios-14/).

**Articles**

* [The difference between @StateObject, @EnvironmentObject, and @ObservedObject in SwiftUI](https://swiftwithmajid.com/2020/07/02/the-difference-between-stateobject-environmentobject-and-observedobject-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Custom navigation bar title view in SwiftUI](https://sarunw.com/posts/custom-navigation-bar-title-view-in-swiftui/), by [@sarunw](https://twitter.com/sarunw)
* [Refactoring iOS Apps](https://andreaslydemann.com/refactoring-ios-apps/), by [@andreaslydemann](https://twitter.com/andreaslydemann)
* [SwiftUI: Bridging UIKit with ScrollViewReader and DragGesture](https://www.fivestars.blog/code/section-title-index-swiftui.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Handling deeplinks in iOS 14 with onOpenURL](https://www.donnywals.com/handling-deeplinks-in-ios-14-with-onopenurl/), by [@donnywals](https://twitter.com/donnywals)
* [A Best in Class iOS App](https://www.swiftjectivec.com/a-best-in-class-app/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)
* [MatchedGeometryEffect – Part 1 (Hero Animations)](https://swiftui-lab.com/matchedgeometryeffect-part1/), by [@SwiftUILab](https://twitter.com/SwiftUILab)
* [WWDC20: What’s New in Unit Testing](https://qualitycoding.org/wwdc20-unit-testing/), by [@qcoding](https://twitter.com/qcoding)
* [Creating Lists with Collection View](https://useyourloaf.com/blog/creating-lists-with-collection-view/), by [@kharrison](https://twitter.com/kharrison)

**Tools/Controls**

* [FNMNetworkMonitor - networking framework to monitor HTTP(s) activity of an iOS app, also it can mock network requests](https://github.com/Farfetch/network-monitor-ios), by [@diogobalseiro](https://github.com/diogobalseiro)

**Business/Career**

* 

**UI/UX**

* 

**Videos**

* [WWDC 2020 Recap - Clips are Landing Pages, the Future of the Mac, and More](https://appfigures.com/resources/insights/webinar-wwdc-recap-2020), by [@appfigures](https://twitter.com/appfigures)

**Credits**

* [mecid](https://github.com/mecid), [sarunw](https://github.com/sarunw), [crsantos](https://github.com/crsantos), [andreaslydemann](https://github.com/andreaslydemann), [zntfdr](https://github.com/zntfdr), [rel](https://github.com/rel), [donnywals](https://github.com/donnywals)
