Happy Thursday! The main topic of this week seems to have been yesterday's big tech antitrust hearing in the US House of Representatives, which in our community brought into discussion, again, the App Store, the 30% cut, in-app purchases, various random rejection reasons, randomly enforced App Store review guidelines and special entitlements. While Apple's official position has always been that they treat everybody the same (and seriously, how could they claim otherwise?), we all know that [sometimes that's just not the case](https://twitter.com/steipete/status/1288151223028322304). Unfortunately, I don't really think this will change soon, but one can hope, right? They [did announce at WWDC](https://www.apple.com/newsroom/2020/06/apple-reveals-new-developer-technologies-to-foster-the-next-generation-of-apps/) that developers will be able to challenge the guidelines and that for existing apps, bug fix updates won't be delayed because of guidelines violations. 

In other news, there is some [interesting](https://github.com/apple/swift/pull/33147) [activity](https://github.com/apple/swift/pull/33196) in the Swift repo that seems related to async/await. While none of this has gone through Swift evolution, and as far as I know, the only proposal was [Chris Lattner's Swift Concurrency Manifesto](https://gist.github.com/lattner/31ed37682ef1576b16bca1432ea9f782) to which I linked [three years ago](https://ios-goodies.com/post/164861337736/week-193), it looks like async/await might be coming to Swift. But don't get your hopes up for this yet, I'm expecting there will be a lot more time before we get this.

**Articles**

*  [Sidebar navigation in SwiftUI](https://swiftwithmajid.com/2020/07/21/sidebar-navigation-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Building a List with UICollectionView in Swift](https://swiftsenpai.com/development/uicollectionview-list-basic/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Using LinkPresentation Framework to Present Rich Links in iOS Apps](https://www.appcoda.com/linkpresentation-framework/), by [@gabtheodor](https://twitter.com/gabtheodor)
* [How to fix the incomprehensible tabs in Xcode 12](https://www.jessesquires.com/blog/2020/07/24/how-to-fix-the-incomprehensible-tabs-in-xcode-12/), by [@jesse_squires](https://twitter.com/jesse_squires)
* [Dependency Injection via Property Wrappers](https://www.kiloloco.com/articles/004-dependency-injection-via-property-wrappers/), by [@kilo_loco](https://twitter.com/kilo_loco)
* [A new way to manage the back button title in iOS 14 with backButtonDisplayMode](https://sarunw.com/posts/new-way-to-manage-back-button-title-in-ios14/), by [@sarunw](https://twitter.com/sarunw)
* [Creating custom .redacted effects](https://fivestars.blog/code/redacted-custom-effects.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Introducing CryptoKit](https://www.raywenderlich.com/10846296-introducing-cryptokit), by [@mataharimau](https://twitter.com/mataharimau)
* [Implementing Grid Layout in SwiftUI](https://exyte.com/blog/implementing-grid-layout-in-swiftui), by [@ExyteHQ](https://twitter.com/ExyteHQ)
* [Setting up a Core Data store for unit tests](https://www.donnywals.com/setting-up-a-core-data-store-for-unit-tests/), by [@donnywals](https://twitter.com/donnywals)

**Tools/Controls**

* [100% SwiftUI 2.0, classic 2048 game](https://github.com/jVirus/swiftui-2048), by [Astemir Eleev](https://github.com/jVirus)

**Business/Career**

* [Lessons from Managing for the Summer Part 1](https://michele.io/lessons-from-managing-pt-1/), by [@micheletitolo](http://twitter.com/micheletitolo)
* [From engineering to product management, and back again](https://artsy.github.io/blog/2020/07/23/from-engineering-to-product-management-and-back-again/), by Will Doenlen
* [Lessons Learned from Digging into the ASO Strategy of 12 Popular Apps](https://appfigures.com/resources/aso/aso-teardown-season-one-recap), [@appfigures](https://twitter.com/appfigures)

**UI/UX**

* [Top 3 Visual Design Anti-Trends](https://uxplanet.org/top-3-visual-design-anti-trends-9e73fb9e2da9), by [@101babich](https://twitter.com/101babich)

**Podcasts**

* [UI Narrative: Designers Working With Software Engineers | Kaya Thomas](https://www.uinarrative.com/podcast-posts/episode24), with [@kthomas901](https://twitter.com/kthomas901)

**Videos**

*

**Credits**

* [mecid](https://github.com/mecid), [LeeKahSeng](https://github.com/LeeKahSeng), [sarunw](https://github.com/sarunw), [zntfdr](https://github.com/zntfdr), [rel](https://github.com/rel), [Exyte](https://github.com/exyte), [donnywals](https://github.com/donnywals)
