Happy Thursday! So much has happened this week! Where to start from?

Apple [updated the App Store Review Guidelines](https://developer.apple.com/news/?id=xqk627qu) with some clarifications on App Clips and widgets, but also with some more info that seems to be directly related to the recent more "famous" cases of app rejections. However, with so many examples and exceptions for when to use In-App Purchases, [it's hard to say things are clear](https://marco.org/2020/09/11/app-review-changes).

Then, on Tuesday, at the Apple Event, we got to see new Apple Watches (available on Friday) and new iPad Air (available in October). And at the end, Tim Cook casually mentioned that iOS 14 is available next day, causing iOS developers everywhere to panic. Now, Apple usually announces the release of the new iOS version at the september event, but also, usually, there's a GM seed of Xcode available at least a week ahead of that. This year, they announced the release and for around an hour afterwards, there was no Xcode 12 GM and no way to upload your apps to App Store Connect. Imagine the panic of all the developers who worked all summer on their app clips and widgets hoping to be featured on the first day seeing there's no way to upload their apps. Then suddenly [there were 2 GM seeds](https://twitter.com/_inside/status/1306220339790254081) and you couldn't know which one you were getting until after downloading and unarchiving a 10 GB xip file. I've been following iOS releases for more than 7 years now, and I don't remember another one which was so bad for developers. I really hope Apple will step up their game when it comes to developer relations.

Moving on from the poor way in which Apple handled this release for iOS developers, iOS 14 is live now, and from what I could gather, it's a pretty solid release. Congratulations to all the amazing developers at Apple who worked hard in this difficult year to get iOS 14 and the new APIs out for their users 👏.

With iOS 14 and Xcode 12 released, this also means that [Swift 5.3 was officially released](https://swift.org/blog/swift-5-3-released/). What I love about the awesome blogpost by [Holly Borla](https://twitter.com/hollyborla/) is that she included content from the community: [Amy Tsai](https://twitter.com/mousiechika)'s sketch notes from the "What's new in Swift" WWDC session and [Paul Hudson](https://twitter.com/twostraws)'s Swift 5.3 playground.

And just as I was writing this, I can see Xcode 12.2 Beta is out. What happened to 12.1?


**Articles**

* [Building widgets in SwiftUI](https://swiftwithmajid.com/2020/09/09/building-widgets-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [PreferenceKey's reduce method demystified](https://fivestars.blog/swiftui/preferencekey-reduce.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Dark side of extensions in Swift](https://dmtopolog.com/dark-side-of-extensions/), by [@dmtopolog](https://twitter.com/dmtopolog)
* [3 lesser-known ways of using Swift enums](https://sarunw.com/posts/lesser-known-ways-of-using-swift-enums/), by [@sarunw](https://twitter.com/sarunw)
* [SwiftUI 2.0: The Future is Declarative](https://infinum.com/the-capsized-eight/swiftUI-2), by [@goranbrl](https://twitter.com/goranbrlas)
* [Building an Expandable List Using UICollectionView: Part 1](https://swiftsenpai.com/development/collectionview-expandable-list-part1/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [The State of SwiftUI](https://steipete.com/posts/state-of-swiftui/), by [@steipete](https://twitter.com/steipete)
* [UI Testing Deeplinks and Universal Links in iOS](https://swiftrocks.com/ui-testing-deeplinks-and-universal-links-in-ios), by [@rockbruno_](https://twitter.com/rockbruno_)
* [Adding Voiceover To Carousel Components](https://medium.com/bbc-design-engineering/adding-voiceover-to-carousel-components-3c5e2607fe84), by Hannah Billingsley-Dadd


**Tools/Controls**

*

**Business/Career**

* [Happy When?](https://www.swiftjectivec.com/happy-when/), by [@jordanmorgan10](https://www.twitter.com/jordanmorgan10)

**UI/UX**

* [Color within Constraints](https://medium.com/tap-to-dismiss/color-within-constraints-d6f777a3b72d), by [@taptodismiss](https://twitter.com/taptodismiss)

**Videos**

* [Live App Teardown Session - Learn the Process and See it In Action](https://appfigures.com/resources/teardowns/live-app-teardown-session-20200916), by [@appfigures](https://twitter.com/appfigures)

**Credits**

* [mecid](https://github.com/mecid), [zntfdr](https://github.com/zntfdr), [DmIvanov](https://github.com/DmIvanov), [sarunw](https://github.com/sarunw), [goranbrl](https://github.com/goranbrl), [LeeKahSeng](https://github.com/LeeKahSeng), [rel](https://github.com/rel)
