Happy Thursday! According to the [Mixpanel's reports](https://mixpanel.com/trends/#report/ios_14), there are now more devices running iOS 14 than iOS 13. It is a slower adoption than for iOS 13 or iOS 12, and it is a bit different than the data I am seeing from our apps, where iOS 14 is at around 38% and iOS 13 at around 56%. The differences are normal and expected, due to the difference in the amount of data and the markets where our apps are used. As iOS developers, of course, we would want all the users to be on the latest iOS version, that would allow us to drop support of old versions and it would enable us to use the latest APIs. So far, for me, iOS 14 has been very stable and I'm happy I updated my phone 😁

**Articles**

* [The magic of redacted modifier in SwiftUI](https://swiftwithmajid.com/2020/10/22/the-magic-of-redacted-modifier-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Adaptive SwiftUI views](https://fivestars.blog/swiftui/adaptive-swiftui-views.html), by [@zntfdr](https://twitter.com/zntfdr)
* [How to Create App Clips](https://exyte.com/blog/how-to-create-app-clips), by [@ExyteHQ](https://twitter.com/ExyteHQ)
* [Unit Testing Asynchronous Code in Swift](https://www.vadimbulavin.com/unit-testing-async-code-in-swift/), by [@V8tr](https://twitter.com/V8tr)
* [Understanding Date and DateComponents](https://sarunw.com/posts/understanding-date-and-datecomponents/), by [@sarunw](https://twitter.com/sarunw)
* [Accessibility in iOS 14 Widgets With SwiftUI](https://medium.com/better-programming/accessibility-in-ios-14-widgets-with-swiftui-83656bdb68e2), by [@rudrankriyam](https://twitter.com/rudrankriyam)
* [Expansion state of OutlineDisclosures using NSDiffableDataSourceSectionSnapshot (iOS 14)](https://crsantos.info/uicollectionviewdiffabledatasource-outline/), by [@crsantos](https://twitter.com/crsantos)
* [Porting iPhone app to iPad: My experience](https://nemecek.be/blog/55/porting-iphone-app-to-ipad-my-experience), by [@nemecek_f](https://twitter.com/nemecek_f)
* [Dependency Injection in SwiftUI](https://mokacoding.com/blog/swiftui-dependency-injection/), by [@mokagio](https://twitter.com/mokagio)
* [Presenting Popovers from SwiftUI](https://pspdfkit.com/blog/2020/popovers-from-swiftui-uibarbutton/), by [@steipete](https://twitter.com/steipete)

**Tools/Controls**

* [StickyTabBarViewController](https://github.com/emrepun/StickyTabBarViewController) - Collapsible and sticky view on top of tab bar, by [@emrepun](https://github.com/emrepun)
* [GitHub Contribution Widgets](https://github.com/AnderGoig/github-contributions-ios) - An open-source iOS app to quickly check in on your GitHub contributions from your Home Screen, by [@AnderGoig](https://github.com/AnderGoig)
* [iPages](https://github.com/benjaminsage/iPages) - Quickly implement swipable page views, by [@IcyHovercraft](https://twitter.com/IcyHovercraft)
* [Arena](https://github.com/finestructure/Arena) - Command line tool to create an Xcode project with a Playground and an SPM library ready for use, by [@_sa_s](https://twitter.com/_sa_s)

**Business/Career**

* 

**UI/UX**

* [Informative & Decisional - How to choose the right messaging component](https://medium.com/tap-to-dismiss/informative-decisional-b2ed272b4696), by [@taptodismiss](https://twitter.com/taptodismiss)

**Videos**

* [Scalable Modular iOS Architecture](https://www.youtube.com/watch?v=QzM3lsFewN4), by [@albertodebo](https://twitter.com/albertodebo)

**Credits**

* [mecid](https://github.com/mecid), [zntfdr](https://github.com/zntfdr), [Exyte](https://github.com/exyte), [emrepun](https://github.com/emrepun), [V8tr](https://github.com/V8tr), [sarunw](https://github.com/sarunw), [AnderGoig](https://github.com/AnderGoig), [crsantos](https://github.com/crsantos)
