Happy Thursday! Are you getting a new mac? Or holding on hoping for a larger Pro model in spring? The new processors seem amazing and at first look it seems that Apple was able to make more performant and cheaper macs than their current Intel-based line-up. And what's even more amazing is the battery life, which is almost double than before. 
With the new macs we also get macOS Big Sur. And Xcode 12.2. Lots of stuff to download 😄. Also, just a reminder, iOS apps will run on Apple Silicon on macOS Big Sur unless you explicitly opt out in App Store Connect. We already started seeing messages about apps that might not work as expected on macOS (those using CoreLocation, HealthKit, etc).

**Articles**

* [Displaying text in SwiftUI](https://fivestars.blog/swiftui/displaying-text-swiftui.html), by [@zntfdr](https://twitter.com/zntfdr)
* [How to use GeometryReader without breaking SwiftUI layout](https://swiftwithmajid.com/2020/11/04/how-to-use-geometryreader-without-breaking-swiftui-layout/), by [@mecid](https://twitter.com/mecid)
* [Swift for TensforFlow: Choosing your dataset](https://www.47deg.com/blog/s4tf-choosing-dataset/), by [@tomasruizlopez](https://twitter.com/tomasruizlopez)
* [UICollectionView List with Interactive Custom Header](https://swiftsenpai.com/development/list-interactive-custom-header/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [What's new in Periphery 2.0](https://github.com/peripheryapp/periphery/wiki/What's-new-in-Periphery-2.0), by [@ileitch](https://github.com/ileitch)
* [Multi-cursor editing in Xcode](https://sarunw.com/posts/multi-cursor-editing-in-xcode/), by [@sarunw](https://twitter.com/sarunw)
* [10 Tips & Shortcuts You Should Be Using Right Now On Xcode](https://medium.com/@mpesate/10-tips-shortcuts-you-should-be-using-right-now-on-xcode-2e9e1b01511e?sk=41a96bbe6b660a35e7148ebb1bff6b53), by [Mike P.](https://twitter.com/mikept28)
* [Debugging JSON Data in LLDB](https://soffes.blog/debugging-json-data-in-lldb), by [@soffes](https://twitter.com/soffes)
* [Adopting the new PHPicker](https://www.kairadiagne.com/2020/11/04/adopting-the-new-photo-picker.html), by [@kairadiagne](https://twitter.com/kairadiagne)
* [Building a concurrency-proof token refresh flow in Combine](https://www.donnywals.com/building-a-concurrency-proof-token-refresh-flow-in-combine/), by [@donnywals](https://twitter.com/donnywals)
* [Slow Swift Compiler Performance](https://useyourloaf.com/blog/slow-swift-compiler-performance/), by [@kharrison](https://twitter.com/kharrison)
* [Attributed Strings with SwiftUI](https://swiftui-lab.com/attributed-strings-with-swiftui/), by [@SwiftUILab](https://twitter.com/SwiftUILab)

**Tools/Controls**

* [PredicateKit](https://github.com/ftchirou/PredicateKit) -  Write expressive and type-safe predicates for CoreData using key-paths, comparisons and logical operators, literal values, and functions, by [@ftchirou](https://twitter.com/ftchirou)
* [PlaybookAccessibilitySnapshot](https://github.com/playbook-ui/accessibility-snapshot-ios) - A library for generating snapshot images of components managed by Playbook with accessibility labels, by [@ra1028fe5](https://twitter.com/ra1028fe5)
* [MultiSheet](https://github.com/davdroman/MultiSheet) - Use multiple .sheet modifiers in a SwiftUI View, by [@davdroman](https://github.com/davdroman)

**Business/Career**

* 

**UI/UX**

* [Small Copy, Big Impact](https://steamclock.com/blog/2020/10/microcopy/), by [@apike](http://www.twitter.com/apike/)
* [5 Things I Wish I’d Known Before Starting a Design System at Spotify](https://spotify.design/article/5-things-i-wish-id-known-before-starting-a-design-system-at-spotify), by [@iamtyce](https://twitter.com/iamtyce)

**Videos**

* 

**Credits**

* [zntfdr](https://github.com/zntfdr), [Ryo Aoyama](https://github.com/ra1028), [mecid](https://github.com/mecid), [David Roman](https://github.com/davdroman), [truizlop](https://github.com/truizlop), [LeeKahSeng](https://github.com/LeeKahSeng), [ileitch](https://github.com/ileitch), [sarunw](https://github.com/sarunw), [MikePT28](https://github.com/MikePT28)
