Happy Thursday! It's been a busy week for Apple: iOS 14.3 is out, and with it, [Xcode 12.3](https://developer.apple.com/documentation/xcode-release-notes/xcode-12_3-release-notes/). With iOS 14.3 we also get the [new App Clip Codes](https://developer.apple.com/news/?id=4c7j45dp) that Apple showcased at WWDC. Also in iOS 14.3, the App Store now shows the privacy labels for each app. You can now more easily see what data each app collects. And some of them [do really collect a lot of data](https://twitter.com/tomwarren/status/1339174301564604418). And [Apple's SwiftUI tutorials](https://developer.apple.com/tutorials/app-dev-training) seem to have gotten an update as well.

[Diversity in Swift](https://swift.org/blog/diversity-in-swift/) is a new work group with volunteers working to make the community more approachable and inclusive. They have already launched two community groups: Women in Swift and Black in Swift. The Diversity in Swift workgroup volunteers are both Apple employees, but also people from our community, and if you want to get in touch with them, the Swift Forums are the best place for that. Also, the first community-focused post on the Swift blog is live and it curates resources about [accessibility and inclusion](https://swift.org/blog/accessibility-and-inclusion/) from our community. I really love this initiative and I hope to see more people from the community involved and supporting it.

**Articles**

* [Styling custom SwiftUI views using environment](https://swiftwithmajid.com/2020/12/09/styling-custom-swiftui-views-using-environment/), by [@mecid](https://twitter.com/mecid)
* [Let's build @State](https://fivestars.blog/swiftui/lets-build-state.html), by [@zntfdr](https://twitter.com/zntfdr)
* [How to mock UNNotificationResponse in unit tests](https://onmyway133.com/blog/how-to-mock-unnotificationresponse-in-unit-tests/), by [@onmyway133](https://twitter.com/onmyway133)
* [How expensive is DateFormatter](https://sarunw.com/posts/how-expensive-is-dateformatter/), by [@sarunw](https://twitter.com/sarunw)
* [The Large Title UINavigationBar Glitches and How to Fix Them](https://swiftsenpai.com/development/large-title-uinavigationbar-glitches/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [How to solve problems with bitwise operators in Swift](https://tanaschita.com/posts/20201214-working-with-bits-in-swift/), by [@tanaschita](https://twitter.com/tanaschita)
* [Binary Size Woes](https://cbrauchli.medium.com/binary-size-woes-acb5d96f058a), by [@cbrauchli](https://twitter.com/cbrauchli)
* [Result in Swift: Getting started with Code Examples](https://www.avanderlee.com/swift/result-enum-type/), by [@twannl](https://www.twitter.com/twannl)
* [Creating dynamic dark mode images at runtime](https://useyourloaf.com/blog/creating-dynamic-dark-mode-images-at-runtime/), by [@kharrison](https://twitter.com/kharrison)

**Tools/Controls**

* [Motion](https://github.com/b3ll/Motion) - Animation engine for gesturally-driven user interfaces, animations, and interactions on iOS, macOS, and tvOS, by [@b3ll](https://twitter.com/b3ll/)
* [xcinfo](https://github.com/xcodereleases/xcinfo) - Install as many Xcodes at once as you can, by [@trispo](https://twitter.com/trispo)
* [Laden](https://github.com/vinhnx/Laden) - SwiftUI loading indicator view, by [@vinhnx](https://twitter.com/vinhnx)

**Business/Career**

* 

**UI/UX**

* [10 Mobile UX Trends for 2021](https://uxplanet.org/10-mobile-ux-trends-for-2021-bead97dce9e4), by [@101babich](https://twitter.com/101babich)

**Videos**

* 

**Credits**

* [mecid](https://github.com/mecid), [zntfdr](https://github.com/zntfdr), [onmyway133](https://github.com/onmyway133), [sarunw](https://github.com/sarunw), [LeeKahSeng](https://github.com/LeeKahSeng)
