Happy Thursday! [Paul Hudson](https://twitter.com/twostraws)'s Swift Community Awards are [in the voting phase](https://www.hackingwithswift.com/awards). And while there's no Best Newsletter category this year, I recommend you go and have a look at the nominees in all the categories and vote for the persons, presentations, tools, apps or conferences that helped you the most this year. And feel free to also tweet at them sharing your appreciation 😄. Those people need to know how much they help us and how grateful we are for their work.

Apple shared an [article about identity pinning](https://developer.apple.com/news/?id=g9ejcf8y), which is probably the best written article on that topic that I've read so far. Not too technical, not too long, focusing on the implications of certificate pinning and on how that could impact your app in case of both planned and unplanned events. And the best thing, it looks like it's now possible (or maybe it was before too, I just didn't know it) to do public key pinning by only adding the keys to your `Info.plist`.

**Articles**

* [AnimatableModifier in SwiftUI](https://swiftwithmajid.com/2021/01/11/animatablemodifier-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [How to use flexible frame in SwiftUI](https://onmyway133.com/blog/how-to-use-flexible-frame-in-swiftui/), by [@onmyway133](https://twitter.com/onmyway133)
* [How to check if Text is truncated in SwiftUI?](https://fivestars.blog/swiftui/trucated-text.html), by [@zntfdr](https://twitter.com/zntfdr)
* [Customising apps based on scheme](https://jakub.codes/posts/app-scheme), by [@3Qax](https://twitter.com/jakubtowarek)
* [How to display date and time in SwiftUI](https://benoitpasquier.com/date-formatter-swiftui/), by [@BenoitPasquier_](https://twitter.com/benoitpasquier_)
* [Traits of a good accessible iOS app](https://levelup.gitconnected.com/traits-of-a-good-accessible-ios-app-25266ee08fb9?sk=00b53e96c0cf477ebf814ce0e271e11b), by [@dadederk](https://twitter.com/dadederk)
* [What is @Environment in SwiftUI](https://sarunw.com/posts/what-is-environment-in-swiftui/), by [@sarunw](https://twitter.com/sarunw)
* [My first failed SwiftUI project](https://blog.maximeheckel.com/posts/first-failed-swiftui-project/), by [@MaximeHeckel](https://twitter.com/MaximeHeckel)
* [Adding Double Column Navigation to a SwiftUI Document App](https://lostmoa.com/blog/AddingDoubleColumnNavigationToASwiftUIDocumentApp/), by [@hishnash](https://twitter.com/hishnash)
* [Improve build times by extracting 3rd party tooling to processing script](http://merowing.info/2021/01/improve-build-times-by-extracting-3rd-party-tooling-to-processing-script./), by [@merowing_](https://twitter.com/merowing_)
* [Measurement, Unit, Dimension, and MeasurementFormatter on iOS](https://augmentedcode.io/2021/01/18/measurement-unit-dimension-and-measurementformatter-on-ios/), by [@toomasvahter](https://twitter.com/toomasvahter)
* [Building Instagram profile screen with Compositional Layout](https://nemecek.be/blog/72/building-instagram-profile-screen-with-compositional-layout), by [@nemecek_f](https://twitter.com/nemecek_f)

**Tools/Controls**

* [Chain](https://github.com/VergeGroup/Chain) - A tiny library that enables us to describe operations in method-chain, by [@muukii](https://twitter.com/muukii_app)
* [XCMetrics](https://xcmetrics.io/) - Discover valuable insights hiding inside Xcode’s build logs, by [@spotifyeng](https://twitter.com/spotifyeng)
* [What's new in RxSwift 6 ?](https://dev.to/freak4pc/what-s-new-in-rxswift-6-2nog), by [@freak4pc](https://twitter.com/freak4pc)

**Business/Career**

* 

**UI/UX**

* 

**Videos**

* 

**Podcasts**

* [Special: Daniel Devesa Derksen-Staats | AppForce1: news and info for iOS app developers](https://www.buzzsprout.com/1414396/7142317), with [@dadederk](https://twitter.com/dadederk), by [@AppForce1](https://twitter.com/AppForce1)

**Credits**

* [MaximeHeckel](https://github.com/MaximeHeckel), [mecid](https://github.com/mecid), [onmyway133](https://github.com/onmyway133), [zntfdr](https://github.com/zntfdr), [muukii](https://github.com/muukii), [3Qax](https://github.com/3Qax), [@popei69](https://github.com/popei69), [dadederk](https://github.com/dadederk), [sarunw](https://github.com/sarunw), [hishnash](https://github.com/hishnash)
