Happy Thursday! Busy week with lots of stuff from Apple, so let's get to that:

Xcode 12.5 Beta 1 was released, and looking at the [release notes](https://developer.apple.com/documentation/xcode-release-notes/xcode-12_5-beta-release-notes/), it's filled with goodies: more reliable code completion, record GIFs from the simulator, faster compilation and a way of telling the unit tests to expect a failure, as well as many others. It also comes with Swift 5.4, and in case you're wondering what's new in that, [Paul Hudson](https://twitter.com/twostraws) [has you covered](https://www.hackingwithswift.com/articles/228/whats-new-in-swift-5-4).

The App Store Review Guidelines have also been updated, and Apple provided [a list of all the changes](https://developer.apple.com/news/?id=3ozbk628).

And Apple also started enforcing 2FA for the developer accounts, possibly breaking a major part of all the build pipelines. There are already articles about how to solve that, like [this one](https://drobinin.com/posts/keep-using-fastlane-with-apples-2fa-changes/) from [Vadim Dobrinin](https://twitter.com/Valzevul) and the amazin [Josh Holtz](https://twitter.com/joshdholtz) already [released a new version of fastlane](https://github.com/fastlane/fastlane/releases/tag/2.173.0) which can (for now) bypass that requirement.

**Articles**

* [Lazy navigation in SwiftUI](https://swiftwithmajid.com/2021/01/27/lazy-navigation-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Exploring SwiftUI's Button styles](https://www.fivestars.blog/swiftui/button-styles.html), by [@zntfdr](https://twitter.com/zntfdr)
* [How to show text inside a circle with SwiftUI](https://kristaps.me/blog/swiftui-text-in-circle/), by [@fassko](https://twitter.com/fassko)
* [Creating a webcam utility app for macOS in SwiftUI](https://benoitpasquier.com/webcam-utility-app-macos-swiftui/), by [@BenoitPasquier_](https://twitter.com/benoitpasquier_)
* [Getting Started with Tuist](https://sarunw.com/posts/getting-started-with-tuist/), by [@sarunw](https://twitter.com/sarunw)
* [Crafting a beautiful, responsive UIButton in Swift](https://medium.com/nice-photon-ios/making-a-beautiful-responsive-uibutton-in-swift-81263766b2d9), by [@olegdreyman](https://twitter.com/olegdreyman)
* [How to use NSDataDetector to detect links, email addresses, phone numbers and more](https://nemecek.be/blog/78/how-to-use-nsdatadetector-to-detect-links-email-addresses-phone-numbers-and-more), by [@nemecek_f](https://twitter.com/nemecek_f)

**Tools/Controls**

* 

**Business/Career**
* [Launching an Indie App - Part 9: Effective Outreach](https://heyimakeapps.com/blog/launching-an-indie-app-part-9-effective-outreach), by [@michael_tigas](https://twitter.com/michael_tigas)

* 

**UI/UX**

* 

**Videos**

* 

**Credits**

* [mecid](https://github.com/mecid), [zntfdr](https://github.com/zntfdr), [fassko](https://github.com/fassko), [michael_tigas](https://github.com/teeeeeegz), [popei69](https://github.com/popei69), [sarunw](https://github.com/sarunw), [dreymonde](https://github.com/dreymonde)
