Happy Thursday! We're getting now in the calmer period of the summer, a lot more quiet than the WWDC period in the beginning of the month. If you'd like a recap on WWDC, [Paul Hudson](https://twitter.com/twostraws) wrote one: [WWDC21: Wrap up and recommended talks](https://www.hackingwithswift.com/articles/239/wwdc21-wrap-up-and-recommended-talks). 

I've said it before and I'll say it again: in the next period, you'll see a lot of content about the newly announced things, async/await, SwiftUI's search bar, Xcode 13, etc. You are not missing out and you are not falling beind if you didn't have the time to look into any of these. That's tech that was announced 3 weeks ago, and it's something we won't be able to use until autumn (best case) or until many years from now. But new tech is interesting and fun to play with, so that's why content creators jump on it instantly. 

**Articles**

* [Mastering List in SwiftUI](https://swiftwithmajid.com/2021/06/16/mastering-list-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [How to control safe area insets in SwiftUI](https://www.fivestars.blog/articles/safe-area-insets/), by [@zntfdr](https://twitter.com/zntfdr)
* [Discover new HTTP Traffic Instrument](https://michaelabadi.com/articles/analyse-http-instruments/), by [@michaelabadiii](https://twitter.com/michaelabadiii)
* [Identifiable and Selectable Collection](https://www.linkedin.com/pulse/identifiable-selectable-collection-inti-albuquerque/?trackingId=Rfh2KQc8qfeOMwFEGUvoew%3D%3D), by [@imra](https://twitter.com/imra17848920)
* [A better way to ask for a one-time user's location with the Location Button](https://sarunw.com/posts/location-button/), by [@sarunw](https://twitter.com/sarunw)
* [Create a web browser with WebKit and SwiftUI](https://benoitpasquier.com/create-webview-in-swiftui/), by [@benoitpasquier_](https://twitter.com/benoitpasquier_)
* [Flaky tests resolving using Test Repetitions in Xcode](https://www.avanderlee.com/debugging/flaky-tests-test-repetitions/), by [@twannl](https://www.twitter.com/twannl)
* [Xcode Column Breakpoints](https://useyourloaf.com/blog/xcode-column-breakpoints/), by [@kharrison](https://twitter.com/kharrison)
* [What are Swift Concurrency’s task local values?](https://www.donnywals.com/what-are-swift-concurrencys-task-local-values/), by [@donnywals](https://twitter.com/donnywals)
* [Accessibility Gets an Upgrade in Xcode 13 Storyboards](https://emptytheory.com/2021/06/18/accessibility-gets-an-upgrade-in-xcode-13-storyboards/), by Mark Thormann 

**Tools/Controls**

* [PreciseDecimal](https://github.com/davdroman/PreciseDecimal) - Precise JSON decimal parsing for Swift 🧮, by [David Roman](https://github.com/davdroman)
* [xcframework-maker](https://github.com/darrarski/xcframework-maker) - macOS utility for converting fat-frameworks to SPM-compatible XCFramework with arm64-simulator support , by [@darrarski](https://twitter.com/darrarski)

**Business/Career**

* 

**UI/UX**

* 

**Videos**

* [MOBCAST: Engineering and Product - A Tale of Growth](https://youtu.be/SfPcercdlqA) - Third episode of a series of videos on how Farfetch builds Mobile Apps at Scale, by [@FarfetchPeople](https://twitter.com/farfetchpeople) 


**Contributors**

* [mecid](https://github.com/mecid), [zntfdr](https://github.com/zntfdr), [abadikaka](https://github.com/abadikaka), [intiMRA](https://github.com/intiMRA), [davdroman](https://github.com/davdroman), [sarunw](https://github.com/sarunw), [popei69](https://github.com/popei69), [DiogoBalseiro](https://github.com/diogobalseiro)
