
**Articles**

* [Getting Started with async/await in SwiftUI](https://peterfriese.dev/swiftui-concurrency-essentials-part1/), by [@peterfriese](https://twitter.com/peterfriese)
* [Backport SwiftUI safe area insets to iOS 13 and 14](https://www.fivestars.blog/articles/safe-area-insets-2/), by [@zntfdr](https://twitter.com/zntfdr)
* [Mastering search in SwiftUI](https://swiftwithmajid.com/2021/06/23/mastering-search-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [Linting vs Formatting: A Swift Guide (Part 1)](https://jasonzurita.com/linting-and-formatting-swift-part-1/), by [@jasonalexzurita](https://twitter.com/jasonalexzurita)
* [Highlights of SwiftUI Release 3](https://rudrank.blog/highlights-swiftui-3), by [@rudrankriyam](https://twitter.com/rudrankriyam)
* [Towards a Design System in iOS: Typography](https://medium.com/engineering-at-goodnotes/design-system-ios-typography-9459cb842673), by [@tomasruizlopez](https://twitter.com/tomasruizlopez)
* [How to master grid layout in iOS with SwiftUI](https://kristaps.me/blog/swiftui-gridview/), by [@fassko](https://twitter.com/fassko)
* [New Formatters in iOS 15: Why do we need another formatter](https://sarunw.com/posts/new-formatters-in-ios15/), by [@sarunw](https://twitter.com/sarunw)
* [Dismissing a SwiftUI modal or detail view](https://www.swiftbysundell.com/articles/dismissing-swiftui-modal-and-detail-views/), by [@johnsundell](https://twitter.com/johnsundell)
* [Structured Concurrency in Swift: Using async let](https://www.andyibanez.com/posts/structured-concurrency-in-swift-using-async-let/), by [@AndyIbanezK](https://twitter.com/AndyIbanezK)
* [Presenting a bottom sheet in UIKit with UISheetPresentationController](https://www.donnywals.com/presenting-a-bottom-sheet-in-uikit-with-uisheetpresentationcontroller/), by [@donnywals](https://twitter.com/donnywals)
* [How Swift runs an async executable](https://oleb.net/2021/async-program-launch-sequence/), by [@olebegemann](https://twitter.com/olebegemann)
* [Xcode DocC - Getting Started](https://useyourloaf.com/blog/xcode-docc-getting-started/), by [@kharrison](https://twitter.com/kharrison)


**Tools/Controls**

* [Kintsugi](https://github.com/Lightricks/Kintsugi): A tool to automatically resolve Git conflicts that occur in Xcode project files
* [`@Invalidating`](https://github.com/theblixguy/Invalidating) A property wrapper that backports the new `@Invalidating` property wrapper in iOS 15/macOS 12 to older versions, by [@suyashsrijan](https://twitter.com/suyashsrijan)

**Business/Career**

*

**UI/UX**

*

**Videos**

* [Firebase SwiftUI Login, Registration, Password Reset & Session Management with Combine](https://youtu.be/5gIuYHn9nOc), by [@tundsdev](https://twitter.com/tundsdev)
* [What is a Run Loop?](https://www.youtube.com/watch?v=jk5UFJWc-2w), by Valerie Don

**Contributors**

* [@peterfriese](https://twitter.com/peterfriese)
* [zntfdr](https://github.com/zntfdr)
* [mecid](https://github.com/mecid)
* [jasonzurita](https://github.com/jasonzurita)
* [rudrankriyam](https://github.com/rudrankriyam)
* [tundsdev](https://github.com/tunds)
* [truizlop](https://github.com/truizlop)
* [dkhamsing](https://github.com/dkhamsing)
* [theblixguy](https://github.com/theblixguy)
* [fassko](https://github.com/fassko)
* [sarunw](https://github.com/sarunw)
