Happy Thursday! I've read [Chris Eidhof](http://www.twitter.com/chriseidhof/)'s article (featured below) on how they got rid of most of their dependencies and that reasonated with me. I'm not a fan of reinventing the wheel. But I've discovered about myself that in the recent years, I'm much more reluctant to include 3rd party dependencies in my projects than I was 5-6 years ago. It could be because Apple has improved their own iOS libraries, methods and capabilities, so a 3rd party library doesn't have that big of an advantage over just using the pure API. Or it could be because I've seen many cases where 3rd prty libraries are unmaintained and stop building on new versions of Xcode / Swift. Or it could be something else, I don't know. I'm curious, how many external dependencies do your projects usually have?

**Articles**

* [The many faces of button in SwiftUI](https://swiftwithmajid.com/2021/06/30/the-many-faces-of-button-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [SwiftUI patterns evolution: view builders](https://www.fivestars.blog/articles/swiftui-patterns-view-builders/), by [@zntfdr](https://twitter.com/zntfdr)
* [UI Testing iOS Apps with the Robot Pattern](https://medium.com/zendesk-engineering/ui-testing-ios-apps-with-the-robot-pattern-dd839b59fed1?sk=0b5b21913ffc2682911721424156fd9b), by [@superpeteblaze](https://twitter.com/superpeteblaze)
* [5 Complex Algorithms Simplified Using Swift’s Higher-Order Functions](https://swiftsenpai.com/swift/5-complex-algorithms-simplified/), by [@Lee_Kah_Seng](https://twitter.com/Lee_Kah_Seng)
* [Improving SwiftUI Navigation for the Coordinator Pattern](https://johnpatrickmorgan.github.io/2021/07/03/NStack/), by [@jpmmusic](https://twitter.com/jpmmusic)
* [Searchable modifier in SwiftUI: A UISearchController and UISearchBar equivalent](https://sarunw.com/posts/searchable-in-swiftui/), by [@sarunw](https://twitter.com/sarunw)
* [Dependencies - Why we got rid of most dependencies](https://chris.eidhof.nl/post/fewer-dependencies/), by [@chriseidhof](http://www.twitter.com/chriseidhof/)
* [Mutating and non-mutating Swift contexts](https://www.swiftbysundell.com/articles/mutating-and-nonmutating-swift-contexts/), by [@johnsundell](https://twitter.com/johnsundell)
* [Advanced Charles Proxy Tutorial for iOS](https://www.raywenderlich.com/22070831-advanced-charles-proxy-tutorial-for-ios), by [@emadgnia](https://twitter.com/emadgnia)
* [Starter Workflows with Xcode Cloud](https://www.alexanderlogan.co.uk/wwdc21/004-xcode-cloud/), by [@swiftyalex](https://twitter.com/swiftyalex)

**Tools/Controls**

* [Pulse](https://github.com/kean/Pulse) - Logger and Network Inspector for Apple Platforms, by [@a_grebenyuk](https://twitter.com/a_grebenyuk)
* [MondrianLayout](https://github.com/muukii/MondrianLayout) A way to building layouts faster in AutoLayout like SwiftUI

**Business/Career**
* [Launching an Indie App - Part 11: In For The Long Haul](https://heyimakeapps.com/blog/launching-an-indie-app-part-11-in-for-the-long-haul), by [@michael_tigas](https://twitter.com/michael_tigas)
* 

**UI/UX**

* 

**Videos**

* [Bruno Rocha: Preparing for Growth: Architecting Giant Apps for Scalability and Build Speed](https://www.youtube.com/watch?v=sZuI6z8qSmc), by [@rockbruno_](https://twitter.com/rockbruno_)

**Contributors**

* [mecid](https://github.com/mecid)
* [muukii](https://github.com/muukii)
* [zntfdr](https://github.com/zntfdr)
* [superpeteblaze](https://github.com/superpeteblaze)
* [LeeKahSeng](https://github.com/LeeKahSeng)
* [michael_tigas](https://github.com/teeeeeegz)
* [johnpatrickmorgan](https://github.com/johnpatrickmorgan)
* [sarunw](https://github.com/sarunw)
