Happy Thursday! We finally got the Beta 3 of Xcode 13 that everyone was expecting last week or even the week before. And I also found this [12 hour course from Apple](https://developer.apple.com/tutorials/app-dev-training/) for learning the basics of Xcode, SwiftUI and UIKit, which, as far as I can tell, is new, even though I haven't seen it advertised as new by Apple. But then again, I haven't seen it advertised at all by Apple 😅. Still, a very good resource if you want to start learning how to make iOS apps.

**Tips from Twitter**

*   [Avoid index math in Collections](https://twitter.com/olebegemann/status/1415351550847950848): Ole Begemann with a reminder to use the Collection APIs and try to avoid subscripting Collections with integer indexes directly.
*   [iOS 15 changes in cell prefetching](https://twitter.com/smileyborg/status/1406769460032114689): Tyler Fox has a great thread on what changed in cell prefetching for UICollectionView and UITableView in iOS 15
*   [SwiftUI enhancements in Xcode 13 beta 3](https://twitter.com/zntfdr/status/1415570313551568897): Federico Zanetello highlights the changes that Xcode 13 beta 3 brings to SwiftUI


**Articles**

* [Meet the new Button styling](https://www.fivestars.blog/articles/button-styles-2/), by [@zntfdr](https://twitter.com/zntfdr)
* [Mastering AsyncImage in SwiftUI](https://swiftwithmajid.com/2021/07/07/mastering-asyncimage-in-swiftui/), by [@mecid](https://twitter.com/mecid)
* [How to translate SwiftUI applications](https://kristaps.me/blog/swiftui-localization/), by [@fassko](https://twitter.com/fassko)
* [Bridge from Combine to AsyncSequence - the plan](https://trycombine.com/posts/combine-async-sequence-1/), by [@icanzilb](https://twitter.com/icanzilb)
* [Bridge from Combine to AsyncSequence - the code](https://trycombine.com/posts/combine-async-sequence-2/), by [@icanzilb](https://twitter.com/icanzilb)
* [Diffable data source behavior changes and reconfiguring cells in iOS 15](https://www.jessesquires.com/blog/2021/07/08/diffable-data-source-behavior-changes-and-reconfiguring-cells-in-ios-15/), by [@jesse_squires](https://twitter.com/jesse_squires)
* [WWDC21: What’s New in Unit Testing for Xcode 12.5](https://qualitycoding.org/wwdc21-unit-testing/), by [@qcoding](https://twitter.com/qcoding)
* [Understanding Structured Concurrency with Swift](https://www.waynewbishop.com/article/swift-async-await), by [@waynewbishop](https://twitter.com/waynewbishop)
* [Unit testing: the pragmatic guide on where to start](https://hybridcattt.com/blog/start-testing-pragmatic-guide/), by [@hybridcattt](https://twitter.com/hybridcattt)
* [Make Debugger Console Output Stand Out](https://dasdom.dev/posts/changing-color-for-debugger-output/), by [@dasdom](https://twitter.com/dasdom)
* [4 Xcode shortcuts to get back your screen space](https://sarunw.com/posts/xcode-shortcuts-for-space/), by [@sarunw](https://twitter.com/sarunw)

**Tools/Controls**

* [Swift Identified Collections](https://github.com/pointfreeco/swift-identified-collections) - A library of data structures for working with collections of identifiable elements in an ergonomic, performant way., by [@pointfreeco](https://twitter.com/pointfreeco)
* [Hammer](https://github.com/lyft/Hammer) - iOS touch synthesis library, by [@gabriellanata](https://twitter.com/gabriellanata)

**Business/Career**

* [Launching an Indie App - Part 12: Dashboard Insights](https://heyimakeapps.com/blog/launching-an-indie-app-part-12-dashboard-insights), by [@michael_tigas](https://twitter.com/michael_tigas)
* 

**UI/UX**

*

**Videos**

* [Mastering Stacks in SwiftUI (VStack, HStack, LazyStacks, SwiftUI Tutorial)](https://youtu.be/P6eFtYaX4ow), by [@tundsdev](https://twitter.com/tundsdev)

**Contributors**

* [zntfdr](https://github.com/zntfdr)
* [mecid](https://github.com/mecid)
* [tundsdev](https://github.com/tunds)
* [fassko](https://github.com/fassko)
* [icanzilb](https://github.com/icanzilb)
* [michael_tigas](https://github.com/teeeeeegz)
* [sarunw](https://github.com/sarunw)
