**Articles**

* [Objective-C Runtime with Swift](http://blog.corywiles.com/objective-c-runtime-with-swfit), by [@kwylez](https://twitter.com/kwylez)
* [Anatomy of a TableView(Controller) Architecture](http://matteogobbi.github.io/blog/2015/03/22/anatomy-of-a-tableview-controller-architecture/), by [@matteo_gobbi](https://twitter.com/matteo_gobbi)
* [Printing Objective-C Invocations in LLDB](http://arigrant.com/blog/2014/2/18/chisels-print-invocation-command), by [@ari_grant](https://twitter.com/ari_grant)
* [The state of iOS testing in 2015](http://www.mokacoding.com/blog/ios-testing-in-2015/), by [@mokagio](https://twitter.com/mokagio)
* [Swift in Production: Scenery](http://chris.eidhof.nl/posts/scenery-launch.html), by [@chriseidhof](https://twitter.com/chriseidhof)
* [Introduction to Custom View Controller Transitions and Animations](http://www.appcoda.com/custom-view-controller-transitions-tutorial/), by [@joyceechessa](https://twitter.com/joyceechessa)
* [Artsy's Technology Stack, 2015](http://artsy.github.io/blog/2015/03/23/artsy-technology-stack-2015/), by [@dblockdotorg](https://twitter.com/dblockdotorg)
* [Protocols and Generics](http://airspeedvelocity.net/2015/03/26/protocols-and-generics-2/), by [@AirspeedSwift](https://twitter.com/AirspeedSwift)
* [Evaluating Expressions in iOS with Objective-C and Swift](http://spin.atomicobject.com/2015/03/24/evaluate-string-expressions-ios-objective-c-swift/), by Matt Nedrich 
* [ReactiveCocoa Concepts for Asynchronous Libraries](http://spin.atomicobject.com/2015/03/19/reactivecocoa-asynchronous-libraries/), by Patrick Bacon [@patrickbacon](https://twitter.com/patrickbacon)
* [XIBs & Autolayout: A guide to controls and keyboard shortcuts for managing constraints](http://stablekernel.com/blog/xibs-autolayout-a-guide-to-controls-and-keyboard-shortcuts-for-managing-constraints/), by [@joeconwaystk](https://twitter.com/joeconwaystk)


**Tools/Controls**

* [undefined](https://github.com/weissi/swift-undefined), by [@johannesweiss](https://twitter.com/johannesweiss)
* [Maple Bacon](https://github.com/zalando/MapleBacon), by [@ZalandoTech](https://twitter.com/ZalandoTech)
* [RZDataBinding](https://github.com/Raizlabs/RZDataBinding) by [@raizlabs](https://twitter.com/raizlabs)
* [BLKFlexibleHeightBar](https://github.com/bryankeller/BLKFlexibleHeightBar) by [@BKyourway19](https://twitter.com/BKyourway19)
* [AAFaceDetection](https://github.com/aaronabentheuer/AAFaceDetection) by [@aaronabentheuer](https://twitter.com/aaronabentheuer)
* [QLImageset](https://github.com/qfish/QLImageset)
* [ReactiveAnimation](https://github.com/ReactiveCocoa/ReactiveAnimation), by [@jspahrsummers](https://twitter.com/jspahrsummers)
* [A swifter Core Data stack](https://github.com/jessesquires/JSQCoreDataKit), by [@jesse_squires](https://twitter.com/jesse_squires)
* [Scenery for Mac - Make beautiful mockups without Photoshop](http://getscenery.com), by Unsigned Integer (Deckset)
* [AAWindow](https://github.com/aaronabentheuer/AAWindow), by [@aaronabentheuer](https://twitter.com/aaronabentheuer)
* [ComponentKit](http://componentkit.org/), by [@fbOpenSource](https://twitter.com/fbOpenSource)
* [CATweaker – an Xcode plugin for creating beautiful CAMediaTimingFunction curve](https://github.com/keefo/CATweaker), by [@lianxu](https://twitter.com/lianxu)
* [Instant Cocoa](http://instantcocoa.io/), by [@khanlou](https://twitter.com/khanlou)
* [React Native](http://facebook.github.io/react-native/), by [@fbOpenSource](https://twitter.com/fbOpenSource)

**Business**

* [Critical Sharks Part IV: Fear of Apple](http://www.elischiff.com/blog/2015/3/24/fear-of-apple), by [@eli_schiff](https://twitter.com/eli_schiff)
* [What many indies are doing wrong](http://joostdevblog.blogspot.nl/2015/03/what-many-indies-are-doing-wrong.html), by [@JoostDevBlog](https://twitter.com/JoostDevBlog)
* [A Product Manager’s Musings](https://medium.com/@NathCres/a-product-manager-s-musings-1c2bcca20c4e), by [@NathCres](https://twitter.com/NathCres)
* [Six years at SoundCloud, Five Lessons Learned](https://medium.com/@SoundCloud/six-years-at-soundcloud-five-lessons-learned-4a7abc47431b), by [@SoundCloud](https://twitter.com/SoundCloud)
* [100k Downloads in 1 Weekend](http://blog.getlooseleaf.com/post/113969679734/100k-downloads-in-1-weekend), by [@getlooseleaf](https://twitter.com/getlooseleaf)
* [I want to start a company right out of school](https://medium.com/dear-design-student/i-want-to-start-a-company-right-out-of-school-230ee0869180), by [@monteiro](https://twitter.com/monteiro)

**UI/UX**

* [Category Size Bias](http://coglode.com/gems/category-size-bias), by [@coglode](https://twitter.com/coglode)
* [The best icon is a text label](http://thomasbyttebier.be/blog/the-best-icon-is-a-text-label), by [@bytte](https://twitter.com/bytte)
* [Some more thoughts about our Tesla Interface Concept](https://medium.com/@oberhaeuser/some-more-thoughts-about-our-tesla-interface-concept-d10fdfd8bac6), by [@oberhaeuserinfo](https://twitter.com/oberhaeuserinfo)
* [Now they use it, now they don’t - Seeking truth in user testing](https://medium.com/@jennellenystrom/now-they-use-it-now-they-don-t-e976ab505e5d), by [@JennelleNystrom](https://twitter.com/JennelleNystrom)

**Indie Apps**

* [Puzzly - a new social network for sharing your selfies as puzzles](https://itunes.apple.com/app/puzzly-turn-your-selfies-into/id961658385&mt=8), by [@mgcm](https://twitter.com/mgcm)

**Goodies**

* [62 Design/Layout Code Samples | 72 Functional Code Samples](http://ioscodesamples.com/index.html)
* [The unofficial documentation of the iTunes Connect JSON API](https://github.com/fastlane/itc-api-docs), by [@KrauseFx](https://twitter.com/krausefx)
