Happy Thursday! Apple had its September event this week, where they announced new iPhones, a new Apple Watch and 2 new iPads. I was [fearing a scenario like last year](https://twitter.com/marius_const/status/1435502190123266057), but luckily we got the Xcode 13 RC and developers still have until Monday to get their apps on the App Store if they want to be live on day 1. Yes, iOS 15 will be available on 20 September, and [submissions are now open for iOS 15 and iPadOS 15](https://developer.apple.com/news/?id=f87q5n2j). And just as always, from April 2022 new apps and updates must be built with Xcode 13 and the iOS 15 SDK.

For some Swift-related news, [Doug Gregor](https://twitter.com/dgregor79) made things clear after we got our hopes up for seeing [this Pull Request](https://github.com/apple/swift/pull/39051): the new Swift concurrency model is, at least for now and possibly forever iOS 15+. More details in [his Swift Forums post](https://forums.swift.org/t/swift-concurrency-back-deployment/51908/3)

**Tips from Twitter**

* [Nick Lockwood explains DRY](https://twitter.com/nicklockwood/status/1436261948950294530): very good thread from Nick explaining one of the main problem the Don't Repeat Yourself principle bring when it's poorly implemented. 

**Articles**

* [View masking in SwiftUI](https://www.fivestars.blog/articles/swiftui-masking/), by [@zntfdr](https://twitter.com/zntfdr)
* [IContinuous Streaming With Combine](https://www.linkedin.com/pulse/continuous-streaming-combine-inti-albuquerque/), by [@imra](https://twitter.com/imra17848920)
* [Create Draggable Calendar View in SwiftUI](https://michaelabadi.com/articles/create-calendar-view-swiftui/), by [@michaelabadiii](https://twitter.com/michaelabadiii)
* [How to make a custom button style with UIButton.Configuration in iOS 15](https://sarunw.com/posts/how-to-mark-custom-button-style-with-uibuttonconfiguration/), by [@sarunw](https://twitter.com/sarunw)
* [Hard-coded Tokens, Keys and Credentials in Mobile Apps](https://www.netguru.com/blog/hardcoded-keys-storage-mobile-app), by [@karolpiateknet](https://twitter.com/karolpiateknet)
* [The difference between Thread.sleep() and Task.sleep() ](https://trycombine.com/posts/thread-task-sleep/), by [@icanzilb](https://twitter.com/icanzilb)
* [Using Proxyman to Inspect Network Traffic](https://www.raywenderlich.com/25354003-using-proxyman-to-inspect-network-traffic), by [@dvrzan](https://twitter.com/dvrzan)
* [Thread Sanitizer explained: Data Races in Swift](https://www.avanderlee.com/swift/thread-sanitizer-data-races/), by [@twannl](https://www.twitter.com/twannl)
* [Value integrity in Swift](https://jobandtalent.engineering/value-integrity-in-swift-c5bf2b3f8340), by [@luisrecuenco](https://twitter.com/luisrecuenco)

**Tools/Controls**

* 

**Business/Career**

* 

**UI/UX**

* 

**Videos**
* [SwiftUI: Exposing a View's State](https://youtu.be/eYrirXFLuZ8), by [@peterfriese](https://twitter.com/peterfriese)

**Contributors**

* [zntfdr](https://github.com/zntfdr)
* [peterfriese](https://github.com/peterfriese)
* [intiMRA](https://github.com/intiMRA)
* [abadikaka](https://github.com/abadikaka)
* [sarunw](https://github.com/sarunw)
* [karolpiateknet](https://github.com/karolpiateknet)
