Happy Thursday! This week my attention was caught by this [Twitter thread](https://twitter.com/featherless/status/1446151509549387781) from Jeff Verkoeyen, the staff engineering lead at Google Design for Apple platforms. Jeff announces that they're slowly moving away from the material design for Google products on iOS to use the native iOS components that UIKit and SwiftUI provide. The whole thread is very interesting, and, as I understand it, the main reason for this change is that because of the evolution of UIKit and the introduction of SwiftUI, it's simply not worth it anymore to maintain a huge library of custom components. As a user I am very excited by this because to me, Google's apps didn't really feel at home on iOS. I'm looking forward to a better user experience, something that feels more familiar to iOS users. And as a developer, this again is very good news. I've always been a fan of experiences as close to native as possible and my ideal app to work on is "something that looks like it's made by Apple". If Google decided to go with native components, I hope more developers and companies will follow. And on the same note, Microsoft chose to [move Visual Studio for Mac to native macOS UI](https://twitter.com/stevesi/status/1448143393175965697).

**Tips from Twitter**

* [SwiftUI backport](https://twitter.com/davedelong/status/1446151822800945155): Dave DeLong shows us a great way to use new SwiftUI view modifiers while maintaining backward compatibility
* [Highlight touches in the iOS Simulator](https://twitter.com/HeyDaveTheDev/status/1447993218147172357): David Piper has a great tip for showing touches when you're recording the screen of the simulator

**Articles**

* [Advanced Environment propagation](https://www.fivestars.blog/articles/swiftui-environment-propagation-2/), by [@zntfdr](https://twitter.com/zntfdr)
* [Effective Objective-C: Getting Familiar with Objective-C](https://heldesouky.xyz/effective-objective-c-getting-familiar-with-objective-c), by [@hassanedesouky](https://twitter.com/hassanedesouky)
* [Swift-DocC is Now Open Source](https://swift.org/blog/swift-docc/), by [@franklinschrans](https://twitter.com/franklinschrans)
* [Unit Testing Weak References / Retain Cycles in Swift](https://swiftrocks.com/unit-testing-weak-references--deallocation-in-swift), by [@rockbruno_](https://twitter.com/rockbruno_)
* [(Improving Your) XCTAssert* Failure Messages](https://www.basbroek.nl/xctassert-asterisk), by [@basthomas](https://www.twitter.com/basthomas)
* [Inspecting HTTP Traffic With Instruments](https://useyourloaf.com/blog/inspecting-http-traffic-with-instruments/), by [@kharrison](https://twitter.com/kharrison)
* [How to disable automatic transparent tabBar in iOS 15](https://nemecek.be/blog/127/how-to-disable-automatic-transparent-tabbar-in-ios-15), by [@nemecek_f](https://twitter.com/nemecek_f)
* [Download Progress With Awaited Network Tasks](https://khanlou.com/2021/10/download-progress-with-awaited-network-tasks/), by [@khanlou](http://www.twitter.com/khanlou)

**Tools/Controls**

* [Swift Markdown](https://github.com/apple/swift-markdown), by Apple


**Business/Career**

* [Why I chose iOS Development](https://ahmdyasser.hashnode.dev/why-i-chose-ios-development), by [@ahmadyas_ser](https://twitter.com/ahmadyas_ser)
*

**UI/UX**

*

**Videos**

* [SwiftUI 3.0 SwipeActions (SwiftUI SwipeActions, SwiftUI 3.0, Xcode 13, SwiftUI Tutorial, Mail App)](https://youtu.be/S7-x_1MU-0Y), by [@tundsdev](https://twitter.com/tundsdev)
* [Add QuickNote Support to your iPad App in iOS 15](https://www.youtube.com/watch?v=Rw7eFrISmNU) by [@FloWritesCode](https://twitter.com/FloWritesCode)

**Contributors**

* [zntfdr](https://github.com/zntfdr), [tundsdev](https://github.com/tunds), [FloWritesCode](https://github.com/chflorian), [HassanElDesouky](https://github.com/HassanElDesouky), [ahmdyasser](https://github.com/ahmdyasser)
